2026-08-25 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/sel/ipmi-sel-string-fujitsu-irmc-common.c
	(_ipmi_sel_oem_fujitsu_get_sel_entry_long_text): Reject malformed
	Fujitsu SEL long-text responses before copying their data.

2026-08-25 Albert Chu <chu11@llnl.gov>

	* libipmidetect/ipmidetect.c (_get_data): Bound daemon hostname parsing
	to the destination buffer.

2026-08-17 Albert Chu <chu11@llnl.gov>

	* ipmi-oem/ipmi-oem-fujitsu.c (ipmi_oem_fujitsu_get_sel_entry_long_text):
	Copy only data_length - offset bytes in the SEL long-text truncate
	branch.  The branch copied a fixed MAX_DATA_LENGTH - offset bytes from
	the response regardless of how much the BMC returned, reading
	uninitialized stack past the actual data on a short response.  The
	truncate branch is taken only when the component would overflow
	data_length, so data_length - offset is both the amount needed and
	within the received bytes.

2026-08-18 Albert Chu <chu11@llnl.gov>

	* ipmi-oem/ipmi-oem-dell.c
	(_get_dell_system_info_idrac_info): Bound the accumulation copy against
	the destination buffer.  The loop copied (len - 1) BMC-supplied bytes
	into the 256-byte idrac_info buffer over three iterations without
	checking the running offset, so a BMC returning large blocks could
	overflow the stack buffer.  Reject a copy that would exceed
	sizeof (idrac_info) before the memcpy.

	* ipmi-oem/ipmi-oem-dell.c
	(_output_dell_system_info_cmc_info): Bound the accumulation copy
	against the destination buffer.  The loop copied (len - 1) BMC-supplied
	bytes into the 256-byte cmc_info buffer over four iterations without
	checking the running offset, so a BMC returning large blocks could
	overflow the stack buffer.  Reject a copy that would exceed
	sizeof (cmc_info) before the memcpy.

	* ipmi-oem/ipmi-oem-dell.c
	(_output_dell_system_info_cmc_ipv6_info): Bound the accumulation copy
	against the destination buffer.  The loop copied (len - 1) BMC-supplied
	bytes into the 256-byte cmc_ipv6_info buffer over four iterations
	without checking the running offset, so a BMC returning large blocks
	could overflow the stack buffer.  Reject a copy that would exceed
	sizeof (cmc_ipv6_info) before the memcpy.

2026-08-11 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/fru/ipmi-fru.c (_read_fru_data): Reject a
	count_returned greater than count_to_read before the memcpy into
	frubuf.  The read loop requests at most count_to_read bytes per
	iteration, but the BMC-supplied count_returned was only checked for
	non-zero and for matching the returned data length, never against
	the amount requested.  A malicious BMC returning more bytes than
	asked could advance num_bytes_read past fru_read_bytes and overflow
	the stack frubuf buffer.

2026-08-25 Albert Chu <chu11@llnl.gov>

	* ipmi-oem/ipmi-oem-dell.c (ipmi_oem_dell_get_system_info): Read the
	one-byte iDRAC web server control value from its returned byte when
	checking both the disabled and enabled states.

2026-08-25 Albert Chu <chu11@llnl.gov>

	* ipmi-oem/ipmi-oem-dell.c (_output_dell_system_info_cmc_info): Use
	the autoconfiguration field when reporting the CMC IPv6
	autoconfiguration state.

2026-08-25 Albert Chu <chu11@llnl.gov>

	* libipmidetect/ipmidetect.c (_reset_node_lists,
	ipmidetect_load_data): Clear partial node data before trying the next
	configured server.

2026-08-25 Albert Chu <chu11@llnl.gov>

	* libipmidetect/ipmidetect.c (ipmidetect_load_data): Give an explicit
	hostname precedence over the configured default server list.

2026-08-25 Albert Chu <chu11@llnl.gov>

	* common/toolcommon/pstdout.c (_pstdout_print_wrapper): Pass the
	requested output stream through so finishing a partial stdout line does
	not route its newline through stderr.

2026-08-25 Albert Chu <chu11@llnl.gov>

	* common/toolcommon/tool-config-file-common.c (config_file_parse): Store
	the buffer-output configuration value in the buffer-output field instead
	of enabling consolidated output.

2026-08-25 Albert Chu <chu11@llnl.gov>

	* common/toolcommon/tool-config-file-common.c (config_file_parse): Parse
	utc-offset as an integer so numeric offsets reach their range-checking
	callback.

2026-08-25 Albert Chu <chu11@llnl.gov>

	* common/toolcommon/tool-config-file-common.c
	(config_file_parse): Advance the option-table offset after copying SDR
	options so subsequent time options do not overwrite them.

2026-08-24 Albert Chu <chu11@llnl.gov>

	* ipmiconsole/ipmiconsole.c (sol_ioloop): Include both console
	descriptors in the range passed to select.

2026-08-24 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/include/freeipmi/cmds/
	ipmi-rmcpplus-support-and-payload-cmds.h
	(IPMI_PAYLOAD_INSTANCE_VALID): Require payload instances to satisfy
	both ends of the valid range.

2026-08-21 Albert Chu <chu11@llnl.gov>

	* ipmi-sel/ipmi-sel.c (_display_sel_records): Honor --post-clear when
	--tail selects the entire SEL.

2026-08-21 Albert Chu <chu11@llnl.gov>

	* ipmi-fru/ipmi-fru-output.c (_ipmi_fru_output_dimm_ddr3,
	_ipmi_fru_output_dimm_ddr4): Output calculated memory capacities in
	megabytes.

2026-08-21 Albert Chu <chu11@llnl.gov>

	* ipmi-chassis/ipmi-chassis.c (get_power_on_hours_counter): Apply the
	minutes-per-counter scale correctly without overflowing.

2026-08-19 Albert Chu <chu11@llnl.gov>

	* ipmi-sel/ipmi-sel-argp.c (_read_date_range): Fix corner case
	in which "now" was not acceptable option in date range.

2026-07-30 Albert Chu <chu11@llnl.gov>

	* libipmimonitoring/ipmi_monitoring.c (ipmi_monitoring_sel_iterator_first)
	(ipmi_monitoring_sel_iterator_next): Report NO_SEL_RECORDS rather than
	NO_SENSOR_READINGS.

	* libipmimonitoring/ipmi_monitoring_ipmi_communication.c (_ipmi_2_0_init):
	Accept cipher suite id 0 rather than overriding it with the default.

	* libipmimonitoring/ipmi_monitoring.c (ipmi_monitoring_sel_iterator_destroy):
	Clear c->sel_records rather than c->sensor_readings.

	* libipmidetect/ipmidetect.c (ipmidetect_load_data): Use each
	configured hostname when trying the config-file server list.

2026-07-29 Albert Chu <chu11@llnl.gov>

	* ipmi-oem/ipmi-oem-intelnm.c (_parse_suspend_period_time): Parse
	the minutes field from minutes_ptr rather than re-parsing the hours
	buffer, so minutes are read correctly instead of always equaling
	hours.

	* common/pingtool/ping-tool-common.c (_setup): Fix IPv6 "Cannot find
	interface" check trapped inside loop.

2026-07-28 Albert Chu <chu11@llnl.gov>

	* bmc-watchdog/bmc-watchdog.c (_daemon_setup): Fix arp_response
	using gratuitous_arp value in daemon mode.

2026-08-04 Anonymous <anonymous>

	* man/Makefile.am: Fix preprocessor portability through use of -x
	and -o.

2026-06-07 Fabio Fantoni <fantonifabio@tiscali.it>

	* man/freeipmi.conf.5.pre.in, man/ipmidetectd.conf.5.pre.in,
	man/ipmiseld.conf.5.pre.in: Fix groff warnings in manpages

2026-06-01 Albert Chu <chu11@llnl.gov>

	* ipmi-oem/ipmi-oem-dell.c
	(ipmi_oem_dell_get_active_directory_config): Fix potential stack
	corruption.

	* ipmi-oem/ipmi-oem-fujitsu.c
	(ipmi_oem_fujitsu_get_sel_entry_long_text): Fix potential buffer
	overflow.

2023-12-17 Albert Chu <chu11@llnl.gov>

	* ipmi-sensors: support new "altbridging" workaround for Lenovo
	SR650 v3 motherboards and Lenovo ThinkSystem servers

2026-03-23 Albert Chu <chu11@llnl.gov>

	* ipmi-oem/ipmi-oem-dell.c (ipmi_oem_dell_get_last_post_code),
	ipmi-oem/ipmi-oem-supermicro.c
	(ipmi_oem_supermicro_extra_firmware_info),
	ipmi-oem/ipmi-oem-wistron.c
	(ipmi_oem_wistron_read_proprietary_string): Fix potential buffer
	overflow.

2026-02-10 Boris Lytochkin <lytboris@yandex-team.com>

	* ipmiconsole: Support --proxy.

2026-02-05 Albert Chu <chu11@llnl.gov>

	* man/ipmiconsole.8.pre.in: Fix typo

2026-01-27 Eric Fang <???>

	* libfreeipmi/locate/ipmi-locate-acpi-spmi.c
	(_ipmi_acpi_get_table_sysfs): Fix memleak.

2025-09-12 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/util/ipmi-sensor-util.c (ipmi_sensor_decode_value)
	(ipmi_sensor_decode_raw_value): Cast with "int8_t" instead of
	"char", as "char" is not portable for signed one byte integers.

2025-02-20 Pavel Cahyna <pcahyna@redhat.com>

	* common/toolcommon/tool-config-file-common.c: Fix gcc 15
	compilation failure.

2025-01-21 Albert Chu <chu11@llnl.gov>

	* README.build: Add notes on building with systemd.

2025-01-02 Albert Chu <chu11@llnl.gov>

	* ipmi-sensors/ipmi-sensors-oem-intel-quanta-qssc-s4r.h: Fix header guard.

	* libipmiconsole/ipmiconsole_defs.h: Move header guard macros to
	top of file.

2024-04-12 Albert Chu <chu11@llnl.gov>

	* man/ipmipower.8.pre.in: Add help about "ipmiping" workaround and
	document it is needed on Intel M50FCP.

2024-04-05 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/api/ipmi-api.c (ipmi_cmd): Remove duplicate
	parameter check.

2024-04-02 Albert Chu <chu11@llnl.gov>

	* ipmiconsole/ipmiconsole-argp.c, man/ipmiconsole.8.pre.in:
	--debugfile only available in debug mode.

2024-03-25 Albert Chu <chu11@llnl.gov>

        * ipmi-sensors/ipmi-sensors-oem-intel.c: Add missing include.

2024-03-23 Albert Chu <chu11@llnl.gov>

        * ipmi-sensors/ipmi-sensors-oem-intel-quanta-qssc-s4r.h,
	ipmi-sensors/ipmi-sensors/ipmi-sensors-oem-intel-s2600jf.h,
	ipmi-sensors/ipmi-sensors-oem-intel-s5500wb.h: Fix header guard
	definitions.

2024-03-22 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/sel/ipmi-sel-string-supermicro-common.h: Add missing
	function prototype.

2024-03-22 Alex Owen

	* ipmi-oem/ipmi-oem-dell.c
	(ipmi_oem_dell_get_power_consumption_data): Increase output
	precision in cumalative energy output.

2024-02-21 Albert Chu <chu11@llnl.gov>

	* ipmi-config/ipmi-config-category-core-lan6-conf-section.c
	(ipv6_dynamic_address_source_type_checkout): Fix incorrect output
	of IPv6_Dynamic_Address_Source_Type.

2024-01-27 Albert Chu <chu11@llnl.gov>

	* configure.ac: Remove duplicate inb/outb declaration check.  Could
	lead to broken builds on non-x86 systems.

2024-01-25 Anonymous

	* configure.ac: check for inb and outb declarations in header
	files.

2023-09-29 Albert Chu <chu11@llnl.gov>

	* README: add rpm build notes

2023-09-28 Albert Chu <chu11@llnl.gov>

	* README: add some build notes / help.

2023-09-05 Felip Moll <felip.moll@schedmd.com>

	* libfreeipmi/driver/ipmi-openipmi-driver.c (_openipmi_read):
	Convert from select() to poll() to avoid issues with high number
	of open file descriptors when next fd > 1024. (GNU bug #64721).

2023-09-05 Albert Chu <chu11@llnl.gov>

	* ipmi-sensors: Fix help output typo.

2023-09-05 MIYAZAKI Yasushi (on Savannah)

	* configure.ac: Add define definitions for `exp10', `exp2', `log2'
	to config.h.in.

	* configure.ac: Add define definition for `cbrt' in math library
	to config.h.in

	* configure.ac: 'inb' and `outb' may be defined as inline
	functions (ex. glibc 2.28 on debian buster (amd64)), so check with
	AC_CHECK_DECL instead of AC_CHECK_FUNCS . Due to `Fix build issue
	when inb/outb are not available on some systems' in 1.6.9 release,
	the previously working kcs driver was causing errors.

2023-09-05 Albert Chu <chu11@llnl.gov>

	* man/ipmi-oem.8.pre.in: Document support on Supermicro X9DRD.

2023-09-02 Albert Chu <chu11@llnl.gov>

	* man/Makefile.am: Fix make distcheck.

2023-09-02 Albert Chu <chu11@llnl.gov>

	* man/ipmi-config.8.pre.in: Add pointer to ipmi-config.conf(5)
	manpage so users know to look there.

2023-07-18 Albert Chu <chu11@llnl.gov>

	* common/portability/freeipmi-portability.h: Fix portability of
	cbrt() redefinition.  cube root is x^(1/3) not x^-3.

2023-06-22 Albert Chu <chu11@llnl.gov>

	* doc/freeipmi-bugs-and-workarounds.txt: Document issue with
	Vadatech VT811.

2023-06-07 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/include: Add missing xilinx header to dist.

2023-06-05 Albert Chu <chu11@llnl.gov>

	* libipmimonitoring/ipmi_monitoring_sensor_reading.c
	(_get_sensor_units): Handle special case when sensor has units
	"RPM" and the units rate is "per minute".

2023-05-15 Albert Chu <chu11@llnl.gov>

	* doc, man: fix a number of typos

	* global: Fix various comment / doc typos.

	* contrib/pet/petalert.pl: Change output error message typo.

2023-05-12 Albert Chu <chu11@llnl.gov>

	* ipmiseld/ipmiseld-ipmi-communication.c (ipmiseld_ipmi_setup),
	ipmiseld/ipmiseld-cache.c (ipmiseld_sdr_cache_create_and_load):
	Set initialized pointers to NULL to avoid double free when
	_ipmiseld_poll() exits.

2022-11-08 Christian Kohn <chris.kohn@amd.com>

	* libfreeipmi, ipmi-fru: Support xilinx OEM fru records.

2022-11-08 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/include/freeipmi/spec/ipmi-iana-enterprise-numbers-spec.h:
	Fix comment typo.

2022-11-04 Sam James <sam@gentoo.org>

	* configure.ac: Fix various portability to clang.

2022-11-02 Fabrice Fontaine <fontaine.fabrice@gmail.com>

	* configure.ac: support --disable-doc.

2022-10-27 Albert Chu <chu11@llnl.gov>

	* doc/freeipmi-bugs-and-workarounds.txt: Document issue with
	Intel M50CYP.

2022-10-26 Mert Kirpici <mert.kirpici@canonical.com>

	* ipmi-sel: accept ISO 8601 for date range options.

2022-10-06 Albert Chu <chu11@llnl.gov>

	* doc/freeipmi-bugs-and-workarounds.txt: fix typo

2022-09-19 Albert Chu <chu11@llnl.gov>

	* configure.ac: Add extra build help.

2022-09-06 Albert Chu <chu11@llnl.gov>

	* common/portability/freeipmi-argp-fmtstream.h: Do not optimize under
	cygwin, fixes portability issues.

2022-02-17 Albert Chu <chu11@llnl.gov>

	* ipmi-config/ipmi-config-category-core-sections.c
	(ipmi_config_core_sections_create): Support IPV6 config in
	Lan6_Conf section.

	* ipmi-config/ipmi-config-category-core-lan6-conf-section.c:
	Correct checkout of IPv6 dynamic addresses.

	* ipmi-config/ipmi-config-category-core-lan6-conf-section.c: Do
	not output all IPv6 addresses by default, only output them all in
	verbose mode.

	* ipmi-config/ipmi-config-category-core-lan6-conf-section.c
	(ipv6_static_router_mac_address_checkout): Fix output corner case
	due to error handling bug.

	* libfreeipmi/cmds/ipmi-lan-cmds.c
	(fill_cmd_set_lan_configuration_parameters_ipv6_static_addresses):
	Fix invalid template check error.

2022-02-14 Albert Chu <chu11@llnl.gov>

	* man/ipmi-config.8.pre.in: Document additional board that
	requires the `veryslowcommit` workaround.

2022-01-25 Albert Chu <chu11@llnl.gov>

	* man/ipmidetect.8.pre.in, man/ipmidetectd.8.pre.in: Correct out
	of date command line options.

2022-01-19 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/libcommon/ipmi-md2.h,
	libfreeipmi/libcommon/ipmi-md2.c,
	libfreeipmi/libcommon/ipmi-md5.h,
	libfreeipmi/libcommon/ipmi-md5.c: Static compilation with
	libfreeipmi can lead to problems if other software has similarly
	named md2/md5 functions (such as md5_init()).  Prefix all macros
	and functions with 'ipmi_' as needed.  Update all callers
	accordingly.

2022-01-18 Fabrice Fontaine <fontaine.fabrice@gmail.com>

	* configure.ac: use pkg-config to find gcrypt

2022-01-04 Fabrice Fontaine <fontaine.fabrice@gmail.com>

	* configure.ac, libfreeipmi/driver/ipmi-kcs-driver.c: Check for
	inb and outb before using them.

2022-01-04 Fabien Wernli

	* doc/freeipmi-faq.texi: Add conserver setup information.

2021-11-01 Fabrice Fontaine <fontaine.fabrice@gmail.com>

	* libfreeipmi/driver/ipmi-sunbmc-driver.c: musl doesn't provide
	getmsg or putmsg even if stropts.h is available.  Do not compile
	respective sections if get/putmsg are not available.

2021-08-11 Robin Lee Powell <rlpowell@digitalkingdom.org>

	* libipmiconsole: Document getty/agetty issue with serial
	keepalive

2021-05-28 Albert Chu <chu11@llnl.gov>

	* configure.ac: Support --with-systemconfigdir option.

2021-05-29 Heather Lemon <heather.lemon@canonical.com>

	* libfreeipmi/sensor-read/ipmi-sensor-read.c: (LP#1926299)
	Incorrect sensor reading reported.
	BMC's that use a non-zero 'LUN' number (00b-10b)
	will display an incorrect sensor temperature reading unless
	otherwise specified via the ipmiV2.0 spec and must be accessed via LUN 00b.

2021-03-27 Albert Chu <chu11@llnl.gov>

	* etc: Generate many files via configure to ensure proper paths
	are set.

	* man/bmc-watchdog.8.pre.in: Remove legacy documentation.

2021-02-10 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/fru/ipmi-fru-data.c: Fix invalid parsing of record
	in ipmi_fru_multirecord_dc_load() and
	ipmi_fru_multirecord_extended_dc_load().

2021-02-07 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/fru/ipmi-fru.c: Do not require ipmi_ctx to be set if
	loading data via buffer in ipmi_fru_open_device_id_with_buffer().

	* ipmi-fru: Do not require opening of an IPMI session if using
	--fru-file option.

2021-02-07 Albert Chu <chu11@llnl.gov>

	* etc/: Update conf file permissions.

	* Globally fix a number of typos.

2021-02-06 Fabio Fantoni <fantonifabio@tiscali.it>

	* etc/: Update systemd service files permissions.

2020-09-30 Albert Chu <chu11@llnl.gov>

	* man/manpage-common-workaround-extra-text.man: Document that
	Supermicro boards don't work with IPMI 1.5.
	
2020-09-21 Albert Chu <chu11@llnl.gov>

	* man/ipmi-sel.8.pre.in: Fix typo

2020-09-03 Christian Ehrhardt <christian.ehrhardt@canonical.com>

	* libfreeipmi/locate/ipmi-locate-acpi-spmi.c
	(_ipmi_acpi_get_table_dev_mem): Fix segfault

2020-07-28 Albert Chu <chu11@llnl.gov>

	* man/freeipmi.conf.5.pre.in: Fix typo

2020-01-28 Albert Chu <chu11@llnl.gov>

	* man/ipmi-oem.8.pre.in: Fix formatting typo that led to line not
	appearing in manpage.

2020-01-07 Albert Chu <chu11@llnl.gov>

	* bmc-device/bmc-device.c (write_fru): Fix invalid number of args
	to pstdout_printf.

	* ipmi-oem/ipmi-oem-dell.c (ipmi_oem_dell_get_system_info): Fix
	invalid output with invalid variable passed to pstdout_printf().

	* ipmi-oem/ipmi-oem-intel.c (ipmi_oem_intel_get_smtp_config): Fix
	invalid call to pstdout_printf(), forgot output parameters.

	* ipmi-oem/ipmi-oem-intelnm.c
	(_ipmi_oem_intelnm_get_node_manager_policy_suspend_periods_common):
	Fix invalid call to pstdout_printf(), forgot output parameter.

	* ipmi-oem/ipmi-oem-quanta.c
	(ipmi_oem_quanta_get_processor_information): Fix invalid call to
	pstdout_printf(), forgot output parameters.

	* libipmiconsole/ipmiconsole_processing
	(_serial_keepalive_timeout): Fix bad debug trace without parameter
	for output.

	* common/toolcommon/pstdout.c (pstdout_set_debug_flags): Fix typo
	&& instead of &.

2019-11-27 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/sdr/ipmi-sdr-parse-util.c
	(ipmi_sdr_parse_sensor_name, ipmi_sdr_parse_entity_sensor_name):
	Fix invalid parameter check to fix compiler warning.

2019-11-18 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/fru/ipmi-fru.c: Workaround unexpected completion
	code indicating no FRU data available.

2019-08-16 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/sdr/ipmi-sdr-cache-create.c: Workaround Dell
	Poweredge FC830 issue, where the last SDR entry returns errors
	when being read.  Since it's the last entry, we assume there is a
	bug in the motherboard's implementation.  Just forget about the
	last entry and move on.

2019-08-15 Albert Chu <chu11@llnl.gov>

	* common/toolcommon/tool-sensor-common.c: Workaround QuantaPlex
	T42D-2U issue, where an event only record states that it is a
	threshold sensor and a "other units based sensor", but does not
	provide any units.

2019-04-09 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/api: Fix invalid error code return.

2019-02-08 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/interpret: Support interpretation of power unit +
	transition severity sensors / events, power unit + state sensors /
	events.

	* libfreeipmi/interpret: Support intepretation of system firmware
	progress + device present sensors / events, system firmware
	progress + state sensors / events.

	* libfreeipmi/interpret: Support intepretation of management subsystem
	health + transition severity sensors / events, management subsystem
	health + device present sensors / events.

	* libfreeipmi/interpret: Support intepretation of system event +
	transition severity sensors / events

2019-02-07 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/interpret: Support interpretation of drive slot +
	transition severity sensors / events.

2019-01-31 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/api: Fix workaround for out of order packets with
	lan / rmcpplus ipmb to handle raw packets and packets with errors.

2019-01-23 Albert Chu <chu11@llnl.gov>

	* Document that "opensesspriv" workaround works on Dell C5220.

2019-01-17 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/api: Add workaround for out of order packets with
	lan / rmcpplus ipmb.

2018-09-14 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/include/freeipmi/spec/ipmi-product-id-spec.h: Add
	Intel S2600WP product id.

	* libfreeipmi/sel: Support Intel S2600WP motherboard OEM sel
	events.

	* ipmi-sensors: Support Intel S2600WP OEM sensors.

2018-12-13 Albert Chu <chu11@llnl.gov>

	* libipmimonitoring: Fix discrete reading working.

	* contrib: Fix corner case libipmimonitoring-sensors example.

2018-10-24 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/locate/ipmi-locate-acpi-spmi.c: Fix compiler
	warnings.

2018-07-30 Albert Chu <chu11@llnl.gov>

	* Support Intel S2600GZ OEM sensors and SEL events.

2018-08-01 dann frazier <dann.frazier@canonical.com>

	* libfreeipmi/locate/ipmi-locate-acpi-spmi.c: Don't try to
	split the header off of the ACPI table, as it will be consumed
	by the SPMI table template.

	* libfreeipmi/locate/ipmi-locate-acpi-spmi.c: Add support for
	parsing SPMI tables exposed via sysfs.

	* libfreeipmi/locate/ipmi-locate-acpi-spmi.c: Allow sysfs SPMI
	parsing on ARM platforms.

	* libfreeipmi/locate/ipmi-locate-acpi-spmi.c: Correct order of
	bytes in specification_revision field of ACPI SPMI table.

2018-07-31 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/locate/ipmi-locate-acpi-spmi.c
	(_ipmi_acpi_get_spmi_table): Fix corner case, break out of loop
	once data found.

2018-05-11 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/include/freeipmi/spec/ipmi-product-id-spec.h: Add
	Gigabyte MG20-OP0-ZB product id and derived motherboards.

	* libfreeipmi/sel: Support Gigabyte MG20-OP0-ZB motherboard OEM
	sel events.

2018-05-11 Albert Chu <chu11@llnl.gov>

	* libipmiconsole/ipmiconsole.h.in: Update number of comments for
	clarity.

	* libipmimonitoring/ipmi_monitoring.h.in: Correct invalid comments
	return code from ipmi_monitoring_sel_iterator_next.

2018-05-03 Albert Chu <chu11@llnl.gov> and Anonymous

	* libfreeipmi/include/spec/ipmi-channel-spec.h,
	libfreeipmi/util/ipmi-channel-util.c: Update channel max from 0x7
	to 0xB per ipmi errata #409.

2018-03-08 Sevag Hanssian <sevag.hanssian@gmail.com>

	* ipmiseld/ipmiseld.c,
	ipmidetectd/ipmidetectd.c,
	bmc-watchdog/bmc-watchdog.c: Strip path from argv[0] in syslog

2018-02-20 Jo Fahlke <jorrit@jorrit.de>

	* ipmi-config/: Simplify legacy command scripts to not mangle
	shell parameters.
	
2018-02-16 GIRARD, MARC <marc.girard@atos.net>

	* libfreeipmi/api/ipmi-kcs-driver-api.c,
	libfreeipmi/api/ipmi-lan-session-common.c,
	libfreeipmi/api/ipmi-ssif-driver-api.c: When bridging, target the
	BMC LUN not the SMS LUN.
	
2018-01-18 Albert Chu <chu11@llnl.gov>

	* common/toolcommon/tool-common.c (ipmi_open): Fix error output
	corner case.  Newline necessary to allow pstdout library to output
	buffer on error.

	* common/toolcommon/pstdout.c (_pstdout_print): Fix debug build
	corner case.

2017-11-08 Michel Ferland <Michel.Ferland@kontron.com>

	* ipmipower/ipmipower_arg.c: Fix invalid parsing of
	--wait-until-on and --wait-until-off options.

2017-10-31 Bernd Zeimetz <bernd@bzed.de>

	* configure.ac: Fix cross compilation (bug #52290)

2017-09-22 Bernhard M. Wiedemann <bwiedemann@suse.de>

	* configure.ac: Use ChangeLog date instead of build date.

2017-08-13 Albert Chu <chu11@llnl.gov>

	* ipmi-config/ipmi-config-category-core-lan6-conf-section.c: Add
	configuration support for static router ips.

2017-08-12 Albert Chu <chu11@llnl.gov>

	* ipmi-config/ipmi-config-category-core-lan6-conf-section.c:
	Support checkout of all static & dynamic address info (source,
	enable, status, prefix_length)

2017-08-11 Albert Chu <chu11@llnl.gov>

	* ipmi-config/ipmi-config-category-core-lan6-conf-section.c:
	Support configuring IPv6/ipv4 addressing.  Fix error message
	outputs.

	* ipmi-config/ipmi-config-category-core-lan6-conf-section.c:
	Re-work output of IPv6 addresses, a separate key is not generated
	for each possible address output.

2017-08-09 Albert Chu <chu11@llnl.gov>

	* ipmi-config/ipmi-config-category-core-lan6-conf-section.c: Check
	malloc for errors.

	* Fix compiler warnings.

	* libfreeipmi/cmds/ipmi-lan-cmds.c: Fix incorrect LS vs. MS comment.

	* ipmi-config/: Minor code cleanup.

	* libfreeipmi/: Support IPv6 configuration templates and commands.

2017-07-18 Albert Chu <chu11@llnl.gov>

	* libipmimonitoring/ipmi_monitoring_sensor_reading.c
	(_store_sensor_reading): Fix several mem-leak corner cases.

2017-07-10 Albert Chu <chu11@llnl.gov>

	* Update various documentation for consistency, "Ipmi" to "ipmi"
	when appropriate, "Bmc" to "bmc", etc.

2017-07-10 Josef Ridky <jridky@redhat.com>

	* man/freeipmi.7.pre.in: Lower case "Ipmi" to "ipmi".

2017-06-27 Ike Panhc <ike.pan@canonical.com>

	* libfreeipmi/locate/ipmi-locate-dmidecode.c: Use dmi firmware in
	sysfs if available.  mmap() does not work on DMI tables so also
	fallback to read if mmap() failed.

2017-04-07 LaMont Jones <lamont@mmjgroup.com>

	* ipmi-config/: Support ability to read some IPv6 config
	information.

2017-04-03 LaMont Jones <lamont@mmjgroup.com>

	* libfreeipmi/: Add support to read IPv6 configuration.

2017-03-20 Albert Chu <chu11@llnl.gov>

	* man/ipmiseld.8.pre.in: Clarify --test-run and --foreground
	options.

	* common/toolcommon/tool-daemon-common.c (daemonize_common):
	Clarify fopen error on daemon pidfile

2017-01-30 Albert Chu <chu11@llnl.gov>

	* doc/freeipmi-bugs-and-workarounds.txt: Document issue with
	ASROCK MT-C224.

2017-01-21 Albert Chu <chu11@llnl.gov>

	* man/ipmi-raw.8.pre.in: Fix formatting error.

2017-01-18 Albert Chu <chu11@llnl.gov>

	* man/ipmi-oem.8.pre.in: Fix cut and paste documentation error.

2017-01-17 Albert Chu <chu11@llnl.gov>

	* ipmi-config/: Use inet_ntop() to output IPv4 addresses instead
	of outputting "by hand".

2017-01-03 Albert Chu <chu11@llnl.gov>

	* common/toolcommon/pstdout.c (pstdout_hostnames_count): Slight
	logic change to differentiate between bad input and out of memory.

	* libfreeipmi/api/ipmi-api-util.c (api_set_api_errnum_by_errno):
	Recognize ENETUNREACH and EHOSTUNREACH errno's as system errors,
	not internal errors.

2016-12-28 Albert Chu <chu11@llnl.gov>

	* Globally support IPv6 address support in all tools as options,
	parameters, or inputs.  Globally support [ADDRESS]:PORT format for
	IPv6 address + ports.  Support additional strings indicating
	"localhost", such as "ipv6-localhost".

2016-12-06 LaMont Jones <lamont@mmjgroup.com>

	* ipmipower/: Initial pass at IPv6 support.

2016-12-05 Albert Chu <chu11@llnl.gov>

	Support IPv6 addresses in FreeIPMI

	* common/miscutil/fi_hostlist.h, common/miscutil/fi_hostlist.c:
	New files.  Wrapper around hostlist.[ch].

	* Update all tools to use fi_hostlist.[ch].

2017-01-13 Albert Chu <chu11@llnl.gov>

	* man/bmc-config.conf.5: Fix pointer of correct manpage.

2016-12-22 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/api/ipmi-api.c (_setup_hostname): Fix cleanup path
	potential memleak.

2017-01-09 Albert Chu <chu11@llnl.gov>

	* man/manpage-common-known-issues-ping.man: Fix spelling typo.

2016-12-13 Albert Chu <chu11@llnl.gov>

	* freeipmi.spec.in: Remove ExclusiveArch, as ppc now has iopl()
	support.

	https://lists.fedoraproject.org/pipermail/scm-commits/2011-October/676773.html

2016-12-09 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/api/ipmi-lan-session-common.c (_api_lan_recvfrom):
	Convert from select() to poll() to avoid issues with high number
	of threads. (GNU issue #49813)

2016-11-02 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/include/Makefile.am, etc/Makefile.am: Fix distcheck.

2016-10-26 Albert Chu <chu11@llnl.gov>

	* Support OEM sensors/sel events for SuperMicro H8SGL-F.

2016-10-26 Albert Chu <chu11@llnl.gov>

	* doc/freeipmi-bugs-and-workarounds.txt: Document issue with
	SuperMicro H8SGL-F.

2016-10-21 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/fru/ipmi-fru-data.c (_parse_type_length): Remove
	unnecessary memset.

2016-10-07 Albert Chu <chu11@llnl.gov>

	* libipmiconsole/: Move "user_fd_retrieved" from connection struct
	to fds struct for clarity.

2016-10-07 Albert Chu <chu11@llnl.gov>

	Fix invalid clearing of ctx info in
	__ipmiconsole_ctx_connection_cleanup in
	libipmiconsole/ipmiconsole_ctx.c

	* libipmiconsole/ipmiconsole_ctx.c (_ipmiconsole_ctx_connection_init):
	Remove function.

	* libipmiconsole/ipmiconsole_ctx.c (ipmiconsole_ctx_connection_setup):
	Move remnants of _ipmiconsole_ctx_connection_init into this
	function.

	* libipmiconsole/ipmiconsole_ctx.c (__ipmiconsole_ctx_connection_cleanup):
	Do not call _ipmiconsole_ctx_connection_init.  Clear only data
	__ipmiconsole_ctx_connection_cleanup should clear.

2016-10-06 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/fru/: Revert removal of memsets libfreeipmi/fru/.
	Are necessary b/c fields are optional.

	* Revert removal of memset of config file data.  Necessary b/c
	data may never be set by config_file_parse if file not found.

2016-10-04 Albert Chu <chu11@llnl.gov>

	* ipmi-oem/: Audit and fix, add +1 to string buffers, use
	secure_memset when appropriate.

	* bmc-device/: Audit and fix, remove +1 for data buffers, don't
	memset when unnecessary.

	* bmc-info/bmc-info.c (display_system_info_common): Add +1 for string buffer.

	* bmc-info/bmcinfo.c (get_channel_info_list)
	(display_channel_info): Don't memset channel array, clear values
	if not available.

	* ipmi-dcmi/ipmi-dcmi.c: Audit and fix, +1 for string buffers, use
	char not uint8_t for strings.

	* ipmi-fru/: Audit and fix, no need to memset buffers, remove +1s
	length on buffers.

	* ipmi-sensors/: Audit and fix, remove unnecessary memset.

	* ipmiconsole/: Audit and remove unnecessary memsets.

	* ipmiseld/: Audit and remove unnecessary memsets, add +1 to
	string buffers.

	* ipmipower/: Audit, remove unnecessary memsets, add +1 to string
	buffers, minor cleanup.

	* libipmimonitoring/: Audit, remove unnecessary memsets, add +1 to
	string buffers.

	* libipmiconsole/: Audit, remove unnecessary memsets, add +1 to string buffers.

	* ipmi-config/: Audit, remove unnecessary memsets, add +1 to
	string buffers, minor fixes.

	* Properly memset hdr buffers when outputting debug output.

	* Remove unnecessary memset of "prog_data" in all tools.

	* libfreeipmi/: Audit, remove unnecessary memsets, add +1 to
	string buffers, misc fixes.

	* Fix logic and corner cases with parse_kg.

2016-10-03 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/fru/ipmi-fru-data.c: Remove unnecessary memsets.

2016-08-29 Albert Chu <chu11@llnl.gov>

	* ipmi-oem/: Add Gigabyte get/set-bmc-services commands.

2016-10-03 Albert Chu <chu11@llnl.gov>

	* ipmi-config/ipmi-config-category-core-lan-conf-security-keys-section.c (k_g_checkout),
	ipmipower/ipmipower_prompt.c (_cmd_k_g): Fix memset of buffer to
	correct length.

	* ipmi-fru/ipmi-fru-output.c (ipmi_fru_output_chassis_info_area,
	ipmi_fru_output_board_info_area, ipmi_fru_output_product_info_area):
	Remove unnecessary memsets, are performed within API functions.

	* ipmi-oem/ipmi-oem-dell.c (_ipmi_oem_dell_power_supply_info_sdr_callback):
	Memset sensor name buffer before calling
	ipmi_sdr_parse_entity_sensor_name.

	* libfreeipmi/sdr/ipmi-sdr-parse-util.c (ipmi_sdr_parse_sensor_name)
	(ipmi_sdr_parse_entity_sensor_name): No need to memset buf from
	user.

2016-09-30 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/fiid/fiid.c: Put index into fiid_field_data so does
	not have to be calculated later.

	* libfreeipmi/fiid/fiid.c: Put start & end bytes into
	fiid_field_data so does not have to be calculated later.

	* libfreeipmi/fiid/fiid.c: Put internal hash/lookup table to
	remove constant iteration/loops looking for indexes, field
	lengths, and start & end points.

2016-09-30 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/fiid/fiid.c (_fiid_template_check_valid_keys):
	Remove expensive check in production builds.  The fall out by not
	checking will be "key not found" errors on fiid_obj_get and
	similar.

	* libfreeipmi/fiid/fiid.c (fiid_obj_template_compare): Remove
	unnecessary call to _fiid_template_check_valid_flags.

2016-09-29 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/debug/ipmi-debug-lan.c (_ipmi_dump_lan_packet):
	Clear data on obj_session_hdr not obj_lan_msg_hdr.

	* ipmipower/ipmipower_powercmd.c (_recv_packet): Clear
	obj_lan_session_hdr_rs only if using authentication straight
	password key.

2016-09-29 Albert Chu <chu11@llnl.gov>

	* ipmipower/ipmipower_powercmd.c (_recv_packet),
	libfreeipmi/debug/ipmi-debug-rmcpplus.c (_dump_rmcpplus_session_trlr),
	libipmiconsole/ipmiconsole_processing.c (_receive_packet),
	libipmiconsole/ipmiconsole_packet.c (ipmiconsole_sol_packet_assemble),
	libipmiconsole/ipmiconsole_processing.c (_sol_bmc_to_remote_console_packet):
	Remove unnecessary fiid obj clear for security purposes.

2016-09-29 Albert Chu <chu11@llnl.gov>

	* bmc-info/bmc-info.c (display_system_info_common),
	bmc-device/bmc-device.c (set_system_info_common),
	ipmi-config/ipmi-config-category-pef-alert-string.c (alert_string_checkout),
	ipmi-dcmi/ipmi-dcmi.c (_sensor_info_output),
	ipmi-oem/ipmi-oem/ipmi-oem-dell.c (_get_dell_system_info_long_string),
	ipmi-oem/ipmi-oem-thirdparty.c (ipmi_oem_thirdparty_get_system_info_block_pstring,
	ipmi_oem_thirdparty_get_account_status): Remove unnecessary fiid object
	clear which is also done in unassemble deep in API.

	* ipmi-oem/ipmi-oem-inventec.c (_ipmi_oem_inventec_read_eeprom_at24c256n,
	_ipmi_oem_inventec_clear_eeprom_at24c256n), ipmi-oem/ipmi-oem-quanta.c
	(_ipmi_oem_quanta_read_mac_address_s99q, _ipmi_oem_quanta_write_mac_address_s99q):
	Remove useless fiid obj clear call.

	* libfreeipmi/interface/ipmi-rmcpplus-interface.c (assemble_ipmi_rmcpplus_pkt),
	libfreeipmi/fru/ipmi-fru.c (_read_fru_data),
	libfreeipmi/debug/ipmi-debug-rmcpplus.c (_dump_rmcpplus_payload_data):
	Remove unnecessary fiid obj clears.

2016-09-29 Albert Chu <chu11@llnl.gov>

	* ipmipower/ipmipower_packet.c (ipmipower_packet_store,
	_ipmi_1_5_packet_create, _ipmi_2_0_packet_create): Remove unnecessary
	fiid object clears which are already done inside the fill & unassemble
	functions.

	* libipmiconsole/ipmiconsole_packet.c (_ipmi_1_5_packet_assemble,
	_ipmi_2_0_packet_assemble, ipmiconsole_packet_unassemble): Remove
	unnecessary fiid object clears which are done inside fill & unassemble
	functions.

	* libfreeipmi/api/ipmi-lan-session-common.c (_api_lan_cmd_send,
	_api_lan_2_0_cmd_send, _api_lan_cmd_recv, _api_lan_2_0_cmd_recv):
	Remove unnecessary fiid object clears which are done inside fill &
	unassemble functions.

2016-09-29 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/include/freeipmi/fiid/fiid.h,
	libfreeipmi/fiid/fiid.c: Support new
	FIID_FIELD_SECURE_MEMSET_ON_CLEAR flag.

	* libfreeipmi/interface/ipmi-lan-interface.c,
	libfreeipmi/include/freeipmi/templates/ipmi-lan-interface-templates.h:
	In Lan Session Header, always securely clear authentication_code.

2016-09-29 Albert Chu <chu11@llnl.gov>

	* Remove additions of ipmi_rmcpplus_get_random and
	crypt_get_random from 2016-09-26.  Older versions of gcrypt do not
	allow multiple threads into gcry_randomize simultaneously, which
	could greatly hurt initialization performance in multi-threaded
	applications.  In addition, since ipmi_get_random() is only called
	during initialization in all libraries/code, the somewhat slower
	ipmi_get_random() shouldn't affect long running performance of
	applications.  Reconsider change again in the future.

2016-09-29 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/fiid/fiid.c (_fiid_template_field_start)
	(_fiid_template_field_end, _fiid_template_field_len)
	(_fiid_template_block_len): Create various internal versions of
	functions which can be used internally to avoid duplicate API
	checks in _fiid_template_check_valid_keys.

2016-09-28 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/util/ipmi-rmcpplus-util.c: Do not secure_memset
	buffers with usernames.  Do not consider username to be
	secure_memset necessary.

2016-09-28 Albert Chu <chu11@llnl.gov>

	Cleanup over-excessive use of secure_memset, should only be used
	to clear buffers containing cryptographic keys (i.e. passwords).

	* libipmimonitoring/ipmi_monitoring.c (ipmi_monitoring_ctx_create):
	Remove unnecessary call to secure_memset().

	* ipmipower/ipmipower_powercmd.c (_send_packet, _recv_packet):
	Call secure_memset only when necessary (using plain passwords).

	* ipmiconsole/ipmiconsole.c (main, _stdin): Remove unnecessary and
	excessive calls to secure_memset.

	* libfreeipmi/util/ipmi-rmcpplus-util.c (ipmi_calculate_rmcpplus_session_keys)
	(ipmi_rmcpplus_check_packet_session_authentication_code)
	(ipmi_rmcpplus_check_rakp_2_key_exchange_authentication_code)
	(ipmi_calculate_rakp_3_key_exchange_authentication_code)
	(ipmi_rmcpplus_check_rakp_4_integrity_check_value): Fix secure
	memset of invalid/unnecessary buffers.

	* libfreeipmi/interface/ipmi-lan-interface.c (assemble_ipmi_lan_pkt):
	Fix secure memset of unnecessary buffers.

	* libfreeipmi/interface/ipmi-rmcpplus-interface.c (_construct_session_trlr_authentication_code):
	Fix secure memset of unnecessary buffers.

	* libipmiconsole/ipmiconsole_processing.c: Remove secure memset of
	unnecessary buffers.

	* libfreeipmi/fiid/fiid.c (fiid_obj_clear, fiid_obj_clear_field):
	Change secure_memset to memset.  Will adjust via new fiid flag in
	later change.

2016-09-29 Albert Chu <chu11@llnl.gov>

	* libipmiconsole/ipmiconsole_ctx.c (ipmiconsole_ctx_fds_cleanup):
	Fix error in cleanup that could lead to fd leak.

2016-07-27 Albert Chu <chu11@llnl.gov>

	* common/toolcommon/tool-common.h,
	common/toolcommon/tool-common.c (ipmi_open): Add flags option.

	* Use new ipmi_open() function call appropriately in all tools.

	* ipmi-raw/: Support new --no-session option.

	* libfreeipmi/api/ipmi-api.c (ipmi_cmd_raw): Fix corner case
	when using IPMI_FLAGS_NOSESSION.

2016-09-26 Albert Chu <chu11@llnl.gov>

	* ipmipower/ipmipower_powercmd.c (ipmipower_powercmd_queue): Fix
	initialization of variables in wrong branch.

2016-09-26 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/util/ipmi-util.c (ipmi_get_random): Remove call to
	gcry_randomize.  There's no guarantee gcrypt was initialized.

	* libfreeipmi/libcommon/ipmi-crypt.h,
	libfreeipmi/libcommon/ipmi-crypt.c (crypt_get_random): New
	function that uses gcry_randomize.

	* libfreeipmi/interface/ipmi-rmcpplus-interface.c (_construct_payload_confidentiality_aes_cbc_128):
	Use crypt_get_random appropriately.

	* libfreeipmi/include/freeipmi/interface/ipmi-rmcpplus-interface.h,
	libfreeipmi/interface/ipmi-rmcpplus-interface.c (ipmi_rmcpplus_get_random):
	Add new convenience function.

	* libfreeipmi/api/ipmi-lan-session-common.c (api_lan_2_0_open_session),
	libipmiconsole/ipmiconsole_ctx.c (ipmiconsole_ctx_session_setup),
	ipmipower/ipmipower_powercmd.c (ipmipower_powercmd_queue): Use new
	ipmi_rmcpplus_get_random appropriately.

2016-09-22 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/util/ipmi-util.c (ipmi_get_random): Fix corner case
	where signed/unsigned ints are compared.

2016-09-22 Albert Chu <chu11@llnl.gov>

	* libipmiconsole/: Do not close user fd if use has retrieved it
	from ipmiconsole_ctx_fd.  Double close can lead to race
	conditions.

2016-09-20 Albert Chu <chu11@llnl.gov>

	* libipmiconsole/: Create state variable to manage context destroy
	state remove corner case of potential segfault on teardown.

2016-09-06 Albert Chu <chu11@llnl.gov>

	* libipmiconsole/ipmiconsole_ctx.c (__ipmiconsole_ctx_connection_cleanup):
	Add missing call to ipmiconsole_ctx_config_cleanup.

	* libfreeipmi/libcommon/ipmi-crypt.c: Fix potential issue with
	multithreaded tracing, call gpg_strerror_r intead of gcry_strerror
	when tracing.

2016-08-30 Albert Chu <chu11@llnl.gov>

	* configure.ac; Fix output comment error.

2016-08-02 Albert Chu <chu11@llnl.gov>

	* ipmi-oem/: Add Gigabyte get/set-nic-mode commands.

2016-08-01 Albert Chu <chu11@llnl.gov>

	* common/toolcommon/tool-sensor-common.h: Increase max sensor
	types to 128.

2016-08-01 Thomas Grohmann <thomas.grohmann@atos.net>

	* common/toolcommon/tool-sensor-common.h: Increase max record ids
	to 4096.

2016-07-29 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/include/spec/: Add Gigabyte IANA manufacturer macro
	and Product MD90-FS0-ZB macro.

	* libfreeipmi/sel/: Add Gigabyte MD90-FS0-ZB OEM SEL support.

2016-07-29 Albert Chu <chu11@llnl.gov>

	* ipmi-oem/: Support get/set-bmc-services for Intel motherboards.

2016-07-11 Albert Chu <chu11@llnl.gov>

	* Document support of Intel S2600KPR.

	* libfreeipmi/include/freeipmi/spec/ipmi-product-id-spec.h,
	libfreeipmi/sel/ipmi-sel-string.c: Add code indicating support for
	Intel S2600KPR.

2016-07-11 Albert Chu <chu11@llnl.gov>

	* Untabify all .c, .h, and .pl files for consistency across
	FreeIPMI.

2016-07-05 Holger Liebig <holger.liebig@ts.fujitsu.com>

	* libfreeipmi/include/freeipmi/spec/ipmi-product-id-spec.h: Update
	Fujitsu Product ID range.

2016-06-21 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/include/freeipmi/spec/oem/ipmi-oem-intel-spec.h: Add
	forgotten OEM macro.

2016-06-08 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/include/freeipmi/spec/ipmi-comp-code-spec.h: Fix
	invalid completion code values for set session privilege macros.

2016-06-06 Albert Chu <chu11@llnl.gov>

	* ipmiconsole/ipmiconsole-argp.c, man/ipmiconsole.8.pre.in:
	Clarify use of --debugfile option.

	* ipmiconsole/: Make --debugfile option available in production
	builds.

2016-06-06 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/util/ipmi-error-util.c (ipmi_completion_code_strerror_r):
	Remove buggy code which explains Master/Read write error from
	ChangeLog on 2015-09-09.

2016-05-21 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/include/freeipmi/spec/ipmi-iana-enterprise-numbers-spec.h:
	Add macro for maximum IANA numbers.

	* libfreeipmi/spec/generate-enterprise-numbers-file.sh:
	Automatically update iana .h file with max index.

2016-05-10 Albert Chu <chu11@llnl.gov>

	* bmc-device/: Support --read-fru and --device-id option.

	* libfreeipmi/: Add ipmi_fru_open_device_id_with_buffer function.

	* ipmi-fru/: Add --fru-file option.

	* libfreeipmi/: Add ipmi_cmd_write_fru_data function.

	* bmc-device/: Support --write-fru option.

2016-05-20 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/spec/enterprise-numbers.pl: Handle header and all
	corner cases in enterprise-numbers records list to avoid having to
	hand modify.

	* libfreeipmi/spec/generate-enterprise-numbers-file.sh: New file
	to automatically download and generate C file.

	* libfreeipmi/spec/enterprise-numbers.pl: Remove extraneous text
	from manufacturer names (e.g. "formerly known as" and similar
	text).

	* libfreeipmi/spec/ipmi-iana-enterprise-numbers-spec.c: Update to
	newest.

2016-05-06 Albert Chu <chu11@llnl.gov>

	* ipmi-fru/: Rename INTERPRET_OEM_DATA to INTERPRET_OEM_DATA_KEY
	for consistency.

2016-05-05 Albert Chu <chu11@llnl.gov>

	* ipmi-config/: Set SDR quiet-cache when doing hostranged actions.

	* ipmi-config/: Support SDR options in ipmi-config.

	* Globally legacy old 'f' option for --flush-cache and 'Q' option
	for --quiet-cache.

2016-05-04 Albert Chu <chu11@llnl.gov>

	* man/ipmi-fru.8.pre.in, man/bmc-device.8.pre.in: Minor fixes

2016-03-09 Maksym Planeta <mcsim.planeta@gmail.com>

	* libfreeipmi/driver/ipmi-inteldcmi-driver.c,
	libfreeipmi/driver/ipmi-openipmi-driver.c,
	libfreeipmi/driver/ipmi-ssif-driver.c,
	libfreeipmi/driver/ipmi-sunbmc-driver.c: Set FD_CLOEXEC on device
	driver opened files.

2016-02-03 Albert Chu <chu11@llnl.gov>

	* common/miscutil/conffile.h: Increase CONFFILE_MAX_ARGLEN from
	512 to 1024 to support long hostname arguments in ipmiseld config
	file.

2015-11-04 Albert Chu <chu11@llnl.gov>

	* configure.ac, freeipmi.spec.in: Add systemd support.

2015-11-02 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/sel/ipmi-sel-string.c: Code cleanup.

2015-10-29 Albert Chu <chu11@llnl.gov>

	* configure.ac: Update library versions for eventually 1.5 release.

2015-10-29 Albert Chu <chu11@llnl.gov>

	* ipmi-oem/ipmi-oem-intelnm.c: Fix typo.

	* ipmi-oem/ipmi-oem-intelnm.c: Fix logic error in searching code in various "get" functions.

	* ipmi-oem/ipmi-oem-intelnm.c: Fix logic errors in new command additions.

	* libfreeipmi/cmds/ipmi-oem-intel-node-manager-cmds.c: Fix error in new templates.

2015-10-29 Albert Chu <chu11@llnl.gov>

	* doc/freeipmi-faq.texi: URL updates and minor doc update.

2015-10-28 Albert Chu <chu11@llnl.gov>

	* Add warnings to deprecated header files.

	* Various code cleanup.

2015-10-27 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/include/freeipmi/templates/: Move some files to oem subdirectory.

	* freeipmi.spec.in: Update for new header directories.

	* libfreeipmi/freeipmi/spec/oem/ipmi-slave-address-oem-linux-kernel-spec.h: New file.

	* libfreeipmi/include/Makefile.am,
	libfreeipmi/include/freeipmi/freeipmi.h.in,
	libfreeipmi/include/freeipmi/spec/ipmi-slave-address-spec.h,
	libfreeipmi/include/freeipmi/spec/ipmi-slave-address-oem-spec.h:
	Update for new file.

	* libfreeipmi/: Various code cleanup.

2015-10-21 Albert Chu <chu11@llnl.gov>

	* Various minor bug fixes, cleanup, and distcheck fixes.

2015-10-20 Albert Chu <chu11@llnl.gov>

	Re-org of OEM code for future.

	* libfreeipmi/include/freeipmi/sdr/,
	libfreeipmi/include/freeipmi/record-format: Split OEM .h files
	into vendor specific files.

	* libfreeipmi/sdr, libfreeipmi/record-format: Split OEM files into
	specific vendor files.

	* ipmi-sensors/: Split OEM files into motherboard files.

	* libfreeipmi/sel: Split OEM files into motherboard files.

2015-10-19 Albert Chu <chu11@llnl.gov>

	Re-org of OEM code for future.

	* libfreeipmi/include/freeipmi/spec/: Split OEM .h files into vendor specific files.

	* libfreeipmi/spec/ipmi-sensor-and-event-code-tables-oem-spec.c:
	Split OEM files into specific vendor files.

2015-10-19 Albert Chu <chu11@llnl.gov>

	Merge branch intelnm30

	* libfreeipmi/include/freeipmi/spec/ipmi-sensor-and-event-code-tables-oem-spec.h,
	libfreeipmi/sel/ipmi-sel-string-intel-node-manager.c: Support
	Intel NM 3.0 SEL events.

	* libfreeipmi/include/freeipmi/spec/ipmi-sensor-numbers-oem-spec.h:
	Add new sensor numbers.

	* libfreeipmi/include/freeipmi/cmds/ipmi-oem-intel-node-manager-cmds.h,
	libfreeipmi/include/freeipmi/api/ipmi-oem-intel-node-manager-api.h
	* libfreeipmi/cmds/ipmi-oem-intel-node-manager-cmds.c,
	libfreeipmi/api/ipmi-oem-intel-node-manager-api.c,
	ipmi-oem/ipmi-oem-intelnm.c: Update for Intel NM 3.0 changes.

2015-10-16 Albert Chu <chu11@llnl.gov>

	* ipmi-oem/ipmi-oem-intelnm.c (ipmi_oem_intelnm_get_node_manager_statistics):
	Fix errors in units in output.

	* ipmi-oem/ipmi-oem-intelnm.c (ipmi_oem_intelnm_set_node_manager_policy):
	Fix error in setting logic.

	* libfreeipmi/include/freeipmi/api/ipmi-oem-intel-node-manager-cmds-api.h,
	ipmi_cmd_oem_intel_node_manager_set_node_manager_policy_boot_time_policy (ipmi_cmd_oem_intel_node_manager_set_node_manager_policy_boot_time_policy):
	New function.

	* libfreeipmi/include/freeipmi/cmds/ipmi-oem-intel-node-manager-cmds.h,
	libfreeipmi/cmds/ipmi-oem-intel-node-manager-cmds.c (fill_cmd_oem_intel_node_manager_set_node_manager_policy_boot_time_policy):
	New function.

2015-09-30 Albert Chu <chu11@llnl.gov>

	Merge branch intel2600v3.

	* libfreeipmi/include/freeipmi/spec/ipmi-product-id-spec.h: Add
	Intel product id's for S2600KP, S2600WT2, S2600WTT.

	* libfreeipmi/sel/ipmi-sel-string-intel.c: Support Intel Node
	Manager SEL events on Intel S2600KP, S2600WT2, S2600WTT.

	* libfreeipmi/include/freeipmi/spec/ipmi-sensor-numbers-oem-spec.h:
	Add sensor numbers for Intel S2600KP, S2600WT2, S2600WTT.

	* libfreeipmi/include/freeipmi/spec/ipmi-slave-address-oem-spec.h:
	Add slave addresses for Intel S2600KP, S2600WT2, S2600WTT.

	* libfreeipmi/include/freeipmi/spec/ipmi-sensor-and-event-code-tables-oem-spec.h,
	libfreeipmi/sel/ipmi-sel-string-intel.c: Support OEM sel events
	for Intel S2600KP, S2600WT2, S2600WTT.

	* man/ipmi-sel.8.pre.in: Update motherboard support list.

2015-10-14 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/spec/ipmi-sensor-and-event-code-tables-oem-spec.c:
	Fix typo taret -> target.

2015-10-14 Albert Chu <chu11@llnl.gov>

	* ipmi-oem/: Update get-power-supply-status2 on Supermicro based
	on mailing list discussion.

2015-09-30 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/include/freeipmi/spec/ipmi-slave-address-spec.h,
	libfreeipmi/include/freeipmi/record-format/ipmi-sel-oem-record-format.h,
	libfreeipmi/sel/ipmi-sel-string.c,
	libfreeipmi/sel/ipmi-sel-string-linux-kernel.h,
	libfreeipmi/sel/ipmi-sel-string-linux-kernel.c: Support Linux
	kernel panics in SEL.

2015-09-29 Newell Jensen <newell.jensen@gmail.com>

	* ipmi-locate/ipmi-locate.c (main),
	libfreeipmi/locate/ipmi-locate-smbios.c (ipmi_locate_smbios_get_device_info),
	libfreeipmi/locate/ipmi-locate-acpi-spmi.c (ipmi_locate_acpi_spmi_get_device_info),
	libfreeipmi/locate/ipmi-locate-dmidecode.c (ipmi_locate_dmidecode_get_device_info):
	Fix ipmi locate probing on arm32 & arm64.

2015-09-24 Newell Jensen <newell.jensen@gmail.com>

	* ipmi-locate/ipmi-locate.c (main): Fix probing issue on arm32 & arm64
	systems.

2015-09-23 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/include/freeipmi/record-format/ipmi-fru-information-record-format.h,
	libfreeipmi/fru/: Update FRU Multirecord Area for NVM Express
	record range (IPMI Errata 7).

2015-09-15 Albert Chu <chu11@llnl.gov>

	* ipmi-oem/: Update get-power-supply-status2 on Supermicro based
	on mailing list discussion.

2015-09-09 Albert Chu <chu11@llnl.gov>

	* ipmi-oem/: Support get-power-supply-status2 on Supermicro.

	* libfreeipmi/util/ipmi-error-util.c (ipmi_completion_code_strerror_r):
	Support Master read/write specific error codes.

2015-08-18 Craig <agspoon@gmail.com>

	* ipmi-sensors/ipmi-sensors-output-common.c (ipmi_sensors_get_thresholds):
	Handle additional corner case reading sensor thresholds.

2015-08-18 Albert Chu <chu11@llnl.gov>

	 * ipmi-sensors/ipmi-sensors-output-common.c (ipmi_sensors_get_thresholds):
	Handle several additional error cases with getting sensor
	thresholds.

2015-07-30 Albert Chu <chu11@llnl.gov>

	* ipmi-config/ipmi-config/ipmi-config-category-dcmi-dcmi-conf-section.c (asset_tag_commit):
	Revert workaround for Supermicro motherboard.

2015-07-27 Albert Chu <chu11@llnl.gov>

	* ipmi-config/ipmi-config/ipmi-config-category-dcmi-dcmi-conf-section.c (asset_tag_commit):
	Add workaround for Supermicro motherboard.

2015-07-27 Albert Chu <chu11@llnl.gov>

	* ipmi-config/ipmi-config-category-chassis-boot-flags.c (_get_boot_flags):
	Fix debug message output error.

2015-06-24 Albert Chu <chu11@llnl.gov>

	* Update copyright year globally.

2015-06-01 Albert Chu <chu11@llnl.gov>

	* Audit and fix all strtol parse corner cases.

2015-06-01 James Buren <ryu0@ymail.com>

	* ipmi-config/ipmi-config-argp.c (_ipmi_config_parse_channel_number):
	Fix strtol parse corner case.

2015-04-02 Albert Chu <chu11@llnl.gov>

	* man/ipmiconsole.8.pre.in: Remove duplicate information.  (bug
	#44698)

2015-01-06 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/libcommon/ipmi-crypt.c (crypt_init): Only call
	gcry_control w/ GCRYCTL_SET_THREAD_CBS once.  It appears newer
	version of libgcrypt cannot handle entering this function
	simulatenously by multiple threads, leading to segfaults.

2015-01-06 Albert Chu <chu11@llnl.gov>

	* common/toolcommon/tool-cmdline-common.c: Fix parsing corner case
	with --fanout option.

2014-12-10 Albert Chu <chu11@llnl.gov>

	* ipmi-config/ipmi-config-category-core-user-sections.c (_set_user_access):
	Workaround issue on Supermicro X10DDW-i.

2014-12-10 Albert Chu <chu11@llnl.gov>

	* ipmi-config/ipmi-config-category-pef-alert-policy-table.c (_set_alert_policy_table):
	Use convenience function ipmi_config_find_section appropriately.

2014-12-09 Albert Chu <chu11@llnl.gov>

	* ipmi-config/ipmi-config-category-core-lan-conf-section.c: Fix
	vlan_id from uint8_t to uint16_t.

	Found by jbd at jbdenis dot net

2014-12-09 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/: Support Get Device SDR Info, Get Device SDR, and
	Reserve Device SDR Repository commands in API as needed.

2014-11-14 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/driver/ipmi-sunbmc-driver.c,
	libfreeipmi/driver/ipmi-ssif-driver.c,
	libfreeipmi/driver/ipmi-openipmi-driver.c: Loop on select() call
	if interrupted by EINTR.  Issue found by Robin Geyer (robin dot geyer at tu-dresden dot de)

2014-11-14 Albert Chu <chu11@llnl.gov>

	* bmc-info/bmc-info.c (display_system_info_common): Fix cut &
	paste error handling bug.

2014-11-07 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/spec/ipmi-sensor-and-event-code-tables-spec.c: Fix
	typo. (Found by Werner Fischer).

2014-11-03 Albert Chu <chu11@llnl.gov>

	* Found by Satya Nishtala <satya at drivescale dot com>

	Fix typo throughout with "Tegulu" language, which should be
	"Telugu".  Typo exists in originally FRU specification.

2014-10-30 Albert Chu <chu11@llnl.gov>

	* doc/freeipmi-faq.texi: Fix typo and update with examples.  Add
	support updates.

2014-10-29 Albert Chu <chu11@llnl.gov>

	Merge branch ddr4

	* libfreeipmi/include/freeipmi/record-format/ipmi-fru-dimmspd-record-format.h,
	libfreeipmi/record-format/ipmi-fru-dimmspd-record-format.c,
	libfreeipmi/include/freeipmi/templates/ipmi-fru-dimmspd-record-format-templates.h:
	Add DDR4 SPD FRU support.

	* libfreeipmi/include/freeipmi/spec/ipmi-jedec-manufacturer-identification-code-spec.h,
	libfreeipmi/spec/ipmi-jedec-manufacturer-identification-code-spec.c,
	libfreeipmi/spec/jedec-raw.txt,
	libfreeipmi/util/ipmi-jedec-manufacturer-identification-code-util.c:
	Update jedec manufacturer listings.

	* libfreeipmi/spec/ipmi-iana-enterprise-numbers-spec.c: Update
	IANA manufacturer listings.

	* ipmi-fru/: Support DDR4 module output.  Add extra output to DDR3 modules.

2014-10-22  Albert Chu <chu11@llnl.gov>

	* ipmi-chassis/ipmi-chassis-argp.c: Options now require arguments,
	remove OPTION_ARG_OPTIONAL flag in parsing.

	* ipmi-chassis/: Add comments on legacy options.

2014-10-21  Albert Chu <chu11@llnl.gov>

	* ipmi-raw/: Fix corner case with empty lines when inputting
	commands via standard in or --file.

2014-10-14  Albert Chu <chu11@llnl.gov>

	* doc/freeipmi-faq.texi: Add notes on ipmitool vs ipmi-sensors
	"ok" reading.

2014-08-19 Mark Rusk <mark.rusk@hp.com>

	* libfreeipmi/locate/ipmi-locate-dmidecode.c: Fix multiple UEFI
	bugs.  Remove assumption EFI only works with IA64.  Fix endline
	parse issue.

2014-08-14  Albert Chu <chu11@llnl.gov>

	* Support SSIF IPMB bridging.

2014-07-15  Markus Blank-Burian <burian@muenster.de>

	* Support Supermicro H8DGU and H8DG6 systems.

2014-07-14  Yaroslav Halchenko <debian@onerussian.com>

	* Fix various typos in code and documentation.

2014-07-10  Albert Chu <chu11@llnl.gov>

	* man/libipmiconsole.3.pre.in: Document libipmiconsole.conf manpage.

2014-07-01  Albert Chu <chu11@llnl.gov>

	* libipmiconsole/ipmiconsole_processing.c (_check_payload_sizes_legitimate):
	Fix max_sol_character_send_size corner case calculation.  Should
	be based on "inbound" size not "outbound" size.

2014-05-30  Shashi Dande <Shashi.Dande@hp.com>

	* libfreeipmi/api/ipmi-ssif-driver-api.h,
	libfreeipmi/api/ipmi-ssif-driver-api.c (api_ssf_cmd): Retry reads
	as needed.

2014-05-07  Klaus Kaempf <kkaempf@suse.de>

	* ipmipower/ipmipower_ping.c: Fix compile bug.

2014-03-19  Albert Chu <chu11@llnl.gov>

	* ipmipower/: Support 'ipmiping' workaround.

2014-03-19  David Binderman <dcb314@hotmail.com>

	* libfreeipmi/interpret/ipmi-interpret.c: Fix leap before you look
	bugs.

2014-03-13  Albert Chu <chu11@llnl.gov>

	* ipmi-oem/: Support Supermicro get-power-supply-status
	and get-pmbus-power-supply-status commands.

2014-03-12  Albert Chu <chu11@llnl.gov>

	* doc/freeipmi-faq.texi: Add notes on ipmi-detect for IPMI
	discovery.

2014-02-21  Albert Chu <chu11@llnl.gov>

	* libipmiconsole/ipmiconsole_processing.c (_sol_retransmission_timeout):
	Only increment sol packet sequence number for workaround once.

2014-02-20  Albert Chu <chu11@llnl.gov>

	* libipmiconsole, ipmiconsole, common/parsecommon: Support
	SERIAL_ALERTS_DEFERRED workaround.  Support
	INCREMENT_SOL_PACKET_SEQUENCE workaround.

2014-02-20  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/include/freeipmi/templates/ipmi-rmcpplus-support-and-payload-cmds-templates.h,
	libfreeipmi/cmds/ipmi-rmcpplus-support-and-payload-cmds.c: Fix
	payload, two fields were flipped by accident.  Make fields required and not optional.

2014-02-06  Albert Chu <chu11@llnl.gov>

	* Porting issues discovered by Mark Pettit <mark@pettit.org>

	http://theviewfrom8.blogspot.com/2012/11/how-to-build-freeipmi-on-mac-os-x.html

	basic code derived from his webpage.

	* libfreeipmi/driver/ipmi-semaphores.h: Union semun defined in
	sys/sem.h for FreeBSD and APPLE.

	* configure.ac, common/toolcommon/pstdout.c,
	common/toolcommon/tool-daemon-common.h: sighandler_t not defined
	in signal.h, handled appropriately.

2014-01-27  Anonymous

	* man/Makefile.am: Fix man pages built with cpp-4.8

2014-01-15  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/sel/, libfreeipmi/include/freeipmi/spec/, Support
	OEM events for Intel Windmill motherboards in ipmi-sel.

	* freeipmi/record-format/ipmi-sel-oem-record-format.h: New file

	* libfreeipmi/include/freeipmi/util/ipmi-sensor-and-event-code-tables-util.h,
	libfreeipmi/util/ipmi-sensor-and-event-code-tables-util.c (ipmi_get_oem_sensor_type_message,
	ipmi_get_event_messages): Adjust API for new OEM sensors with non-standard config.

	* ipmi-sensors/, libipmimonitoring/: Adjust for changes in API.

2014-01-09  Albert Chu <chu11@llnl.gov>

	* Adjust comments/documentation for Quanta Winterfell & Wiwynn
	Windmill.  Motherboard is Intel Windmill on all of them.

2014-01-08  Albert Chu <chu11@llnl.gov>

	* Adjust comments/documentation for Quanta Winterfell & Wiwynn
	Windmill.  Motherboard in use was previously misidentified.

2014-01-07  Albert Chu <chu11@llnl.gov>

	Add DCMI configuration support in ipmi-config.

	* ipmi-config/: Add basic DCMI configuration support.

	* man/: Add appropriately DCMI config subsections to manpages.

	* libfreeipmi/: Fix various corner cases.

	* ipmi-config/, ipmi-sensors/: Fix various corner cases for Quanta
	Winterfell motherboard.

	* man/: Document workarounds.

2014-01-03  Albert Chu <chu11@llnl.gov>

	* Update copyright globally.

2014-01-03  Albert Chu <chu11@llnl.gov>

	* ipmi-dcmi/, man/, ipmi-config/: Fix various English and typos.

2013-12-20  Albert Chu <chu11@llnl.gov>

	Add 'inteldcmi' inband driver.

	* libfreeipmi/: Add support for "inteldcmi" in-band driver.

	* README, doc/, man/: Add documentation for inteldcmi driver.

2013-12-20  Albert Chu <chu11@llnl.gov>

	* man/freeipmi.7.pre.in, README: Fix some English.

	* man/libfreeipmi.3.pre.in: Add forgotten driver.

2013-12-19  Dave Love  <fx@gnu.org>

	* ipmi-sensors/ipmi-sensors.c (_calculate_record_ids): Check
	record number against array length.

	* common/toolcommon/tool-sensor-common.h (MAX_SENSOR_RECORD_IDS):
	Increase to 1024.

2013-12-12  Albert Chu <chu11@llnl.gov>

	* bmc-info/: Support 'guidformat' workaround flag.

	* bmc-info/: Fix default GUID output format, one field appears to
	be output incorrectly.

2013-12-12  Albert Chu <chu11@llnl.gov>

	* bmc-info/: Support output of System GUID by default and support
	--get-system-guid option.

2013-12-12  Albert Chu <chu11@llnl.gov>

	* ipmi-config/: Decimal values that cannot be encoded accurately
	now report a clearer error message through the
	IPMI_CONFIG_VALIDATE_VALUE_CANNOT_BE_ENCODED_ACCURATELY validate
	error code.

2013-12-11  Albert Chu <chu11@llnl.gov>

	* ipmi-config/: Re-work error message outputs so fatal error
	messages are always output.

2013-12-11  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/util/ipmi-sensor-util.c (ipmi_sensor_decode_raw_value):
	Fix error in input checks.

2013-12-11  Albert Chu <chu11@llnl.gov>

	* ipmi-config/ipmi-config-category-sensors-threshold-section.c:
	Fix error message cut & paste typo.

2013-12-05  Albert Chu <chu11@llnl.gov>

	* ipmiseld/ipmiseld.c: Fix error message typo.

2013-12-02  Albert Chu <chu11@llnl.gov>

	* freeipmi.spec.in: Add forgotten manpage.

2013-12-02  Albert Chu <chu11@llnl.gov>

	* doc/freeipmi-faq.txi: Update with new information on OS issues.

2013-12-02  Albert Chu <chu11@llnl.gov>

	* bmc-watchdog/bmc-watchdog.c (_fiid_obj_get_safe): New function.

	* bmc-watchdog/bmc-watchdog.c (_get_watchdog_timer_cmd): Use
	_fiid_obj_get_safe and do not exit on data not available errors.

2013-11-26  Albert Chu <chu11@llnl.gov>

	* doc/freeipmi-faq.txi: Update with new information.

2013-11-14  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/sdr/ipmi-sdr-cache-create.c (ipmi_sdr_cache_create):
	Fix bug w/ Fujitsu SDR count workaround.

2013-11-14  Albert Chu <chu11@llnl.gov>

	* ipmiconsole/, libipmiconsole/: Support solchannelsupport
	workaround option /
	IPMICONSOLE_WORKAROUND_SKIP_CHANNEL_PAYLOAD_SUPPORT workaround
	flag.

2013-11-13  Albert Chu <chu11@llnl.gov>

	* doc/freeipmi-bugs-issues-and-workarounds.txt,
	man/manpage-common-workaround-outofband-15-text.man: Document
	workaround for Quanta Winterfell.

2013-11-13  Albert Chu <chu11@llnl.gov>

	Update with Errata 5 changes to IPMI 2.0 spec.

	* libfreeipmi/cmds/ipmi-pef-and-alerting-cmds.c,
	libfreeipmi/include/freeipmi/templates/ipmi-pef-and-alerting-cmds-templates.h,
	ipmi-config/ipmi-config-category-pef-alert-string.c:
	Filter numbers are now 8 bit fields instead of 7 bit fields.

	* libfreeipmi/util/ipmi-cipher-suite-util.c,
	libfreeipmi/include/freeipmi/util/ipmi-cipher-suite-util.h: Cipher
	Suites 15-19 now fully confirmed, remove comments

	* etc/freeipmi_interpret_sensor.conf,
	etc/freeipmi_interpret_sel.conf,
	libipmimonitoring/ipmi_monitoring_bitmasks.h,
	libipmimonitoring/ipmi_monitoring_offsets.h,
	man/freeipmi_interpret_sel.conf.5.pre.in,
	man/freeipmi_interpret_sensor.conf.5.pre.in,
	libfreeipmi/interpret/ipmi-interpret-config-sel.c,
	libfreeipmi/interpret/ipmi-interpret-config-sensor.c,
	libfreeipmi/spec/ipmi-sensor-and-event-code-tables-spec.c,
	libfreeipmi/include/freeipmi/spec/ipmi-sensor-and-event-code-tables-spec.h:
	Support new offset for power supply sensor.

	* etc/freeipmi_interpret_sensor.conf,
	etc/freeipmi_interpret_sel.conf,
	libipmimonitoring/ipmi_monitoring_bitmasks.h,
	libipmimonitoring/ipmi_monitoring_offsets.h,
	man/freeipmi_interpret_sel.conf.5.pre.in,
	man/freeipmi_interpret_sensor.conf.5.pre.in,
	libfreeipmi/interpret/ipmi-interpret-config-sel.c,
	libfreeipmi/interpret/ipmi-interpret-config-sensor.c,
	libfreeipmi/spec/ipmi-sensor-and-event-code-tables-spec.c,
	libfreeipmi/include/freeipmi/spec/ipmi-sensor-and-event-code-tables-spec.h:
	Support new offset for os boot sensor.

	* libfreeipmi/include/freeipmi/spec/ipmi-sensor-types-spec.h:
	Document legacy/new name choice.

	* libfreeipmi/include/freeipmi/cmds/ipmi-messaging-support-cmds.h,
	libfreeipmi/include/freeipmi/spec/ipmi-system-info-parameters-spec.h,
	libfreeipmi/include/freeipmi/templates/ipmi-messaging-support-cmds-templates.h,
	libfreeipmi/include/freeipmi/api/ipmi-messaging-support-cmds-api.h,
	libfreeipmi/cmds/ipmi-messaging-support-cmds.c,
	libfreeipmi/api/ipmi-messaging-support-cmds-api.c: Support new
	System Info Parameters Present OS Version Number, BMC URL, and
	Base OS/Hypervisor URL.

	* bmc-info/bmc-info.c: Support Present OS Version Number, BMC URL,
	and Base OS/Hypervisor URL system info output.

	* bmc-device/: Support --set-present-os-version-number,
	--set-bmc-url, --set-base-os-hypervisor-url.

2013-10-30  Denys Vlasenko <dvlasenk@redhat.com>

	* libfreeipmi/util/ipmi-rmcpplus-util.c (ipmi_rmcpplus_check_rakp_4_integrity_check_value):
	Fix incorrect secure memset call.

2013-10-23  Denys Vlasenko <dvlasenk@redhat.com>

	* libfreeipmi/util/ipmi-rmcpplus-util.c (ipmi_calculate_sik): Fix
	big endian bug.

2013-09-24  Albert Chu <chu11@llnl.gov>

	* man/ipmi-sel.8.pre.in: Add note about very verbose output.

2013-09-23  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/sel/ipmi-sel-string.c (_output_oem_record_data):
	Output record type under verbose mode.
	(Feature recommended by Rob Swindell - swindell at broadcom dot
	com).

2013-09-18  Albert Chu <chu11@llnl.gov>

	Merge branch intelnm20 ; Add support for Intel Node Manager 2.0.

	* libfreeipmi/sel/ipmi-sel-string-intel-node-manager.c: Support
	changes to Intel NM 2.0 events and add new Intel NM 2.0 events.

	* libfreeipmi/include/freeipmi/spec/ipmi-sensor-and-event-code-tables-oem-spec.h,
	libfreeipmi/include/freeipmi/spec/ipmi-event-reading-type-code-oem-spec.h,
	libfreeipmi/include/freeipmi/spec/ipmi-sensor-numbers-oem-spec.h,
	libfreeipmi/include/freeipmi/spec/ipmi-sensor-types-oem-spec.h,
	libfreeipmi/include/freeipmi/cmds/ipmi-oem-intel-node-manager-cmds.h,
	libfreeipmi/include/freeipmi/api/ipmi-oem-intel-node-manager-cmds-api.h,
	libfreeipmi/include/freeipmi/templates/ipmi-oem-intel-node-manager-cmds-templates.h
	libfreeipmi/include/freeipmi/spec/ipmi-cmd-oem-spec.h,
	libfreeipmi/include/freeipmi/spec/ipmi-comp-code-oem-spec.h:
	Update with changes and/or additions from Intel NM 2.0 spec.

	* ipmi-oem/: Support changes to commands due to Intel NM 2.0 events.

	* ipmi-oem/ipmi-oem-intelnm.c (_ipmi_oem_intelnm_sdr_callback),
	ipmi-sensors/ipmi-sensors.c (_display_sensors),
	libfreeipmi/sel/ipmi-sel-string-intel-node-manager.c (_intel_node_manager_sdr_callback):
	Comment on 2.0 no longer needing SDR searching.

2013-09-13  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/include/freeipmi/spec/ipmi-cmd-oem-spec.h: Fix
	invalid hex for
	IPMI_CMD_OEM_INTEL_NODE_MANAGER_SET_NODE_MANAGER_ALERT_DESTINATION
	and
	IPMI_CMD_OEM_INTEL_NODE_MANAGER_GET_NODE_MANAGER_ALERT_DESTINATION.

	* ipmi-oem/: Enable support of IntelNM
	get-node-manager-alert-destination and
	set-node-manager-alert-destination.

2013-08-28  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/include/freeipmi/api/ipmi-api.h: Document mapping of
	IPMI completion codes and RMCPPlus codes to API error codes.

	* Update freeipmi libraries/tools to check/use API error codes
	correctly.

2013-08-27  Albert Chu <chu11@llnl.gov>

	Merge branch configcollapse.

	* ipmi-config/: New tool.

	* bmc-config/, ipmi-pef-config/, ipmi-sensors-config/,
	ipmi-chassis-config/: Remove tools.

	* common/configtool/: Remove common files.

	* common/toolcommon/: Update config file parsing to recognize
	ipmi-config and legacy options.

	* doc/, man/: Update documentation appropriately for change.

2013-08-22  Albert Chu <chu11@llnl.gov>

	* configure.ac, NEWS: Update for release.

2013-08-13  Albert Chu <chu11@llnl.gov>

	* man/bmc-config.conf.5.pre.in: Fix section typos.

	* man/libfreeipmi.3.pre.in, man/freeipmi.7.pre.in,
	man/freeipmi.conf.5.pre.in: Add missing tool.

2013-08-09  Albert Chu <chu11@llnl.gov>

	* doc/: Update all docs w/ dates.

2013-08-02  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/sdr/ipmi-sdr-parse-util.c (ipmi_sdr_parse_entity_sensor_name):
	Handle special corner case w/ double printed name.

2013-07-03  John Gilmore <gnu@toad.com>

	* Fix compiler issues w/ gcc-2.96.

2013-07-03  Albert Chu <chu11@llnl.gov>

	* ipmi-sensors/ipmi-sensors-output-common.c (ipmi_sensors_get_thresholds):
	When thresholds access reported by SDR is fixed/unreadable, the
	prior interpretation was that thresholds were not available.  The
	apparent correct interpretation is that thresholds are only
	unreadable via the get threshold command, but thresholds can still
	be read in the SDR.  Code has been altered to meet this
	assumption.  Issue discovered and proper interpretation determined
	by Holger Liebig <holger.liebig@ts.fujitsu.com>.

2013-06-26  Mario Jungwirth <mario.jungwirth@ocilion.com>

	* libipmimonitoring/ipmi_monitoring.h.in: Remove invalid declaration.

2013-06-25  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/api/ipmi-api-util.c (api_set_api_errnum_by_bad_response),
	libfreeipmi/api/ipmi-api.c. libfreeipmi/include/freeipmi/api/ipmi-api.h:
	Support new IPMI_ERR_COMMAND_INVALID_OR_UNSUPPORTED error code.

2013-06-17  Albert Chu <chu11@llnl.gov>

	* bmc-info/bmc-info.c (display_system_info_common): Workaround
	issue on Bull 510 systems.

2013-06-17  Albert Chu <chu11@llnl.gov>

	* man/manpage-common-troubleshooting-inband-outofband.man: New
	common manpage.

	* man/: Add inband & outofband common troubleshooting to most
	FreeIPMI tool manpages.

2013-05-30  Ales Ledvinka <aledvink@redhat.com>

	* common/toolcommon/pstdout.c (pstdout_vprintf): Fix portability
	bug, va_list is not a pointer type.

2013-05-29  Albert Chu <chu11@llnl.gov>

	* man/manpage-common-time-options.man: Fix typo.

	* configure.ac, NEWS: Update for release.

2013-05-16  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/util/ipmi-sensor-and-event-code-tables-util.c (ipmi_get_event_messages):
	Fix sensor event message corner case w/ OEM sensors.

2013-05-16  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/include/freeipmi/util/ipmi-util.h,
	libfreeipmi/util/ipmi-util.c (ipmi_checksum_incremental, ipmi_checksum_final): New
	function.

	* libfreeipmi/util/ipmi-util.c (_checksum): New common function.

	* libfreeipmi/util/ipmi-util.c (ipmi_checksum): Use _checksum
	common function.

	* libfreeipmi/sdr/: Support checksums in SDR cache files to detect corruption.

2013-05-09  Albert Chu <chu11@llnl.gov>

	* bmc-device/bmc-device.c (get_sel_time_utc_offset): Fix output
	string error.

2013-05-08  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/interface/ipmi-network.h,
	libfreeipmi/interface/ipmi-network.c (ipmi_network_sendto): New
	function.

	* libfreeipmi/interface/ipmi-rmcpplus-interface.c (ipmi_rmcpplus_sendto):
	Call ipmi_network_sendto common function.

	* libfreeipmi/interface/ipmi-lan-interface.c (ipmi_lan_sendto):
	Call ipmi_network_sendto common function, do not pad legacy byte.

2013-05-08  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/record-format/ipmi-fru-dimmspd-record-format.c,
	libfreeipmi/include/freeipmi/templates/ipmi-fru-dimmspd-record-format-templates.h:
	Fix mistakes in tmpl_fru_dimm_spd_ddr3_record template.

	* ipmi-fru/ipmi-fru-output.h, ipmi-fru/ipmi-fru-output.c: Fix area
	length from uint8_t to unsigned int globally.

	* ipmi-fru/ipmi-fru-output.c (ipmi_fru_output_dimm): Fix object
	creation corner case.

	* libfreeipmi/util/ipmi-jedec-manufacturer-identification-code-util.c (ipmi_jedec_manufacturer_id_search):
	Fix parameter check corner case.

2013-05-08  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/include/freeipmi/util/ipmi-timestamp-util.h,
	libfreeipmi/util/ipmi-timestamp-util.c (ipmi_timestamp_string):
	Support specific UTC offset being specified.

	* ipmi-fru/, bmc-device/, ipmi-sel/, ipmi-sensors/, ipmi-dcmi/,
	ipmi-oem/: Support new --utc-offset option.

	* common/toolcommon/: Support new options and config file options
	appropriately.

	* man/: Update for new option.

2013-05-07  Albert Chu <chu11@llnl.gov>

	Merge branch 'utcoffsetcmd'

	* libfreeipmi/util/ipmi-timestamp-util.c (ipmi_timestamp_string):
	Make default output unconverted.

	* libfreeipmi/util/ipmi-timestamp-util.c (ipmi_timestamp_string):
	Support UTC_TO_LOCALTIME and LOCALTIME_TO_UTC flag to allow user
	to specify if time is actually UTC.

	* ipmi-fru/, bmc-device/, ipmi-sel/, ipmi-sensors/, ipmi-dcmi/,
	ipmi-oem/: Support new --utc-to-localtime and --localtime-to-utc
	options.

	* common/toolcommon/: Support new options and config file options
	appropriately.

	* man/: Update for new options.

2013-05-06  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/: Get SEL Time UTC Offset and Set SEL Time UTC
	Offset payloads.

	* bmc-device/: Support --get-sel-time-utc-offset and
	-set-sel-time-utc-offset.

2013-05-06 Peter Volkov <pva@gentoo.org>

	* configure.ac: Update for autoconf 1.14.

2013-05-03  Albert Chu <chu11@llnl.gov>

	Merge 9651:9663 branch 'ddr3'

	Add support to interpret DDR3 SDRAM memory modules

	* libfreeipmi/include/freeipmi/record-format/ipmi-fru-dimmspd-record-format.h,
	libfreeipmi/record-format/ipmi-fru-dimmspd-record-format.c,
	libfreeipmi/include/freeipmi/templates/ipmi-fru-dimmspd-record-format-templates.h:
	New files.

	* libfreeipmi/include/freeipmi/spec/ipmi-jedec-manufacturer-identifcation-code-spec.h,
	libfreeipmi/spec/ipmi-jedec-manufacturer-identifcation-code-spec.c,
	libfreeipmi/include/freeipmi/util/ipmi-jedec-manufacturer-identifcation-code-util.h,
	libfreeipmi/util/ipmi-jedec-manufacturer-identifcation-code-util.c:
	New files.

	* libfreeipmi/include/freeipmi/fru/ipmi-fru.h,
	libfreeipmi/fru/ipmi-fru.c, libfreeipmi/fru/ipmi-fru-defs.h:
	Support IPMI_FRU_FLAGS_READ_RAW flag and
	IPMI_FRU_AREA_TYPE_RAW_DATA.

	* ipmi-fru/ipmi-fru.c (_print_except_default_fru_cb): Add
	additional bridging case.

	* ipmi-fru/: Support FRU output of DDR3 SDRAM dimms.

2013-05-02  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/sel/ipmi-sel-string.c (_output_date): Fix memory
	buffer overrun (Bug location found by Rob Swindell - swindell at
	broadcom dot com).

2013-04-30  Albert Chu <chu11@llnl.gov>

	Merge branch 'timestampspecial'

	Handle special case timestamps such as 0xFFFFFFFF and timestamps <
	0x2000000, per chapter 37 of IPMI specification.

	* libfreeipmi/include/freeipmi/spec/ipmi-timestamp-spec.h: New file.

	* libfreeipmi/include/freeipmi/util/ipmi-timestamp-util.h,
	libfreeipmi/util/ipmi-timestamp-util.c: New timestamp utility files.

	* ipmi-fru/, bmc-device/, ipmi-sel/, ipmi-sensors/, ipmi-dcmi/,
	ipmi-oem/, libfreeipmi/sel/: Use new timestamp utility function.

2013-04-29  Albert Chu <chu11@llnl.gov>

	Merge branch 'fru12'

	Update for FRU Storage Definition Revision 1.2.

	* libfreeipmi/include/freeipmi/record-format/ipmi-fru-information-record-format.h:
	Define new macro IPMI_FRU_MFG_DATE_TIME_UNSPECIFIED and IPMI_FRU_PEAK_CAPACITY_UNSPECIFIED.

	* ipmi-fru/ipmi-fru-output.c (ipmi_fru_output_board_info_area):
	Output manufacturing time as unspecified as appropriate.

	* ipmi-fru/ipmi-fru-output.c (ipmi_fru_output_power_supply_information):
	Output peak capacity as unspecified as appropriate.

	* libfreeipmi/include/freeipmi/spec/ipmi-fru-chassis-types-spec.h,
	libfreeipmi/spec/ipmi-fru-chassis-types-spec.c: Add new chassis
	types.

	* libfreeipmi/include/freeipmi/fru/ipmi-fru.h,
	libfreeipmi/include/freeipmi/record-format/ipmi-fru-information-record-format.h,
	libfreeipmi/fru/ipmi-fru.c (_read_multirecord_area_data): Update

	* libfreeipmi/include/freeipmi/fru/ipmi-fru.h,
	libfreeipmi/fru/ipmi-fru-data.c (ipmi_fru_multirecord_power_supply_information):
	Return low/high end input voltage ranges as signed integers.

	* ipmi-fru/: Output low/high end voltage ranges as signed integers.

	* libfreeipmi/include/freeipmi/record-format/ipmi-fru-information-record-format.h,
	libfreeipmi/record-format/ipmi-fru-information-record-format.c:
	Support tmpl_fru_extended_dc_output and tmpl_fru_extended_dc_load
	templates.

	* libfreeipmi/include/freeipmi/fru/ipmi-fru.h,
	libfreeipmi/fru/ipmi-fru-data.c (ipmi_fru_multirecord_extended_dc_output,
	ipmi_fru_multirecord_extended_dc_load): New functions.

	* ipmi-fru/: Support output of extended DC output and extended dc load.

2013-04-26  Albert Chu <chu11@llnl.gov>

	Merge branch 'sendto'

	Modify architecture to send IPMI 1.5 network packets via one
	function and IPMI 2.0 network packets via another function.  IPMI
	1.5 packets must be padded for legacy reasons, however IPMI 2.0
	packets should not be padded.
	(Issue discovered by Rob Swindell - swindell at broadcom dot com).

	* libfreeipmi/include/freeipmi/interface/ipmi-rmcpplus-interface.h,
	libfreeipmi/interface/ipmi-rmcpplus-interface.c (ipmi_rmcpplus_sendto,
	ipmi_rmcpplus_recvfrom): New functions to handle non-legacy pad in
	IPMI 2.0.

	* libfreeipmi/interface/ipmi-network.h,
	libfreeipmi/interface/ipmi-network.c: New files.

	* libfreeipmi/interface/ipmi-lan-interface.c (ipmi_lan_recvfrom):
	Adjust to use new common function.

	* libfreeipmi/api/ipmi-lan-session-common.c (_api_lan_2_0_cmd_send):
	Use new ipmi_rmcpplus_sendto.

	* ipmipower/, libipmiconsole/ : Support sending packets via
	ipmi_lan_sendto or ipmi_rmcpplus_sendto.

2013-04-26  Albert Chu <chu11@llnl.gov>

	* Globally fix copyright years from ending in 2012 to ending in
	2013.

2013-04-25  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/interface/ipmi-rmcpplus-interface.c (_construct_payload_confidentiality_aes_cbc_128):
	Fix confidentiality trailer pad calculation corner case.  (Bug
	location found by Rob Swindell - swindell at broadcom dot com).

2013-04-25  Albert Chu <chu11@llnl.gov>

	* Support HP Proliant DL160 G8 OEM sensors.

2013-04-24  Albert Chu <chu11@llnl.gov>

	* ipmi-dcmi/ipmi-dcmi.c (_sensor_info_output): Fix output
	calculation errors.  (Bug location found by Michael Winiarski -
	michael dot winiarski at hp dot com).

2013-04-24  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/cmds/ipmi-dcmi-cmds.c: Fix null terminator on
	tmpl_dcmi_rolling_average_time_period (Recommended fix by Michael
	Winiarski - michael dot winiarski at hp dot com).

2013-04-18  Albert Chu <chu11@llnl.gov>

	* libipmiconsole/ipmiconsole_processing.c (_process_protocol_state_activate_payload_sent):
	Change "BMC Error" to "SOL Inuse" error message.

2013-04-03  Albert Chu <chu11@llnl.gov>

	* doc/freeipmi-faq.texi: Note kernel driver issue.

2013-03-25  Peter Volkov <pva@gentoo.org>

	* Fix out of trunk source build.

2013-03-11  Holger Liebig <holger.liebig@ts.fujitsu.com>

	* ipmi-dcmi/: Output temperature sampling period appropriately.

	* libfreeipmi/cmds/ipmi-dcmi-cmds.c: Update
	tmpl_cmd_dcmi_get_dcmi_capability_info_mandatory_platform_attributes_rs
	with newer optional fields.

2013-03-08  Albert Chu <chu11@llnl.gov>

	* Add support for Supermicro X9SCM-iiF OEM sensors/events.

2013-03-08  Albert Chu <chu11@llnl.gov>

	* man/ipmi-sensors.8.pre.in: Fix typo (Found by Werner Fischer).

2013-02-28  Anonymous <anonymous@anonymous.com>

	* libfreeipmi/sel/ipmi-sel-string-intel.c (sel_string_output_intel_event_data2_event_data3):
	Fix string overflow.

2013-02-21  Albert Chu <chu11@llnl.gov>

	* Add support for Supermicro X9SPU-F-0 OEM sensors/events.

	* Add support for Supermicro X9DRI-LN4F+ OEM
	interpretations (forgotten earlier).

2013-01-22  Albert Chu <chu11@llnl.gov>

	* bmc-config/bmc-config.c (_bmc_config),
	ipmi-pef-config/ipmi-pef-config.c (_ipmi_pef_config),
	ipmi-chassis-config/ipmi-chassis-config.c (_ipmi_chassis_config),
	ipmi-sensors-config/ipmi-sensors-config.c (_ipmi_sensors_config):
	If only non-fatal errors occurred during operation, exit with
	status 1.  Exit with status 2 on fatal errors.

	* man/manpage-common-config-diagnostics.man: New file.

	* man/bmc-config.8.pre.in, man/ipmi-sensors-config.8.pre.in,
	man/ipmi-chassis-config.8.pre.in, man/ipmi-pef-config.8.pre.in:
	Update for changes in exit value behavior.

2013-01-22  Albert Chu <chu11@llnl.gov>

	* man/manpage-common-config-tool-options.man: Add clarification
	about use w/ hostranges and hostrange options.

2013-01-22  Albert Chu <chu11@llnl.gov>

	* common/toolcommon/pstdout.h,
	common/toolcommon/pstdout.c (pstdout_vprintf, pstdout_vfprintf):
	New functions.

	* common/configtool/config-tool-utils.h,
	common/configtool/config-tool-utils.c (config_pstdout_fprintf):
	New function.

	* common/configtool/config-tool-checkout.c,
	common/configtool/config-tool-comment.c: Call
	config_pstdout_fprintf instead of pstdout_fprintf to deal with
	corner case when user specifys filename with --filename option in
	config tools.

2013-01-09  Albert Chu <chu11@llnl.gov>

	Fix bugs found by static code analysis done by Redhat/Fedora.

	* ipmidetect/ipmidetect-argp.c (_read_nodes_from_stdin): Fix
	potential NUL termination corner case.

	* libfreeipmi/sel/ipmi-sel-string-intel.c (sel_string_output_intel_event_data3_discrete_oem)
	(sel_string_output_intel_event_data2_event_data3): Fix potential
	initialization bug.

	* libfreeipmi/interface/rmcp-interface.c (assemble_rmcp_pkt): Fix
	copy and paste error output.

	* libfreeipmi/api/ipmi-pef-and-alerting-cmds-api.c (ipmi_cmd_alert_immediate):
	Fix cut and paste bug.

	* libfreeipmi/api/ipmi-api.c (ipmi_ctx_destroy): Fix memset size
	bug.

	* libfreeipmi/api/ipmi-lan-session-common.c (api_lan_2_0_cmd_wrapper):
	Add assert to protect against potential API mis-call and
	subsequent segfault.

	* libfreeipmi/util/ipmi-util.c (ipmi_get_random): Fix potential fd leak.

	* bmc-info/bmc-info.c (display_channel_info): Add missing break.

	* ipmi-pet/ipmi-pet.c (_ipmi_pet_form_sel_record): Fix unsigned vs
	signed int mis-assignment.

	* ipmiseld/ipmiseld.c (_alloc_host_data): Fix error case mem-leak.

	* bmc-watchdog/bmc-watchdog-argp.c (cmdline_parse): Add missing break;

	* ipmi-oem/ipmi-oem-intel.c (ipmi_oem_intel_set_power_restore_delay):
	Fix invalid shift.

2012-01-09  Albert Chu <chu11@llnl.gov>

	* common/miscutil/heap.c (heap_insert, heap_pop): Fix mutex unlock
	corner case on error cases.

	* common/miscutil/heap.c: Remove unused legacy code.

2012-12-05  Albert Chu <chu11@llnl.gov>

	* Add support for Supermicro X9DRI-LN4F+ OEM sensors/events.

2012-10-29  Albert Chu <chu11@llnl.gov>

	* man/: Fix typos.

2012-10-10  Albert Chu <chu11@llnl.gov>

	* libipmiconsole/: IPMICONSOLE_DEBUG_FILE now dumps to current
	working directory instead of /var/log.  This is a debug feature
	and not a logging feature.

2012-10-09  Dave Walker <DaveWalker@ubuntu.com>,

	* common/toolcommon/tool-daemon-common.c (daemonize_common): Check
	read and write for errors.

2012-10-05  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/, libipmiconsole/, libipmimonitoring/,
	common/parsecommon/, man/: Support new
	NO_CHECKSUM_CHECK/nochecksumcheck workaround to deal with
	Supermicro motherboards that incorrectly calculate packet
	checksums.

2012-10-04  Albert Chu <chu11@llnl.gov>

	Add OEM extension support for Dell Poweredge R720

	* ipmi-oem/: Support Dell get-nic-selection-failover,
	set-nic-selection-failover, power-monitoring-over-interval,
	power-monitoring-interval-range, get-blade-slot-info,
	get-last-post-code.  Support new version of active-lom-status for
	R720.  Support Dell specific OEM completion codes.

	* libfreeipmi/include/freeipmi/spec/ipmi-oem-spec.h,
	libfreeipmi/include/freeipmi/spec/ipmi-sensor-and-event-code-tables-oem-spec.h:
	Add updates based on Dell documentation.

	* libfreeipmi/include/freeipmi/spec/ipmi-product-id-spec.h: Update
	for new R720.

	* libfreeipmi/util/ipmi-sensor-and-event-code-tables-util.c (ipmi_get_oem_sensor_type_message):
	Support Dell R720.

	* libfreeipmi/sel/ipmi-sel-string-dell.c: Update for new SEL
	events in Dell R720.  Handle a few additional R610/R710 cases that
	were missed in earlier changes.

2012-09-27  Albert Chu <chu11@llnl.gov>

	* man/manpage-common-workaround-extra-text.man: Fix typo.

2012-09-21  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/debug/ipmi-debug.c (ipmi_obj_dump): Always output
	SDR and SEL record data in byte array format.

	* libfreeipmi/fiid/fiid.c (fiid_obj_get): Fix value retrieval
	corner case, most notably coming up in debug output.

2012-09-20  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/include/freeipmi/cmds/ipmi-rmcpplus-support-and-payload-cmds.h:
	Create payload instance macros.

	* libfreeipmi/cmds/ipmi-rmcpplus-support-and-payload-cmds.c (fill_cmd_activate_payload)
	(fill_cmd_activate_payload_sol, fill_cmd_deactivate_payload)
	(fill_cmd_suspend_resume_payload_encryption)
	(fill_cmd_get_payload_instance_info): Add payload instance
	parameter check.

	* libipmiconsole/ (ipmiconsole_ctx_set_config)
	(ipmiconsole_ctx_get_config): New functions.

	* libipmiconsole/: Support
	IPMICONSOLE_CTX_CONFIG_OPTION_SOL_PAYLOAD_INSTANCE configuration
	option.  Support IPMICONSOLE_BEHAVIOR_DEACTIVATE_ALL_INSTANCES
	behavior flag.

	* libipmiconsole/: Report BMC_BUSY if SOL activation limit
	reached.

	* ipmiconsole/: Add --sol-payload-instance and
	--deactivate-all-instances options.

	* doc/freeipmi-testing.txt,
	doc/freeipmi-bugs-issues-and-workarounds.txt: Update with SOL
	instance discoveries.

2012-09-11  Albert Chu <chu11@llnl.gov>

	* libipmiconsole/ipmiconsole.h.in: Fix comment English.

2012-09-07  Claudio Cesar Sanchez Tejeda <demonccc@gmail.com>

	* ipmiseld/ipmiseld-common.c: Fix "format not a string literal and
	no format arguments" issue.

2012-08-15  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/sdr/ipmi-sdr-cache-create.c (_sdr_cache_get_record):
	Add workaround for Xyratex motherboard issue.

	* libfreeipmi/interpret/: Add sensor/sel interpretations for OS
	boot, System Event Transition State, Platform Alert State, Boot
	Error State, and OS Critical Stop State.

	* Globally support "noauthcodecheck" workaround to deal with
	issues on Xyratex HB-F8-SRAY.

	* Globally handle
	IPMIPOWER_MSG_TYPE_PRIVILEGE_LEVEL_CANNOT_BE_OBTAINED error when
	returned from activate session to deal with issues on Xyratex
	HB-F8-SRAY.

2012-08-09  Albert Chu <chu11@llnl.gov>

	* man/ipmi-oem.8.pre.in: Clarify configuration in IntelNM.

2012-08-08  Albert Chu <chu11@llnl.gov>

	* doc/freeipmi-faq.texi: Add section on common differences.

2012-08-07  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/: For consistency to other changes, rename
	'fru-parse' sub-library in libfreeipmi to 'fru' library.  All
	appropriately function names, macros, etc. updated appropriately.

	* ipmi-pet/, ipmi-fru/: Update appropriately.

	* libfreeipmi/fru/ipmi-fru.c,
	libfreeipmi/include/freeipmi/fru/ipmi-fru.h (ipmi_fru_read_multirecord_record_type_id):
	New function.  Rename from
	ipmi_fru_read_multirecord_record_type.

2012-08-06  Albert Chu <chu11@llnl.gov>

	* Merge intelnm15 branch.

	* ipmi-oem/: Add IntelNM get-node-manager-capabilities,
	node-manager-policy-control, get-node-manager-policy,
	set-node-manager-policy, remove-node-manager-policy,
	get-node-manager-alert-thresholds,
	set-node-manager-alert-thresholds,
 	get-node-manager-policy-suspend-periods,
 	set-node-manager-policy-suspend-periods,
	set-node-manager-power-draw-range,
	get-node-manager-alert-destination,
	set-node-manager-alert-destination.

	* libfreeipmi/: Fix Intel NM bugs.

	* ipmi-pef-config/: Support volatile alert string 0 and lan alert
	destination 0.

2012-08-03  Albert Chu <chu11@llnl.gov>

	* doc/freeipmi-faq.texi: Add Wistron to OEM list.

2012-07-31  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/include/freeipmi/spec/ipmi-oem-spec.h, ipmi-oem/:
	Fix macro naming.

	* ipmi-oem/: Support Wistron read/write/clear-proprietary-string.

	* ipmi-fru/: Support Wistron OEM FRU record.

	* libfreeipmi/fru-parse/ipmi-fru-parse.c,
	libfreeipmi/include/freeipmi/fru-parse/ipmi-fru-parse.h (ipmi_fru_parse_read_multirecord_record_type):
	New function.

	* libfreeipmi/include/freeipmi/record-format/ipmi-fru-oem-record-format.h: New file.

2012-07-30  Albert Chu <chu11@llnl.gov>

	* configure.ac: Prep for beta release.

	* README, man/freeipmi.7.pre.in: Update with ipmiseld information.

	* libfreeipmi/include/Makefile.am: Add missing files.

2012-07-27  Albert Chu <chu11@llnl.gov>

	* ipmi-sensors/: Support --output-sensor-thresholds.

2012-07-26  Albert Chu <chu11@llnl.gov>

	* man/ipmi-oem.8.pre.in: Add motherboard support information.

2012-07-24  Albert Chu <chu11@llnl.gov>

	* Fix error output message after confirmation from vendor on text.

2012-07-23  Albert Chu <chu11@llnl.gov>

	* ipmi-oem/ipmi-oem-intelnm.c: Use
	_ipmi_oem_intelnm_bad_completion_code in additional situation.

2012-07-19  Albert Chu <chu11@llnl.gov>

	* ipmi-oem/: Add intelnm get-node-manager-capabilities.

	* libfreeipmi/: Adjust some intel NM fields/macro names for
	correctness based on Intel NM spec.  Fix several bugs in Intel NM
	implementation.

2012-07-19  Albert Chu <chu11@llnl.gov>

	* ipmi-oem/: Fix and support Wistron set-password-policy.

2012-07-18  Albert Chu <chu11@llnl.gov>

	* ipmi-oem/: Remove Wistron get-password-policy.

2012-07-16  Albert Chu <chu11@llnl.gov>

	* ipmi-oem/ipmi-oem-intelnm.c (_ipmi_oem_intelnm_bad_completion_code):
	Handle bad completion code commonly for all Intel NM.

	* ipmi-oem/: Support Wistron get/set-password-policy.

2012-07-13  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/include/freeipmi/sdr/ipmi-sdr-oem.h,
	libfreeipmi/sdr/ipmi-sdr-oem.c: New files.

	* ipmi-sensors/ipmi-sensors.c,
	ipmi-sensors/ipmi-sensors-oem-intel-node-manager.c,
	ipmi-oem/ipmi-oem-intelnm.c,
	libfreeipmi/sel/ipmi-sel-string-intel-node-manager.c: Use new
	ipmi_sdr_oem_parse_intel_node_manager.

	* libfreeipmi/api/: Increase default ipmb timeout.

2012-07-10  Albert Chu <chu11@llnl.gov>

	Add new tool ipmiseld.

	* ipmiseld/: New tool.

	* common/, etc/, man/: Add new manpage entries, init scripts,
	config files, as needed.

	* man/manpage-common-troubleshooting-sel.man: Create new common
	SEL troubleshooting common manpage.

	* config/ac_ipmiseld_cache_dir.m4,
	config/ac_ipmiseld_config_file.m4: New files.

	* man/, freeipmi.spec.in, configure.ac: Update appropriately for
	new tool.

	* libfreeipmi/include/freeipmi/api/ipmi-api.h,
	libfreeipmi/api/ipmi-api.c: Move some internal macros to
	ipmi-api.h so apps know default values.

2012-07-10  Albert Chu <chu11@llnl.gov>

	Support OEM extensions for Wistron / Dell Poweredge C6220.

	* libfreeipmi/include/freeipmi/spec/ipmi-oem-spec.h: Rename
	several macros for use clarity.

	* ipmi-oem/: Add Wistron OEM extension commands.

	* ipmi-oem/ipmi-oem-thirdparty.h,
	ipmi-oem/ipmi-oem-thirdparty.c (ipmi_oem_thirdparty_get_system_info_block_pstring):
	New function.

	* ipmi-oem/ipmi-oem-dell.c (_get_dell_system_info_long_string):
	Use new common function
	ipmi_oem_thirdparty_get_system_info_block_pstring.

	* ipmi-sensors/: Support OEM SDR record output details.

2012-07-10  Albert Chu <chu11@llnl.gov>

	* Fix up 'make dist' to not distribute files generated by
	configure.

2012-07-09  Albert Chu <chu11@llnl.gov>

	* freeipmi.spec.in: Update w/ recent changes.

2012-07-06  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/util/ipmi-sensor-util.c (ipmi_sensor_units_string):
	Fix units output corner case.

	* bmc-info/bmc-info.c (display_system_info_common): Fix
	not-supported completion code detection.

2012-07-05  Albert Chu <chu11@llnl.gov>

	* ipmi-oem/: Tweak logic of Ipmi_oem_comp_code_strerror callback.

2012-07-05  Albert Chu <chu11@llnl.gov>

	* Add support for assume max record sdr record count.

2012-07-03  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/include/freeipmi/spec/ipmi-oem.h: Add additional
	Poweredge details.

2012-06-28  Albert Chu <chu11@llnl.gov>

	* ipmi-oem/ipmi-oem-dell.c (ipmi_oem_dell_get_system_info): Fix
	error output corner case.

2012-06-26  Albert Chu <chu11@llnl.gov>

	* man/ipmi-oem.8.pre.in: Fix vendor specific documentation error.

2012-06-25  Albert Chu <chu11@llnl.gov>

	* ipmi-oem/: Move more macros to ipmi-oem-spec.h.  General code
	cleanup.

	* libfreeipmi/include/freeipmi/spec/ipmi-channel-spec.h: Add
	additional macros.

	* bmc-info/, bmc-config/, ipmi-pef-config/: Use new macros
	appropriately.

2012-06-21  Albert Chu <chu11@llnl.gov>

	* common/toolcommon/tool-config-file-common.c: Fix casting bug w/
	signed vs unsigned ints.

	* Make all verbose_count variables in tools unsigned ints.

2012-06-18  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/include/freeipmi/spec/ipmi-oem-spec.h: New file.

	* ipmi-oem/: Migrate various information into new ipmi-oem-spec.h
	file and
	libfreeipmi/include/spec/ipmi-system-info-parameters-oem-spec.h.

	* ipmipower/, libfreeipmi/sel/: Use new macros in ipmi-oem-spec.h.

	* ipmi-oem/ipmi-oem-thirdparty.h, ipmi-oem/ipmi-oem-thirdparty.c:
	New files.

	* ipmi-oem/ipmi-oem-inventec.c, ipmi-oem/ipmi-oem-quanta.c:
	Migrate some commmon functions to ipmi-oem-thirdparty.c and
	ipmi-oem-thirdparty.h.

2012-06-15  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/interpret/: Support new interpretations based on
	sensors found on IBM X3850 X5: Version Change, System Firmware
	Progress Transition Severity, Button/Switch Transition Severity,
	Chassis Transition Severity, POST Memory Resize State,
	Cable/Interconnect Transition Severity, Boot Error Transition
	Severity, Slot Connector Transition Severity, Memory State, and
	Memory Transition Severity.

	* etc/freeipmi_interpret_sel.conf,
	etc/freeipmi_interpret_sensor.conf, man/: Update appropriately for
	changes.

	* etc/, man/: Add missing documentation.

2012-06-07  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/sdr/ipmi-sdr-cache-create.c (ipmi_sdr_cache_create):
	Fix slight logic bug with cache_create_flags.

2012-06-06  Albert Chu <chu11@llnl.gov>

	* common/toolcommon/Makefile.am: Fix build bug.

2012-06-05  Albert Chu <chu11@llnl.gov>

	* common/miscutil/conffile.c,
	libfreeipmi/util/ipmi-sensor-and-event-code-tables-util.c,
	libfreeipmi/util/ipmi-sensor-util.c,
	libfreeipmi/util/ipmi-device-types-util.c, : Fix -Wformat-security
	warnings.

2012-06-04  Yaroslav Halchenko <debian@onerussian.com>

	* man/ipmi-oem.8.pre.in: Minor tune ups.

2012-06-01  Albert Chu <chu11@llnl.gov>

	Merge branch intels2600jfrevision

	* libfreeipmi/include/freeipmi/spec/ipmi-sensor-and-event-code-tables-oem-spec.h,
	libfreeipmi/spec/ipmi-sensor-and-event-code-tables-oem-spec.c:
	Update event messages for Intel S2600JF based on documentation
	changes from Intel.

2012-06-01  Albert Chu <chu11@llnl.gov>

	* Add support for Supermicro X9DRi-F OEM sensors/events.

2012-05-31  Albert Chu <chu11@llnl.gov>

	* common/toolcommon/tool-daemon-common.h,
	common/toolcommon/tool-daemon-common.c (daemon_sleep): New
	function.

	* bmc-watchdog/: Use new common functions.

	* ipmidetectd/ipmidetectd.c: Shutdown cleanly on signals.

2012-05-30  Albert Chu <chu11@llnl.gov>

	* man/, etc/: Add forgotten config entries.

2012-05-29  Albert Chu <chu11@llnl.gov>

	* man/ipmi-sel.8.pre.in: Fix typo.

	* common/toolcommon/tool-config-file-common.c: Fix parsing for
	target-slave-address.

2012-05-29  Albert Chu <chu11@llnl.gov>

	* common/parsecommon/parse-common.h,
	common/parsecommon/parse-common.c (parse_get_freeipmi_outofband_flags,
	parse_get_freeipmi_outofband_2_0_flags,
	parse_get_freeipmi_inband_flags): New functions.

	* bmc-watchdog/, common/toolcommon/: Use new convenience functions
	appropriately.

2012-05-26  Albert Chu <chu11@llnl.gov>

	* man/manpage-common-troubleshooting-sel.man: New file.

	* man/ipmi-sel.8.pre.in: Update for new common file.

2012-05-26  Albert Chu <chu11@llnl.gov>

	* bmc-config/, ipmi-pef-config/, ipmi-sensors-config/,
	ipmi-chassis-config/: Fix bug in which cipher suite ID input was
	not allowed.

	* man/manpage-common-sdr-options.man: Add extra info for
	sdr-cache-file option.

	* common/toolcommon/, man/: Undo split of SDR option
	"sdr-cache-directory" into separate macro/man option.

	* common/toolcommon/, man/: Split SDR option "sdr-cache-file" and
	"sdr-cache-directory" into separate macros/man files.

	* man/manpage-common-sdr-options-heading.man,
	man/manpage-common-sdr-options-file-directory.man: New files.
	Split off from man/manpage-common-sdr-options.man.

	* man/manpage-common-sdr-cache-options-heading.man,
	man/manpage-common-sdr-cache-file-directory.man,
	man/manpage-common-sdr-cache-ignore.man: New renamed files.

	* man/: Update manpages appropriately for new files.

2012-05-26  Albert Chu <chu11@llnl.gov>

	* ipmi-pet/ipmi-pet-argp.c: Fix argp output, ipmi-pet does not
	take hostranged arguments.

	* common/toolcommon/tool-cmdline-common.h: Code cleanup.

2012-05-25  Albert Chu <chu11@llnl.gov>

	* common/toolcommon/tool-sensor-common.h,
	common/toolcommon/tool-sensor-common.c (valid_sensor_types):
	Remove unused parameters.

	* ipmi-sensors/, ipmi-sel/: Update for changes.

	* ipmi-pet/ipmi-pet.c (_ipmi_pet): Destroy interpret_ctx during
	cleanup.

2012-05-24  Albert Chu <chu11@llnl.gov>

	* common/toolcommon/tool-sensor-common.h,
	common/toolcommon/tool-sensor-common.c (parse_sensor_types): New
	common function.

	* ipmi-sensors/, ipmi-sel/: Use common function appropriately.

	* common/toolcommon/tool-event-common.h,
	common/toolcommon/tool-event-common.c (event_data_info): Remove
	function.

	* ipmi-sel/: Update for changes.

2012-05-24  Albert Chu <chu11@llnl.gov>

	* libipmimonitoring/: Support entity sensor names flags.

	* contrib/libipmimonitoring/: Update with new flags options.

	* libfreeipmi/sdr/: Support stack of saving offsets when calls to
	ipmi_sdr_cache_iterate are made.

2012-05-24  Albert Chu <chu11@llnl.gov>

	* libipmimonitoring/ipmi_monitoring.h.in: Fix bug in
	ASSUME_BMC_OWNER bitmask.

2012-05-24  Albert Chu <chu11@llnl.gov>

	* Deprecate use of --skip-checks in ipmi-fru in favor of
	"skipchecks" workaround flag.

	* Deprecate use of --assume-system-event-records in ipmi-sel in
	favor of "assumesystemevent" workaround flag.

2012-05-23  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/include/freeipmi/sel/ipmi-sel.h,
	libfreeipmi/sel/ipmi-sel.c (ipmi_sel_ctx_set_parameter,
	ipmi_sel_ctx_get_parameter): New functions.

	* libfreeipmi/include/freeipmi/sel/ipmi-sel.h,
	libfreeipmi/sel/ipmi-sel.c (ipmi_sel_ctx_set_interpret): Removed
	function.

	* ipmi-sel/, ipmi-pet/: Adjust for lib changes.

	* common/toolcommon/, ipmi-sensors/, libfreeipmi/sel/,
	libipmimonitoring/: Use ipmi_sdr_parse_sensor_name as needed.

2012-05-22  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/interpret/: Support Supermicro OEM SEL event
	interpretations.

	* libfreeipmi/interpret/ipmi-interpret-config-sel.c,
	etc/freeipmi_interpret_sel.conf: Fix comment typos.

	* libfreeipmi/include/freeipmi/sdr/ipmi-sdr.h,
	libfreeipmi/sdr/ipmi-sdr-parse-util.c (ipmi_sdr_parse_sensor_name):
	New function.

2012-05-22  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/include/freeipmi/sel/ipmi-sel.h, libfreeipmi/sel/:
	Support interpretation of event in sel library.  Support %I string
	output.

	* common/toolcommon/tool-event-common.h,
	common/toolcommon/tool-event-common.c (event_load_event_state_config_file):
	New function.

	* Globally update tools as necessary for changes.

2012-05-22  Albert Chu <chu11@llnl.gov>

	* common/toolcommon/tool-sdr-cache-common.h,
	common/toolcommon/tool-sdr-cache-common.c (sdr_cache_setup_debug):
	Remove function.  Fold into sdr_cache_create_and_load.

	* Globally update tools as necessary for changes.

2012-05-21  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/include/freeipmi/sel/ipmi-sel.c, libfreeipmi/sel/:
	Support IPMI_SEL_STRING_FLAGS_ENTITY_SENSOR_NAMES flag.

	* Adjust tools and common/toolcommon for new option.

2012-05-21  Albert Chu <chu11@llnl.gov>

	Merge branch entitysensornamesredo.

	* libfreeipmi/include/freeipmi/sdr/, libfreeipmi/sdr/: Support new
	stats functions to compile useful info from the SDR.

	* common/toolcommon/tool-sensor-common.h,
	common/toolcommon/tool-sensor-common.c: Update for new SDR stats
	functions.

	* Globally update tools as necessary for changes.

	* libfreeipmi/include/freeipmi/util/ipmi-sensor-units-util.h,
	libfreeipmi/include/freeipmi/util/ipmi-sensor-units-util.c: Remove
	files.  Collapse code into ipmi-sensor-util.h and
	ipmi-sensor-util.c.

	* libfreeipmi/include/freeipmi/sdr/ipmi-sdr.h (ipmi_sdr_parse_entity_sensor_name):
	New function.

	* libfreeipmi/sdr/ipmi-sdr-parse-util.c: New
	file.

	* libfreeipmi/include/freeipmi/spec/ipmi-entity-ids-spec.h:
	Support system and device relative entity instance number macros.

	* libfreeipmi/sel/ipmi-sel.c (ipmi_sel_ctx_create): Use
	ipmi_sdr_cache_sdr_version instead of ipmi_sdr_cache_first to
	check for open SDR for reading.

	* Globally update tools as necessary for new functions.

	* libfreeipmi/sdr/ipmi-sdr-common.h,
	libfreeipmi/sdr/ipmi-sdr-common.c (sdr_set_current_offset): New
	common function.

	* libfreeipmi/sdr/ipmi-sdr-cache-read.c: Adjust for new common function.

	* libfreeipmi/sdr/ipmi-sdr-defs.h,
	libfreeipmi/sdr/ipmi-sdr-common.h,
	libfreeipmi/sdr/ipmi-sdr-common.c (sdr_save_current_offset,
	sdr_reset_current_offset): New common functions.

	* libfreeipmi/sdr/ipmi-sdr-cache-read.c (ipmi_sdr_cache_iterate):
	Preserve current offset/iterator point when function was called.

2012-05-17  Albert Chu <chu11@llnl.gov>

	Merge from branch toolcleanup2

	* Globally cleanup variables and consistency of variables.
	Whenever referring to the common_cmd_args use common_args.  When
	referring to command specific structs use cmd_args.

2012-05-17  Albert Chu <chu11@llnl.gov>

	* common/toolcommon/: Consolidate hostrange and sdr common options
	into the main common_cmd_args struct.

	* Globally update tools for changes.

	* common/toolcommon/tool-common.c (ipmi_open): Fix output corner
	case.

	* common/toolcommon/tool-sensor-common.h: Pick more reasonable
	maxes for the MAX_SENSOR_RECORD_IDS and MAX_SENSOR_TYPES macros.

2012-05-16  Albert Chu <chu11@llnl.gov>

	* common/toolcommon/tool-common-sensor.h,
	common/toolcommon/tool-sensor-common.c (list_sensor_types): Redo
	to not take pstate parameter.

	* ipmi-sensors/, ipmi-sel/: Code cleanup with use of
	list_sensor_type.  Call before launching threads in tools since it
	is identical in all outputs.

	* ipmi-sensors/ipmi-sensors.c (_ipmi_sensors): Fix bug in which
	multiple workaround flags and workaround flags with bridging could
	not be specified.

2012-05-16  Albert Chu <chu11@llnl.gov>

	* ipmi-oem/ipmi-oem.c (main), bmc-device/bmc-device.c (main): Turn
	on quiet caching if doing communication to multiple hosts.

2012-05-16  Albert Chu <chu11@llnl.gov>

	* common/toolcommon/tool-sdr-cache-common.h,
	common/toolcommon/tool-sdr-cache-common.c (sdr_cache_flush_cache):
	Do not require ipmi_sdr_ctx_t parameter, create it inside
	function.

	* Globally in tools, call sdr_cache_flush_cache() before opening
	ipmi_open.

	* Globally cleanup usage of exit codes using EXIT_FAILURE and
	EXIT_SUCCESS appropriately.  Globally in tools cleanup general
	exit code.

2012-05-15  Albert Chu <chu11@llnl.gov>

	* ipmi-pet/: Fix bugs associated with new library checks for sdr
	open for reading.

2012-05-15  Albert Chu <chu11@llnl.gov>

	Merge branch toolcleanup

	* common/toolsdr/tool-sdr-cache-common.h,
	common/toolsdr/tool-sdr-cache-common.c: Take struct sdr_cmd_args
	pointer as argument instead of each desired parameter.

	* common/toolcommon/tool-common.h,
	common/toolcommon/tool-common.c (ipmi_open): Take pstdout_state_t
	parameter and output errors instead of returning error string in
	buffer.

	* common/toolhostrange/tool-hostrange-common.h,
	common/toolhostrange/tool-hostrange-common.c (pstdout_setup): Take
	struct hostrange_cmd_args pointer as argument instead of each
	desired parameter.

	* common/toolhostrange/tool-util-common.h,
	common/toolhostrange/tool-util-common.c: New files, functions
	split off from common/toolcommon/tool-common.h and
	common/toolcommon/tool-common.c.

	* common/daemonutil/, common/tooloem/, common/toolsdr/,
	common/toolevent/, common/toolsensor/, common/toolhostrange/:
	Merge into common/toolcommon/ library.

	* Update tools appropriately for changes.

2012-05-15  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/: Rename a large number of internal functions with
	'ipmi' prefixes so they are not exported by libfreeipmi.

2012-05-15  Albert Chu <chu11@llnl.gov>

	Merge movetolib branch

       * libfreeipmi/include/freeipmi/sel/ipmi-sel.h,
       libfreeipmi/sel/ipmi-sel-string.c (_output_event_data1_event_data2_event_data3),
       libfreeipmi/sel/ipmi-sel-string.c (sel_parse_format_record_string):
       Support new '%E' for sel string outputs.

       * common/toolevent/tool-event-common.c (event_output_event): Use
       new '%E' appropriately.

2012-05-15  Albert Chu <chu11@llnl.gov>

	* libipmimonitoring/ipmimonitoring.map/: Explicitly list functions
	to avoid errant functions being made global.

2012-05-14  Albert Chu <chu11@llnl.gov>

	Cleanup sel-parse sub-library

	* Support IPMI_SEL_PARSE_ERR_SEL_ENTRIES_NOT_LOADED error code.

	* Properly trace all errors when debug tracing is enabled.

	* Condense both sets of record parsing functions into one set.

	* libfreeipmi/sel-parse/ipmi-sel-parse-common.h,
	libfreeipmi/sel-parse/ipmi-sel-parse-common.c (sel_parse_get_previous_state_or_severity):
	Change to _get_previous_state_or_severity and put in
	libfreeipmi/sel-parse/ipmi-sel-parse-string.c.

	* libfreeipmi/interpret/, common/toolevent/, ipmi-sel/, ipmi-pet/:
	Update appropriately for changes.

	* Convert the 'sel-parse' library to 'sel'.

	* ipmi-sel/ipmi-sel.h: Rename to ipmi-sel_.h to avoid naming
	conflict.

2012-05-14  Albert Chu <chu11@llnl.gov>

	* Various code cleanup when calling ipmi_sdr_cache_iterate
	callbacks.

2012-05-13  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/include/freeipmi/api/ipmi-api.h,
	libfreeipmi/api/ipmi-api.c (ipmi_ctx_get_target): New function.

	* libfreeipmi/sel-parse/ipmi-sel-parse.c (ipmi_sel_parse_ctx_create):
	Check that sdr is open for reading and ipmi_ctx open.

	* libfreeipmi/fru-parse/ipmi-fru-parse.c (ipmi_fru_parse_ctx_create):
	Check that ipmi_ctx is open.

	* libfreeipmi/sensor_read/ipmi-sensor_read.c (ipmi_sensor_read_ctx_create):
	Check that ipmi_ctx is open.

	* ipmi-sel/: Update for API changes.

2012-05-12  Albert Chu <chu11@llnl.gov>

	Merge sdrrearch branch.

	* libfreeipmi/include/freeipmi/sdr/ipmi-sdr.h, libfreeipmi/sdr:
	Turn sdr-cache libfreeipmi sub-library into sdr sub-library.

	* libfreeipmi/include/freeipmi/sdr-parse/ipmi-sdr-parse.h,
	libfreeipmi/sdr-parse: Remove sub-library. Fold into sdr
	sub-library.  Support ability to call parsing functions w/o
	passing in sdr buffer and using internal buffer during iteration.

	* libfreeipmi/include/sdr/ipmi-sdr.h,
	libfreeipmi/sdr/ipmi-sdr-cache-read.c (ipmi_sdr_cache_iterate):
	New function.

	* common/toolsdr/tool-sdr-cache-common.h,
	common/toolsdr/tool-sdr-cache-common.c (sdr_cache_setup_debug):
	New common function for many tools.

	* Globally adjust tools and libraries for changes.

2012-05-11  Albert Chu <chu11@llnl.gov>

	* Support --target-channel-number and --target-slave-address
	options for all inband activities.

2012-05-10  Albert Chu <chu11@llnl.gov>

	Merge branch frubrudge

	* ipmi-fru/: If builtin FRU device has SDR entry, output SDR entry
	name instead of fixed string.

	* libfreeipmi/include/freeipmi/sdr-parse/ipmi-sdr-parse.h,
	libfreeipmi/sdr-parse/ipmi-sdr-parse.c (ipmi_sdr_parse_management_controller_device_locator_parameters):
	Support ability to parse all fields from a managemnet controller
	deivce locator record.

	* ipmi-sensors/ipmi-sensors-detailed-output.c (_detailed_output_management_controller_device_locator_record):
	Output more information about Management Controller Device
	Records.

	* ipmi-fru/: Support --bridge-fru option.

	* libfreeipmi/fru-parse/ipmi-fru-parse.c (_read_fru_data): Handle
	message timeout errors when bridging.

	* libfreeipmi/fru-parse/ipmi-fru-parse.c: Check ipmi ctx errnum
	before checking for bad completion codes.

	* common/toolcommon/, man/, etc/: Update with new option support
	appropriately.

	* libfreeipmi/api/ipmi-kcs-driver-api.c (ipmi_kcs_cmd_api_ipmb):
	Sleep a little bit between re-reads to limit spinning.

2012-05-10  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/fru-parse/ipmi-fru-parse.c (_read_fru_data): Handle
	additional device busy errors.

2012-05-10  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/api/ipmi-api.c: End bridging when closing ipmi
	session.  Do not support setting bridging targets when session not
	open.  Do not require setting both channel and rs_addr, pick
	appropriate default when only one is set.  Do not turn on bridging
	if user configures defaults.

	* libfreeipmi/include/freeipmi/api/ipmi-api.h: Update comments.

2012-05-09  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/include/freeipmi/api/ipmi-api.h,
	libfreeipmi/api/ipmi-api.c (ipmi_ctx_set_target): New function.

	* libfreeipmi/api/: Support ability to run bridged IPMI commands
	without having to call _ipmb equivalent functions.

	* libfreeipmi/api/: Various code cleanup.

2012-05-08  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/include/freeipmi/templates/ipmi-oem-intel-node-manager-cmds-templates.h,
	libfreeipmi/cmds/ipmi-oem-intel-node-manager-cmds.c: Fix field
	name typo (Found by Werner Fischer).

2012-05-08  Thomas Renninger <trenn@suse.de>

	* etc/ipmidetectd.init: Fix start run levels.

2012-05-07  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/sdr-cache/ipmi-sdr-cache-create.c (ipmi_sdr_cache_create):
	Fix error code return value.

2012-05-07  Albert Chu <chu11@llnl.gov>

	* common/toolevent/tool-event-common.c (event_output_event):
	Remove dead code.

	* sel-parse/ipmi-sel-parse-string.c (_output_event_data2_event_data3):
	Remove dead code.

2012-05-06  Albert Chu <chu11@llnl.gov>

	* Add Supermicro H8DGU-F support for ipmi-sel and interpret
	library.

	* Update docs for Supermicro H8DGU-F support.

2012-05-06  Diego Elio Pettenò <flameeyes@flameeyes.eu>

	* Add support for Supermicro H8DGU-F to ipmi-sensors.

2012-05-06  Albert Chu <chu11@llnl.gov>

	* ipmidetect/ipmidetect_.h, common/daemonutil/daemon-util.c:
	Remove unnecessary includes.  (Found by Diego Elio Pettenò)

2012-05-05  Albert Chu <chu11@llnl.gov>

	* ipmiconsole/ipmiconsole-argp.c (ipmiconsole_argp_parse): Fix
	password length check bug.  (Found by Diego Elio Pettenò)

2012-05-04  Albert Chu <chu11@llnl.gov>

	* common/toolcommon/, man/: Split SDR option "sdr-cache-directory"
	into separate macro/man option.

	* ipmidetectd/: Rename files for consistency to other parts of
	FreeIPMI.

	* toolevent/tool-event-common.c: Allow NULL for column_width input
	as long as output will be comma separated.  Allow NULL for
	entity_id_counts if entity_sensor_names not desired.

2012-05-03  Albert Chu <chu11@llnl.gov>

	* ipmidetectd/ipmidetectd_config.c (_usage): Fix cut and paste
	typo.

2012-05-03  Albert Chu <chu11@llnl.gov>

	* common/daemonutil/daemon-util.h, common/daemonutil/daemonutil.c:
	New files and convenience library.

	* bmc-watchdog/, ipmidetectd/: Utilize new common library.
	Various code cleanup as needed.

	* ipmidetectd/ipmidetectd_loop.h, ipmidetectd/ipmidetectd_loop.c:
	Remove files.  Collapse code in ipmidetectd.c.

	* ipmidetectd/ipmidetectd_argp.h, ipmidetectd/ipmidetectd_argp.c:
	New files.

	* ipmidetectd/: Various code re-org for consistency to rest of
	FreeIPMI.

	* ipmidetect/ipmidetect_.h, ipmidetect/ipmidetect-argp.h,
	ipmidetect/ipmidetect-argp.c: New files.

	* ipmidetect/: Various code re-org for consistency to rest of
	FreeIPMI.

2012-05-02  Albert Chu <chu11@llnl.gov>

	* man/ipmidetectd.8.pre.in: Document that errors are logged to
	syslog.

	* ipmidetectd/: Use miscutil error libraries instead of internal
	debug functions.

	* ipmidetectd/ipmidetectd_debug.h,
	ipmidetectd/ipmidetectd_debug.c: Remove files.

2012-05-02  Albert Chu <chu11@llnl.gov>

	Merge branch bmcwatchdogrearch.  Rearch bmc-watchdog to use all
	new libraries available to it, make it more consistent to other
	daemons, and properly reflect features/options.

	* libfreeipmi/api/: Support new IPMI_ERR_DRIVER_BUSY error code to
	return when a driver is busy.

	* common/toolcommon/, bmc-watchdog/: Use miscutil common error
	handling functions and properly syslog some initialize errors when
	running as daemon.  Utilize libfreeipmi api when appropriate
	instead of bmc-watchdog specific functions.  Remove support for
	--logfile, all logs go to syslog now.  Support --verbose-logging.
	Various code cleanup for consistency to rest of FreeIPMI and other
	changes.

	* etc/bmc-watchdog.logrotate, config/ac_bmc_watchdog_logfile.m4:
	Remove files.

	* freeipmi.spec.in, configure.ac, etc/Makefile.am,
	etc/freeipmi.conf, man/bmc-watchdog.8.pre.in,
	man/freeipmi.conf.5.pre.in: Update appropriately for changes.

2012-05-02  Albert Chu <chu11@llnl.gov>

	* man/freeipmi.conf.5.pre.in: Add ipmi-pet to list of supported
	tools.

	* man/bmc-watchdog.8.pre.in: Remove legacy information.

	* bmc-watchdog/bmc-watchdog.c (_set_cmd): Fix --start-if-stopped
	and --reset-if-running logic.

2012-04-30  Albert Chu <chu11@llnl.gov>

	* bmc-watchdog/bmc-watchdog.c (_bmclog_write): Call fsync to sync
	log errors to disk.

	* ipmiconsole/: Remove use of "error.h" convenience function.
	Convenience functions were virtually unused.

2012-04-21  Albert Chu <chu11@llnl.gov>

	* bmc-watchdog/bmc-watchdog.c: Handle SIGQUIT in addition to
	SIGTERM and SIGINT.  Properly set umask before writing pidfile.
	Properly unlink/delete pidfile when necessary. Code cleanup.

	* ipmidetectd/ipmidetectd.c: Create pidfile on daemon startup.
	Support debugging in production build.  Fix segfault corner case.
	Handle signals SIGINT, SIGTERM, and SIGQUIT.  Code cleanup.

2012-04-19  Albert Chu <chu11@llnl.gov>

	Merge branch seld

	Create new ipmiseld daemon.

	* ipmiseld/: New files.

	* man/ipmiseld.8.pre.in, man/ipmiseld.conf.5.pre.in: New files.

	* etc/ipmiseld.conf, etc/ipmiseld.init: New files.

	* config/ac_ipmiseld_config_file.m4: New file.

	* configure.ac, Makefile.am, etc/Makefile.am, man/Makefile.am,
	freeipmi.spec.in: Update appropriately for new files and
	directories.

	* common/daemonutil: New common files for daemon common functions.

	* ipmidetectd/: Use new daemonutil functions when appropriate.

2012-04-19  Albert Chu <chu11@llnl.gov>

	Merge branch intels2600jf

	* ipmi-oem/: Add Intel --get-power-restore-delay,
	--set-power-restore-delay, --get-bmc-service-status,
	--set-bmc-service-status.

	* libfreeipmi/include/freeipmi/spec/, libfreeipmi/sel-parse/:
	Re-arch SEL OEM interpretations of Quanta QSSC-S4R/Appro GB812X-CN
	to prepare for Intel S2600JF/Appro 512X.  Add QPI Interconnect
	specific event offset messages.

	* libfreeipmi/sel-parse/: Support Intel S2600JF/Appro 512X OEM SEL
	events.

	* libfreeipmi/include/: Add additions for Intel S2600JF/Appro 512x

	* man/: Update documentation for Intel S2600JF/Appro 512x support.

2012-04-16  Albert Chu <chu11@llnl.gov>

	Merge reservedmacros branch.

	Fix bug #36177: reserved identifier violation.

	See https://www.securecoding.cert.org/confluence/display/seccode/DCL37-C.+Do+not+declare+or+define+a+reserved+identifier

	* Rename many header guards for compliance.

	* Fix inconsistencies with header guards #defines and #endif
	comments.

	* Rename many macros for safety.

	* Fix file scope object naming issues.

	* Make some variables static that should be file local.

2012-03-20  Albert Chu <chu11@llnl.gov>

	Merge intels5000pal branch.

	* libfreeipmi/interpret/: Support sensor Session Audit
	intepretation.  Convert default state of
	IPMI_Session_Audit_Invalid_Username_Or_Password from Critical to
	Warning.  Support Voltage Limit sensors.  Support SMI timeout on
	Intel S5000PAL motherboard.

	* man/, etc/: Upate appropriately.

2012-03-12  Albert Chu <chu11@llnl.gov>

	* ipmi-oem/ipmi-oem-supermicro.c
	(ipmi_oem_supermicro_get_bmc_services_status,
	ipmi_oem_supermicro_set_bmc_services_status): Fix error message
	output.

2012-03-06  Albert Chu <chu11@llnl.gov>

 	* libfreeipmi/api/, libfreeipmi/cmds/: Support set sensor reading
	and event status command functions.

	* bmc-device/: Support --set-sensor-reading-and-event-status.

2012-03-06  Thomas Renninger <trenn@suse.de>

	* contrib/Makefile.am, Makefile.am, doc/Makefile.am: Fix docdir
	usage for newer autotools.

2012-03-06  Albert Chu <chu11@llnl.gov>

 	* Support set sensor reading and event status command.

2012-03-05  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/include/freeipmi/spec/ipmi-comp-code-spec.h: Add
	macros for completion code ranges.

	* libfreeipmi/util/ipmi-error-util.c
	(ipmi_completion_code_strerror_r): Use new macros.

2012-03-01  Albert Chu <chu11@llnl.gov>

	* ipmipower/ipmipower_connection.c (_connection_setup): Support
	ability to specify alternate port in hostname argument.

2012-03-01  Albert Chu <chu11@llnl.gov>

	Merge altport branch.

	* libfreeipmi/api/ipmi-api.c (_setup_hostname),
	libipmiconsole/ipmiconsole_defs.h, libipmiconsole/ipmiconsole.c
	(ipmiconsole_ctx_create), libipmiconsole/ipmiconsole_ctx.h
	(ipmiconsole_ctx_config_setup), libipmiconsole/ipmiconsole_ctx.c
	(ipmiconsole_ctx_config_setup), ipmidetectd/ipmidetectd_loop.c
	(_nodes_setup): Support ability to specify alternate port in
	hostname argument or host config.

	* libipmimonitoring/ipmi_monitoring_ipmi_communication.c
	(_ipmi_1_5_init, _ipmi_2_0_init, _outofband_init): Let various
	error checking fall through to lower level APIs.

	* man/manpage-common-outofband-hostname.man,
	man/manpage-common-outofband-hostname-hostranged.man,
	man/ipmidetectd.conf.5.pre.in: Update manpages appropriately.

2012-03-01  Albert Chu <chu11@llnl.gov>

	* libipmimonitoring/ipmi_monitoring_ipmi_communication.c
	(_ipmi_1_5_init, _ipmi_2_0_init): Properly return connection
	timeout error on connection timeout.

	* man/ipmidetectd.conf.5.pre.in: Fix some English.

2012-03-01  Albert Chu <chu11@llnl.gov>

	* libipmimonitoring/, libipmiconsole/: Support Cipher Suite 15,
	16, and 17.

2012-02-26  Yaroslav Halchenko <debian@onerussian.com>

	* man/ipmi-chassis.8.pre.in: Fix typos.

2012-02-24  Albert Chu <chu11@llnl.gov>

	Merge selreservation branch

	* libfreeipmi/: Support new functions
	ipmi_sel_parse_ctx_register_reservation_id() and
	ipmi_sel_parse_ctx_clear_reservation_id() in the sel-parse library
	as well as a new error return of
	IPMI_SEL_PARSE_ERR_RESERVATION_CANCELED.

	* ipmi-sel/: Support --post-clear option.

2012-02-24  Albert Chu <chu11@llnl.gov>

	* common/miscutil/error.h, common/miscutil/error.c
	(err_init_exit_value): New function.

	* ipmidetect/ipmidetect.c (main): Exit with value 2 on errors.

	* ipmipower/: Properly exit with 1 when an error occurs on IPMI
	errors instead of just system errors.

	* man/: Add exit value diagnostics information to most manpages.

	* ipmipower/: Code cleanup for consistency to libipmiconsole code.

2012-02-23  Albert Chu <chu11@llnl.gov>

	Merge sha256 branch.

	* Support Cipher Suite 15 and 16 globally.

	* Add details of Cipher Suite 18 and 19 globally.

	* bmc-config/bmc-config-rmcpplus-conf-privilege-section.c
	(bmc_config_rmcpplus_conf_privilege_section_get): Add
	configuration for Maximum_Privilege_Cipher_Suite_Id_15.

2012-02-22  Albert Chu <chu11@llnl.gov>

	* bmc-config/bmc-config-rmcpplus-conf-privilege-section.c
	(id_checkout): Fix cipher suite privilege
	configuration corner cases workaround on HP DL145.

	* man/manpage-common-workaround-outofband-20-text.man: Document
	Intel S2600JF/Appro 512X workaround.

	* bmc-config/bmc-config-rmcpplus-conf-privilege-section.c (_rmcpplus_cipher_suite_id_privilege_setup):
	Workaround cipher suite privilege configuration bug in Intel
	S2600JF/Appro 512X.

2012-02-22  Albert Chu <chu11@llnl.gov>

	* common/toolcommon/tool-cmdline-common.c (common_parse_opt),
	common/toolcommon/tool-config-file-common.c
	(_config_file_cipher_suite_id): Differentiate between invalid and
	unsupported cipher suites in error message output.

2012-02-21  Albert Chu <chu11@llnl.gov>

	* doc/freeipmi-bugs-issues-and-workarounds.txt,
	man/ipmi-sensors.8.pre.in: Update information concerning
	'discretereading' workaround.

	* ipmi-sensors/: Code cleanup, rename 'reading' to
	'sensor_reading' for consistency.

	* libfreeipmi/cmds/ipmi-lan-cmds.c: Fix packet layout for
	tmpl_cmd_get_lan_configuration_parameters_rmcpplus_messaging_cipher_suite_entry_support_rs.

	* doc/freeipmi-faq.texi: Add Powerman configuration notes for
	C410x.  Fix various parts.

2012-02-17  Albert Chu <chu11@llnl.gov>

	* ipmipower/: Various code cleanup.  Change "DIAG_INTR" to
	"DIAGNOSTIC_INTERRUPT" in code for readability.  Make code
	consistent to other codein FreeIPMI.  Add asserts as needed.

	* Globally: Various code cleanup.  Use switch statements where it
	would be more appropriate for performance improvements.

2012-02-17  Albert Chu <chu11@llnl.gov>

	Merge dellc410x

	* ipmipower/: Add --oem-power-type option and support C410x OEM
	power type.  Support ability to input power control to same host
	multiple times under OEM conditions.  Serialize power control
	operations to same host.

	* ipmipower/ipmipower_oem.h, ipmipower/ipmipower_oem.c: New files.

	* ipmipower/: Various code cleanup given re-architecture.

	* common/miscutil/hostlist.c: Remove fprintf debug error messages
	from tool.

	* ipmi-oem/ipmi-oem-dell.c: Fix C410X corner case.

2012-02-10  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/api/ipmi-api.c (ipmi_ctx_open_inband): Add comment
	about openipmi driver.

2012-02-08  Albert Chu <chu11@llnl.gov>

	* doc/freeipmi-coding.txt, README.build: Add configure notes.

2012-02-07  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/sel-parse/: Support Supermicro SEL CPU Temp events.

2012-02-06  Albert Chu <chu11@llnl.gov>

	* man/ipmi-sel.8.pre.in: Fix option typo.

2012-01-31  Albert Chu <chu11@llnl.gov>

	* man/ipmi-oem.8.pre.in: Update supported motherboard information
	based on tests from Ryan Cox.

2012-01-30  Albert Chu <chu11@llnl.gov>

	* man/ipmi-oem.8.pre.in: Update supported motherboard information
	based on tests from Ryan Cox.

2012-01-27  Albert Chu <chu11@llnl.gov>

	* man/ipmi-oem.8.pre.in: Update information based on tests from
	Ryan Cox.

2012-01-18  Albert Chu <chu11@llnl.gov>

	* man/ipmi-sel.8.pre.in: Clarify usefulness of event direction.

2012-01-17  Albert Chu <chu11@llnl.gov>

	* ipmipower/ipmipower.h: Redo packet validation macros.

	* libfreeipmi/include/freeipmi/cmds/ipmi-chassis-cmds.h: Define
	macros for on vs off power.

	* ipmipower/ipmipower_powercmd.c (_process_ipmi_packets): Use new
	macros.

2012-01-16  Albert Chu <chu11@llnl.gov>

	* man/manpage-common-inband.man: Clarify argument input.

2012-01-15  Albert Chu <chu11@llnl.gov>

	* doc/freeipmi-faq.texi: Add some OpenIPMI linux kerneld driver
	notes.

2012-01-15  Albert Chu <chu11@llnl.gov>

	Merge branch dellsolinstancecapacity

	* libipmiconsole/ipmiconsole_processing.c (_check_sol_activated):
	Workaround bug in Dell Poweredge M605, Dell Poweredge M610, and
	Dell Poweredge M915 where instance count of SOL is returned as 0.

2012-01-13  Albert Chu <chu11@llnl.gov>

	* Audit and add asserts appropriately to large number of functions.

	* common/configtool/: All config tools support hostranges, so
	replace PSTDOUT_PRINTF with pstdout_printf, PSTDOUT_FPRINTF with
	pstdout_fprintf, and PSTDOUT_PERROR with pstdout_perror.

2012-01-13  Albert Chu <chu11@llnl.gov>

	* doc/solstatediagram.dot: SOL State Diagram documentation.

2012-01-13  Albert Chu <chu11@llnl.gov>

	* libipmiconsole/ipmiconsole_processing.c
	(_process_protocol_state_deactivate_payload_sent): Fix deactivate
	only corner case in which session not closed cleanly.

2012-01-12  Albert Chu <chu11@llnl.gov>

	Merge branch redotemplatedocs

	* libfreeipmi/include/freeipmi/templates/: Redo format.  Update
	OEM motherboard lists.

	*
	libfreeipmi/include/record-format/ipmi-oem-intel-node-manager-cmds.h:
	Update motherboard list.

	* libfreeipmi/: Clean up some comments in various files.

2012-01-12  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/sensor-read/ipmi-sensor-read.c
	(_sensor_reading_corner_case_checks): Handle corner case in Sun
	Blade 6000M2.

2012-01-11  Albert Chu <chu11@llnl.gov>

	Merge sunbladex6250sensor branch

	* libfreeipmi/sensor-read/ipmi-sensor-read.c
	(_sensor_reading_corner_case_checks): Handle corner case in Sun
	Blade x6250.

	* libfreeipmi/sensor-read/ipmi-sensor-read.c
	(_sensor_reading_corner_case_checks): Slightly alter error code
	return interpretations.

2012-01-10  Albert Chu <chu11@llnl.gov>

	* common/toolcommon/tool-config-file-common.c: Fix several config
	file option parsing bugs.

2012-01-10  Albert Chu <chu11@llnl.gov>

	* doc/freeipmi-faq.texi: Add conman configuration FAQ example.
	Add terminology, ganglia, nagios info.

2012-01-09  Albert Chu <chu11@llnl.gov>

	* doc/freeipmi-faq.texi: Add powerman configuration FAQ example.

2012-01-09  Albert Chu <chu11@llnl.gov>

	* Merge 8250:8352 ipmioemdellgetsysteminfo.

	* ipmi-oem/ipmi-oem-dell.c: Add Dell get-system-info
	'slot-number', 'system-revision', 'embedded-video-status',
	'idrac-info', 'idrac-ipv4-url', 'idrac-gui-webserver-control',
	'cmc-ipv4-url', 'cmc-ipv6-info', 'cmc-ipv6-url' k eys.  Support
	12G mac addresses.  Support better error messages.

2012-01-09  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/: Add re-arm sensor events functions.

	* bmc-device/: Support --rearm-sensor.

	* README, man/freeipmi.7.pre.in: Update description of bmc-device.

2012-01-09  Albert Chu <chu11@llnl.gov>

	* man/ipmi-oem.8.pre.in: Add SDR caching information to specific
	OEM commands.

2012-01-08  Albert Chu <chu11@llnl.gov>

	* Update/fix various documentation and comments.

2012-01-08  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/cmds/ipmi-sensor-cmds.c,
	libfreeipmi/include/freeipmi/templates/ipmi-sensor-cmds-templates.h:
	Re-arm Sensor Events fields are optional not required.

2012-01-08  Albert Chu <chu11@llnl.gov>

	* libipmiconsole/: Don't deactivate the SOL payload when it
	appears the SOL session has been stolen.

2012-01-07  Albert Chu <chu11@llnl.gov>

	Merge serialkeepalive branch

	* libipmiconsole/: Add SERIAL_KEEPALIVE_EMPTY flag support.

	* libipmiconsole/ipmiconsole_processing.c
	(_serial_keepalive_timeout): Fix keepalive calculation to avoid
	spinning.

	* ipmiconsole/: Add --serial-keepalive-empty support.

	* configure.ac: Update versioning for libipmiconsole.

2012-01-07  Albert Chu <chu11@llnl.gov>

	* Update/fix various documentation and comments.

2012-01-06  Albert Chu <chu11@llnl.gov>

	* bmc-watchdog/: Fix usage output typo.

2012-01-06  Jan Safranek <jsafrane@redhat.com>

	* ipmidetectd/, bmc-watchdog/: Fix race in daemon setup code to
	function with new systemd.

2012-01-06  Albert Chu <chu11@llnl.gov>

	* Update/fix various documentation and comments.

2012-01-05  Albert Chu <chu11@llnl.gov>

	Merge 8269:8289 from c410x branch.

	* ipmi-oem/: Support Dell C410x OEM extension slot-power-toggle,
	slot-power-control, get-port-map, and set-port-map.

2011-12-22  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/include/freeipmi/spec/ipmi-system-info-parameters-oem-spec.h: Fix macro names.

2011-12-22  Albert Chu <chu11@llnl.gov>

	Merge branch qsscs4r.

	* libfreeipmi/sel-parse/, libfreeipmi/interpret/: Support Quanta
	QSSC-S4R/Appro GB812X-CN OEM SEL Events.

	* libfreeipmi/interpret/, ipmi-sensors/: Re-organize code for
	future growth.  Most notably, split up OEM extensions into
	individual vendor files/functions.

	* ipmi-sensors/: Support Quanta QSSC-S4R OEM SDR records.

	* libfreeipmi/interpret/: Support Fan assert/deassert sensor/sel
	interpretations.  Support Quanta QSSC-S4R OEM sensors and SEL
	events.

2011-12-21  Albert Chu <chu11@llnl.gov>

	* Update/fix/remove OEM extension download links

2011-12-20  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/util/ipmi-sensor-and-event-code-tables-util.c (ipmi_get_oem_specific_message):
	Fix bug loading incorrect tables.

	* libfreeipmi/sel-parse/ipmi-sel-parse-string-intel.c (ipmi_sel_parse_output_intel_event_data2_event_data),
	libfreeipmi/include/freeipmi/spec/ipmi-slave-address-oem-spec.h:
	Remove IPMI_GENERATOR_ID_OEM_INTEL_BIOS_POST macro, which was only
	supposed to be an example in Intel documentation.

2011-12-20  Albert Chu <chu11@llnl.gov>

	* Branch Release-1_1_0_branch for FreeIPMI 1.1.0 stable branch

2011-12-20  Albert Chu <chu11@llnl.gov>

	* Update documentation for Quanta QSSC-S4R/Appro GB812X-CN

2011-12-19  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/fru-parse/: Support IPMI_FRU_PARSE_ERR_DEVICE_BUSY error code.

	* ipmi-fru/: Do not consider a busy device a fatal error.

	* Document Appro GB812X-CN IPMI compliance issues.

2011-12-19  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/: Support IPMI_FLAGS_IGNORE_AUTHENTICATION_CODE
	workaround flag.

	* ipmi-sensors/: Support 'ignoreauthcode' workaround flag.

2011-12-16  Kaiwang Chen <kaiwang.chen@gmail.com>

	* contrib/pet/petalert.pl, contrib/pet/README: Support and
	document NSCA.

2011-12-15  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/cmds/libfreeipmi/cmds/ipmi-pef-and-alerting-cmds.c (fill_cmd_set_pef_configuration_parameters_pef_control):
	Fix config setting bug for Enable_PEF_Event_Messages.

2011-12-15  Kaiwang Chen <kaiwang.chen@gmail.com>

	* contrib/pet/README: Updated information about Poweredge 1950.

2011-12-14  Albert Chu <chu11@llnl.gov>

	* contrib/pet/README: Fix some text and formatting.

	* libfreeipmi/src/util/pimi-sensor-and-event-code-tables-util.c (_supermicro_oem_temp_level_sensor_supported):
	Common function for common code.

2011-12-14  Kaiwang Chen <kaiwang.chen@gmail.com>

	* contrib/pet/: Support 'perf' token option.

2011-12-13  Albert Chu <chu11@llnl.gov>

	Build system rework.

	* contrib/, libfreeipmi/: Remove most subdir Makefiles.

	* Various Makefile.am cleanup.

	* freeipmi.spec.in: Move libipmimonitoring contrib into devel package.

2011-12-13  Kaiwang Chen <kaiwang.chen@gmail.com>

	* contrib/pet/check_rmcpping, contrib/pet/ipminodes.cfg: New files.

	* contrib/pet/: Significant doc updates.

2011-12-13  Albert Chu <chu11@llnl.gov>

	* Minor documentation updates.

	* Minor packaging fixes to fix distcheck.

2011-12-12  Albert Chu <chu11@llnl.gov>

	Giant re-org of code.

	* Store all manpages stored in man/.

	* Store all /etc appropriate files in etc/.

	* Move common/src libs to common/.

	* Remove many src directories, move sources up a directory.

	* Various Makefile cleanups.

2011-12-12  Albert Chu <chu11@llnl.gov>

	* examples/: Remove directory.  Move files into contrib/libipmimonitoring.

	* Install contribs into doc/contrib/

	* freeipmi.spec.in: Fixup for recent changes.

2011-12-12  Kaiwang Chen <kaiwang.chen@gmail.com>

	* libfreeipmi/src/api/ipmi-api-util.c (_api_ipmi_cmd_post): Fix
	corner case bug.

	* contrib/pet/petalert.pl: Support workaround option.

2011-12-09  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/src/api/: Fix completion code check corner case with
	IPMI_FLAGS_NO_LEGAL_CHECK.

	* libfreeipmi/: Minor code cleanup.

2011-12-09  Kaiwang Chen <kaiwang.chen@gmail.com>

	* libfreeipmi/src/api/: Fix bug with IPMI_FLAGS_NO_LEGAL_CHECK
	use.

2011-12-08  Albert Chu <chu11@llnl.gov>

	* Support IPMI_FLAGS_NO_LEGAL_CHECK flag in libfreeipmi.

2011-12-07  Kaiwang Chen <kaiwang.chen@gmail.com>

	* contrib/pet/petalert.pl: Support PET acknowledge option.

2011-12-07  Albert Chu <chu11@llnl.gov>

	* ipmi-pet/: Support "malformedack" workaround option.

2011-12-07  Albert Chu <chu11@llnl.gov>

	* common/man/: Various additions, tweaks, and modifications.

2011-12-06  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/src/api: Re-arch LAN code to timeout on malformed
	packets rather than do an immediate retry.

2011-12-05  Kaiwang Chen <kaiwang.chen@gmail.com>

	* ipmi-pet/src/ipmi-pet.c (_ipmi_pet_parse_trap_data): Pass raw
	localtimestamp, not locally adjusted timestamp.

2011-12-05  Albert Chu <chu11@llnl.gov>

	* common/man/: Various code re-org and cleanup.

	* Fix up manpages for easier future maintenance.

	* Remove warnings when "compiling" manpages.

	* Fix compile warnings.

	* ipmi-pet/: Adjust ipmi-pet to look more like remaining FreeIPMI
	manpages.

	* Various manpage doc updates.

2011-12-05  Albert Chu <chu11@llnl.gov>

	* ipmi-pet/src/: Fix warning.

2011-12-02  Albert Chu <chu11@llnl.gov>

	* Update IANA Enterprise validity macro.

2011-12-01  Albert Chu <chu11@llnl.gov>

	* Various documentation updates.

	* Update copyright years for release in 2012.

2011-11-30  Albert Chu <chu11@llnl.gov>

	* Various documentation updates.

2011-11-28  Albert Chu <chu11@llnl.gov>

	* bmc-watchdog/src/bmc-watchdog.c (_daemon_cmd_error_exit)
	(_daemon_cmd_error_noexit): Do not assume semaphore deleted on
	EINVAL.

2011-11-18  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/src/api/: Common function code cleanup.

	* libfreeipmi/src/spec/: Update iana numbers list.

2011-11-18  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/src/api/: Remove duplicate parameter checks.  Write
	common functions for variety of code.

2011-11-18  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/: Add support for IPMI firmware firewall and command
	discovery payloads.  Perform some code cleanup.

2011-11-16  Albert Chu <chu11@llnl.gov>

	* Continued code cleanup.  Remove unnecessary null checks.
	Remove excessive/unnecessary initializations.  Fix minor bugs.
	Fix code inconsistency styles.  Remove unused functions.

	* Update additional documentation about new ipmi-pet tool.

2011-11-15  Albert Chu <chu11@llnl.gov>

	* Code cleanup and minor fixes.  Remmove unnecessary if checks for
	free() globally.  Remove excessive initializations.  Fix minor
	bugs.

2011-11-15  Albert Chu <chu11@llnl.gov>

	* Support IPMI_FLAGS_NOSESSION in libfreeipmi.

	* libfreeipmi/include/freeipmi/record-format/ipmi-platform-event-trap-record-format.h:
	Support macros for sequence number.

	* Support --pet-acknowledge in ipmi-pet.

2011-11-15  Albert Chu <chu11@llnl.gov>

	* ipmi-pet/ipmi-pet.8.pre.in: Add examples.

2011-11-15  Kaiwang Chen <kaiwang.chen@gmail.com>

	* contrib/pet/petalert.pl: Support various new features.

2011-11-14  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/include/freeipmi/api/ipmi-api.h: Update documentation.

	* libfreeipmi/src/api/ipmi-lan-session-common.c: Code cleanup.

2011-11-14  Kaiwang Chen <kaiwang.chen@gmail.com>

	* Add contrib/pet/petalert.pl script from Kaiwang
	Chen (kaiwang.chen AT gmail DOT com).

2011-11-14  Albert Chu <chu11@llnl.gov>

	* Support Supermicro X9SCM-F IANA change.

2011-11-08  Albert Chu <chu11@llnl.gov>

	* Support Supermicro X9SCA-F-O OEM sensors.

2011-11-08  Albert Chu <chu11@llnl.gov>

	Merge branch ipmipet.

	* ipmi-pet/: New tool.

	* libfreeipmi/include/freeipmi/record-format/ipmi-platform-event-trap-record-format.h:
	New file.

	* common/src/toolcommon/: Update tool common function appropriately for new tool.

	* common/src/toolsensor/tool-sensor-common.h,
	common/src/toolsensor/tool-sensor-common.c (calculate_column_widths_ignored_sdr_cache,
	get_entity_id_string): New functions.

	* common/src/toolsdr/tool-sdr-cache-common.h,
	common/src/toolsdr/tool-sdr-cache-common.c (ipmi_sdr_cache_search_sensor_wrapper):
	Write new common function.

	* common/src/toolevent/: New common library.

	* ipmi-sel/: Update to use new convenience functions.

2011-11-01  Albert Chu <chu11@llnl.gov>

	* ipmi-raw/src/ipmi-raw.c: Code cleanup.  Output line numbers when
	there is an error on file/stdin input.

2011-10-31  Albert Chu <chu11@llnl.gov>

	* ipmi-sel/src/ipmi-sel.c (_normal_output_date_and_time)
	(_normal_output_not_available_date_and_time): Split into date and
	time specific functions.  Adjust other code appropriately.

2011-10-28  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/include/freeipmi/spec/ipmi-entity-ids-spec.h,
	libfreeipmi/src/spec/ipmi-entity-ids-spec.c: Add new defines for
	non-standard entity ids to model sensor types code.

	* libfreeipmi/include/freeipmi/util/ipmi-entity-ids-util.h,
	libfreeipmi/src/util/ipmi-entity-ids-util.c: New file.

	* common/src/toolsensor/tool-sensor-common.c (get_entity_sensor_name_string):
	Use new library function.

	* ipmi-sel/src/ipmi-sel.c (_normal_output_sensor_name_and_type):
	Code cleanup, split function into _normal_output_sensor_name and
	_normal_output_sensor_type.  Update code accordingly.

        * libfreeipmi/src/fru-parse/,
        libfreeipmi/include/freeipmi/fru-parse/ipmi-fru-parse.h: Allow
        creation of FRU ctx with NULL ipmi_ctx.

2011-10-27  Albert Chu <chu11@llnl.gov>

	* Support new --sdr-cache-file option globally.

2011-10-27  Albert Chu <chu11@llnl.gov>

	* common/src/toolsdr/: Code cleanup, make internal functions static.

2011-10-24  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/src/fru-parse/ipmi-fru-parse-data.c: Add forgotten headers.

	* ipmi-sel/: Code cleanup, do not pass unnecessary parameters to functions.

2011-10-24  Albert Chu <chu11@llnl.gov>

	* Update documentation with OEM support information.

2011-10-21  Albert Chu <chu11@llnl.gov>

	* ipmi-raw/src/: Use unsigned int for cmd_length.

	* common/src/miscutil/conffile.c: Update to latest version.

2011-10-21  Albert Chu <chu11@llnl.gov>

	* bmc-info/: Output GUID w/ lower case hex characters, as defined
	in Wired for Management spec.

2011-10-20  Albert Chu <chu11@llnl.gov>

	* ipmi-sel/, ipmi-sensors/: Remove unnecessary includes, add
	appropriate ones.

	* bmc-info/: Various code cleanup, use macros when appropriate.

2011-10-19  Albert Chu <chu11@llnl.gov>

	* ipmi-raw/src/ipmi-raw.c: Check for valid netfn request input.

	* libfreeipmi/src/api/: Check for valid netfn request input on raw functions.

2011-10-19  Albert Chu <chu11@llnl.gov>

	* Global cleanup, consistently and correctly check for errors when
	calling strtol, strtoul, strtod, etc.

2011-10-19  Albert Chu <chu11@llnl.gov>

	* ipmi-raw/src/ipmi-raw-argp.c: Fix error message.  Check raw byte
	inputs for correctness.

2011-10-19  Albert Chu <chu11@llnl.gov>

	* Document Intel S2600JF/Appro 512X IPMI bugs.

2011-10-18  Albert Chu <chu11@llnl.gov>

	* ipmi-raw/, ipmi-oem/: Fix allocation bug due to much larger
	_SC_ARG_MAX on RHEL6.  Assume max args appropriately for each
	tool.

	* ipmi-raw/, ipmi-oem/: Output error when excess arguments
	specified.

2011-10-17  Albert Chu <chu11@llnl.gov>

	* ipmi-sel/, libfreeipmi/src/sel-parse/: Fix the assumesystemevent
	workaround.

2011-10-17  Albert Chu <chu11@llnl.gov>

	* Support Intel Node Manager sensor/SEL events for Intel
	S2600JF/Appro 512X.

2011-10-17  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/src/util/ipmi-sensor-and-event-code-tables-util.c (get_management_subsystem_health_event_data2_message):
	Fix corner case output bug.

2011-10-17  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/src/sdr-cache/ipmi-sdr-cache-read.c (ipmi_sdr_cache_search_sensor),
	libfreeipmi/src/sdr-cache/ipmi-sdr-cache-defs.h: Fix corner case
	where invalid SDR record could be loaded if shared sensors are
	utilized on event only records.

2011-10-14  Albert Chu <chu11@llnl.gov>

	* etc/freeipmi.conf: Fix example/doc consistency.

2011-10-13  Albert Chu <chu11@llnl.gov>

	* ipmi-locate/src/ipmi-locate.h: Fix typo.

	* ipmi-locate/src/ipmi-locate-argp.c: Fix copyright year typo.

	* ipmi-locate/src/ipmi-locate_.h: Renamed from ipmi-locate.h.
	Done for code consistency to how ipmiconsole handles its
	ipmiconsole_.h.

2011-10-13  Albert Chu <chu11@llnl.gov>

	* Update copyright globally.

2011-10-06  Albert Chu <chu11@llnl.gov>

	* Document HP Itegrity rx3600 workaround.

2011-09-23  Albert Chu <chu11@llnl.gov>

	* libipmiconsole/src/Makefile.am: Fix logdir creation bug, should
	not hardcode /var for localstatedir.

	* libipmimonitoring/src/Makefile.am: Properly hide local library
	symbols.

2011-09-26  Diego Elio Pettenò <flameeyes@flameeyes.eu>

	* configure.ac, ipmi-sensors/src/Makefile.am: ipmimonitoring is
	generated referring to /usr/local even if configured with
	--prefix=/usr . This was caused by the broken expansion of the
	sbin path in configure.ac.

	To resolve the issue, this change no longer consider
	ipmimonitoring to be expanded by configure itself, but is rather
	processed at build time with sed so that make takes care of the
	expansion.

	The file is also not distributed (since it needs to be regenerated
	depending on configure options), but its sources are.

2011-09-23  Albert Chu <chu11@llnl.gov>

	* ipmipower/ipmipower.conf.5, ipmiconsole/ipmiconsole.conf.5:
	Remove headers.

	* libipmimonitoring/ipmi_monitoring_sensors.conf.5,
	libipmimonitoring/ipmimonitoring.conf.5,
	libipmimonitoring/ipmimonitoring_sensors.conf.5,
	libipmimonitoring/libipmimonitoring.conf.5: New files.

	* libipmimonitoring/ipmi_monitoring_sensors.conf.5.pre.in,
	libipmimonitoring/ipmimonitoring.conf.5.pre.in,
	libipmimonitoring/ipmimonitoring_sensors.conf.5.pre.in,
	libipmimonitoring/libipmimonitoring.conf.5.pre.in: Remove files.

	* configure.ac, libipmimonitoring/Makefile.am: Adjust.

2011-09-22  Dave Love <fx@gnu.org>

	* bmc-device/bmc-device.8.pre.in: Fix typos.

2011-09-21  Albert Chu <chu11@llnl.gov>

	* Remove Magnum X7SBI-LN4 sensor interpretation, not needed.

	* Support Supermicro X8SIE OEM sensors.

2011-09-20  Albert Chu <chu11@llnl.gov>

	* Fix use of new interpret library interpretation rules.

	* libfreeipmi/src/interpret/: Support chip set transition
	severity, current severity, memory redundancy, and system event
	state interpretations.

	* libfreeipmi/src/interpret/ipmi-interpret-config-sel.c
	(_cb_sel_parse): Fix parse corner case.

2011-09-20  Albert Chu <chu11@llnl.gov>

	* Support Supermicro X7DB8, X8DTN, X7SBI-LN4, X8DTL OEM sensors.

2011-09-19  Albert Chu <chu11@llnl.gov>

	* ipmi-dcmi/: Handle additional error codes for optional portions.

2011-09-19  Albert Chu <chu11@llnl.gov>

	* Support Supermicro X8DTN+-F OEM sensors.

2011-09-16  Albert Chu <chu11@llnl.gov>

	* ipmipower/ipmipower.conf.5.pre.in,
	ipmiconsole/ipmiconsole.conf.5.pre.in: Remove files.

	* ipmipower/ipmipower.conf.5, ipmiconsole/ipmiconsole.conf.5: New
	files.

	* configure.ac, ipmipower/Makefile.am, ipmiconsole/Makefile.am:
	Adjust.

2011-09-15  Albert Chu <chu11@llnl.gov>

	* ipmi-sensors/, libfreeipmi/src/sensor-read/,
	libfreeipmi/include/freeipmi/sensor-read/,
	common/src/parsecommon/: Support new "assumebmcowner" workaround.

2011-09-15  Albert Chu <chu11@llnl.gov>

	* ipmi-sensors/ipmi-sensors.8.pre.in: Fix some text.  Remove
	experimental tag from --bridge-sensors option.

	* libfreeipmi/src/sensor-read/ipmi-sensor-read.c: Add comments on
	workaround needs.

2011-09-15  Albert Chu <chu11@llnl.gov>

	* libipmimonitoring/: Support IGNORE_SCANNING_DISABLED workaround.

2011-09-15  Albert Chu <chu11@llnl.gov>

	* ipmi-sensors/ipmi-sensors.8.pre.in: Update motherboards
	workaround may work on.

2011-09-14  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/src/debug/ipmi-debug.c (ipmi_dump_hex): Output
	correct byte length of hex array.

	* libfreeipmi/src/api/ipmi-api.c (ipmi_cmd_raw): Fix debug dump
	output corner case.

	* libfreeipmi/src/api/ipmi-api.c (ipmi_cmd_raw_ipmb): Add debug
	dump support for special case drivers.

2011-09-13  Albert Chu <chu11@llnl.gov>

	* ipmipower/: Do not poll stdin when operating in non-interactive
	mode.

2011-09-13  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/src/interpret/: Support cooling device redundancy
	interpretation.

	* man/: Update manpages for new interpret configuration options.

2011-09-12  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/src/interpret/: Support transition severity
	sensor/sel interpretations for temperature, voltage, fan, and
	power supply sensor types.

2011-09-07  Diego Elio Pettenò <flameeyes@flameeyes.eu>

	* bmc-watchdog/src/bmc-watchdog.c: By writing a pidfile, init
	scripts can rely on that to kill or signal the running daemon
	instance. This is important because relying on the process name
	can be troublesome when using Linux Containers, for instance.

2011-09-06  Diego Elio Pettenò <flameeyes@flameeyes.eu>

	* libfreeipmi/src/Makefile.am: The -module option is used to tell
	libtool that the library is not to be used to link against, but
	only loaded at runtime, which is not the case for this library.

2011-08-29  Albert Chu <chu11@llnl.gov>

	* Support Supermicro X9SCL and X9SCM OEM sensors.

2011-08-29  Albert Chu <chu11@llnl.gov>

	* Merge from branch dcmiupdate.  Make additions in DCMI v1.5 specification.

2011-08-25  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/: Support
	IPMI_SENSOR_READ_FLAGS_IGNORE_SCANNING_DISABLED sensor-read
	workaround flag.

	* ipmi-sensors/: Support 'ignorescanningdisabled' workaround
	option.

2011-08-09  Albert Chu <chu11@llnl.gov>

	* bmc-watchdog/bmc-watchdog.logrotate: Reduce logrotate output spam.

2011-07-20  Arnaud Quette <arnaud.quette@free.fr>

	* ipmi-fru/src/ipmi-fru-output.c: Fix typo.

2011-07-11  Albert Chu <chu11@llnl.gov>

	* Support Supermicro X8SIL-F OEM Sensors.

2011-06-30  Albert Chu <chu11@llnl.gov>

	* ipmi-fru/src/ipmi-fru-output.c (_output_field): Remove cut and
	paste duplicate code.

2011-06-29  Arnaud Quette <arnaud.quette@free.fr>

	* configure.ac, Makefile.am: fix m4 macro reference for libtoolize.
	This allows to call the system provided 'autoreconf' instead of autogen.sh

2011-06-29  Arnaud Quette <arnaud.quette@free.fr>

	* configure.ac: fix indentation inconsistencies, remove extraneous spaces
	and escape single quotes that break some color highlighting systems.

2011-06-30  Arnaud Quette <arnaud.quette@free.fr>

	* configure.ac: add AM_PROG_CC_C_O, needed for per-target flags
	  (ipmipower/src/Makefile.am and ipmipower/src/argv.c)

2011-06-29  Albert Chu <chu11@llnl.gov>

	* freeipmi.spec.in: Add pkg-config files.

2011-06-28  Arnaud Quette <arnaud.quette@free.fr>

	* Add pkg-config support for all FreeIPMI libraries.

2011-05-31  Albert Chu <chu11@llnl.gov>

	* Fix typo globally, IPMI_CMD_DCMI_GET_DCMI_CAPABILITIY_INFO to
	IPMI_CMD_DCMI_GET_DCMI_CAPABILITY_INFO.

2011-05-24  Holger Liebig <holger.liebig@ts.fujitsu.com>

	* ipmi-dcmi/src/ipmi-dcmi.c: Fix asset tag/string identifier
	overwriting bug.  Update to handle setting asset tag and
	management identifier string according to DCMI v1.5 spec.

2011-05-18  Albert Chu <chu11@llnl.gov>

	* bmc-config/bmc-config.8.pre.in: Add additional troubleshooting
	information.

2011-05-12  Holger Liebig <holger.liebig@ts.fujitsu.com>

	* ipmi-dcmi/src/ipmi-dcmi-argp.c: Fix command line parsing bug.

2011-05-04 Albert Chu <chu11@llnl.gov>

	* Update documents and comments with additional motherboard
	workaround information.

2011-04-27 Albert Chu <chu11@llnl.gov>

	* common/src/miscutil/: Remove unnecessary locking calls.

2011-04-18 Albert Chu <chu11@llnl.gov>

	* libipmiconsole/: Support convenience functions for determining
	whether user inputs are valid or not.

2011-04-18 Albert Chu <chu11@llnl.gov>

	* libipmiconsole/src/ipmiconsole.h: Update comments to show
	support for cipher suite id 17.

2011-04-07 Albert Chu <chu11@llnl.gov>

	* Add Intel SR1625/S5500WB OEM SEL interpration.

	* libfreeipmi/src/interpret/ipmi-interpret.c: Support
	interpretations of OEM sensor types w/ generic event/reading type
	codes.

2011-04-06 Albert Chu <chu11@llnl.gov>

	* Add Intel SR1625 OEM sensor interpretation.

2011-04-05 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/src/drivers/: Support SPIN_POLL option for faster
	inband IPMI under certain circumstances.  Timeout after a
	consistent time rather than a poll-attempted guess.

	* libfreeipmi/src/api/ipmi-api.c: Adjust default polling interval
	for KCS.

	* Support "spinpoll" workaround for all tools and libipmimonitoring.

2011-04-01 Albert Chu <chu11@llnl.gov>

	* Support additional sensor and sel interpretations.

2011-03-31 Albert Chu <chu11@llnl.gov>

	* Support "discretereading" in libipmimonitoring.

2011-03-29 Albert Chu <chu11@llnl.gov>

	* common/src/parsecommon/, ipmi-sensors/,
	libfreeipmi/src/sensor-read/: Support new "discretereading"
	workaround in ipmi-sensors.

2011-03-29 Albert Chu <chu11@llnl.gov>

	* doc/freeipmi-hostrange.txt: Fix some English.

2011-03-22 Albert Chu <chu11@llnl.gov>

	* Support package version string in libfreeipmi.

2011-03-16 Albert Chu <chu11@llnl.gov>

	* Support package version number macros in libfreeipmi.

2011-03-16 Albert Chu <chu11@llnl.gov>

	* libipmiconsole/: Slightly alter mechanism for selecting standard
	defaults vs. config file defaults.

	* libipmiconsole/: Fix bug where an empty string k_g key (e.g. "")
	would not overwrite the default k_g key specified in a config
	file.

	* libipmiconsole/src/ipmiconsole.c (ipmiconsole_ctx_create): Force
	ipmiconsole_engine_init() to be called prior to creating a
	context.

	* common/src/parsecommon/: Fix assert corner case.

2011-03-14 Albert Chu <chu11@llnl.gov>

	* Support library version numbers in libfreeipmi, libipmiconsole,
	libipmidetect, and libipmimonitoring.

2011-03-11 Albert Chu <chu11@llnl.gov>

	* common/src/parsecommon/parse-common.h,
	common/src/parsecommon/parse-common.c,
	common/src/toolcommon/tool-cmdline-common.c: Support ability to
	configure "none" workaround flags.  May be useful for overriding
	workaround flags configured in freeipmi.conf.

	* common/src/toolcommon/tool-cmdline-common.c (common_parse_opt):
	Fix bug in which workaround flags on the command line may not
	overwrite config file workaround flags.

	* ipmipower/src/ipmipower_prompt.c (_cmd_workaround_flags):
	Support ability to reconfigure workaround flags to 'none' via
	ipmipower prompt.

	* ipmipower/src/ipmipower_prompt.c (_cmd_config): Fix
	workaround-flags config output bug.

2011-03-10 Albert Chu <chu11@llnl.gov>

	* bmc-info/: Handle additional error conditions within Get System
	Info Parameter calls.

2011-03-09 Albert Chu <chu11@llnl.gov>

	* libipmiconsole/src/ipmiconsole_ctx.c
	(__ipmiconsole_ctx_connection_cleanup): Only call the callback if
	an error occurred during a session submission, not if an error
	occurred in API land.

2011-03-08 Albert Chu <chu11@llnl.gov>

	* libipmiconsole/src/ipmiconsole_engine.c,
	libipmiconsole/src/ipmiconsole_garbage_collector.c: Add
	mutex/conditional to protect against theoretical race between
	engine and garbage collector on teardown.

	* configure.ac: Increment library revision.

2011-02-24 Albert Chu <chu11@llnl.gov>

	* ipmi-oem/src/ipmi-oem-intel.c: Fix portability bug to Solaris 10.

2011-02-21 Albert Chu <chu11@llnl.gov>

	* Documentation Dell Poweredge R210 OEM sensor.

	* libfreeipmi/src/interpret/ipmi-interpret-config-sensor.c: Fix
	Dell OEM default bug.

2011-02-18 Albert Chu <chu11@llnl.gov>

	* common/man/manpage-common-entity-sensor-names.man: Fix
	formatting error.

2011-02-18 Albert Chu <chu11@llnl.gov>

	* Overwrite symlinks during make install.

2011-02-17 Albert Chu <chu11@llnl.gov>

	* bmc-config/src/bmc-config-user-sections.c (username_commit):
	Handle corner case in which motherboard does not allow
	configuration of identical username.

2011-02-17 Albert Chu <chu11@llnl.gov>

	* Support Supermicro X7DBR-3 OEM Sensors.

2011-02-17 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/src/interpret/: Support Dell Module/Board OEM sensor
	interpretation.

2011-02-17 Albert Chu <chu11@llnl.gov>

	* contrib/ganglia/ganglia_ipmi_sensors.pl,
	contrib/nagios/nagios_ipmi_sensors.pl: Do not exit out if an error
	occurs, an error could have occurred if one node out of a
	hostrange fails.

2011-02-17 Albert Chu <chu11@llnl.gov>

	* Support Supermicro X8DT3-LN4F motherboard.

2011-02-14 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/src/sdr-cache/ipmi-sdr-cache-create.c
	(_sdr_cache_record_write): Fix compliance bug on HP Proliant
	DL585G7.

2011-02-04 Christopher Maestas <cdmaestas@gmail.com> and Albert Chu <chu11@llnl.gov>

	* contrib/ganglia/ganglia_ipmi_sensors.pl: Support new -r option.

2011-02-01 Albert Chu <chu11@llnl.gov>

	* bmc-watchdog/src/bmc-watchdog.c (_deamon_cmd_error_exit): Fix
	typo, rename to 'deamon' to 'daemon'.  Fix elsewhere
	appropriately.

	* bmc-watchdog/src/bmc-watchdog.c (_daemon_setup, _daemon_cmd):
	Call _bmclog() and exit(1) instead instead of _err_exit().

2011-01-28 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/include/freeipmi/spec/ipmi-comp-code-spec.h: Fix
	spelling typo.

2011-01-28 Albert Chu <chu11@llnl.gov>

	* doc/freeipmi-faq.texi: Add additional info on determining if
	your system has IPMI support.

2011-01-27 Albert Chu <chu11@llnl.gov>

	* bmc-info/: Support motherboards that don't implement Get Device
	Guid.

2011-01-27 Albert Chu <chu11@llnl.gov>

	* Support Supermicro X8DTL-3F.

2011-01-27 Albert Chu <chu11@llnl.gov>

	Various ipmi-locate fixes based on user comments

	* common/man/manpage-common-troubleshooting.man: Add "driver
	timeout" error description.

	* ipmi-locate/ipmi-locate.8.pre.in: Add text on how ipmi-locate
	can be used.

	* doc/freeipmi-faq.texi: Add info on determining if your system
	has IPMI.

	* ipmi-locate/src/ipmi-locate.c: Fix error message output for
	clarity.

2011-01-24 Albert Chu <chu11@llnl.gov>

	* ipmi-sensors/, libfreeipmi/: Support ignore unrecognized events
	capability.

2011-01-24 Albert Chu <chu11@llnl.gov>

	* ipmi-oem/ipmi-oem.8.pre.in: Document what is wrtten to eeprom to
	clear them.

2011-01-20 Albert Chu <chu11@llnl.gov>

	* configure.ac, NEWS: Update for 1.0.1 release.

	* Fix a few more documentation typos.

	* doc/freeipmi-design.txt: New document.

	* doc/freeipmi-coding.txt: Split out information into
	freeipmi-design.txt, tweak text.

2011-01-19 Albert Chu <chu11@llnl.gov>

	* libipmiconsole/src/ipmiconsole.h: Fix comment typos/English.

2011-01-18 Albert Chu <chu11@llnl.gov>

	* ipmi-sensors/src/ipmimonitoring.in: Fix portability.

2011-01-18 Albert Chu <chu11@llnl.gov>

	* ipmipower/src/Makefile.am: Fix build error.

2011-01-18  Holger Liebig <holger.liebig@ts.fujitsu.com>

	* common/src/toolhostrange/Makefile.am: Fix build error.

2011-01-18 Albert Chu <chu11@llnl.gov>

	* ipmi-dcmi/: Fix UTF-8 corner case.

2011-01-13 Albert Chu <chu11@llnl.gov>

	* ipmi-sensors/: Support --ipmimonitoring-legacy-output.

2011-01-12 Albert Chu <chu11@llnl.gov>

	* common/man/: Fix some manpage typos.

2011-01-11 Albert Chu <chu11@llnl.gov>

	* ipmi-dcmi/, libfreeipmi/include/freeipmi/cmds/ipmi-dcmi-cmds.h,
	libfreeipmi/src/cmds/ipmi-dcmi-cmds.c: Update asset-tag getting
	and setting based on 1.1 errata.

2011-01-10 Albert Chu <chu11@llnl.gov>

	* ipmi-dcmi/, libfreeipmi/include/freeipmi/cmds/ipmi-dcmi-cmds.h,
	libfreeipmi/src/cmds/ipmi-dcmi-cmds.c: Various DCMI updates for
	1.1 spec and 1.1 errata.

2011-01-03 Albert Chu <chu11@llnl.gov>

	* doc/: Fix typos.

	* contrib/ganglia/: Fix temperature, rpm, voltage reporting corner case.

2010-12-14 Albert Chu <chu11@llnl.gov>

	* ipmi-oem/: Fix Intel Node Manager corner cases.

2010-12-13 Albert Chu <chu11@llnl.gov>

	* ipmi-oem/: Support basic Intel Node Manager commands.

	* libfreeipmi/: Code re-org on Intel Node Manager code.

2010-12-09 Albert Chu <chu11@llnl.gov>

	* ipmi-sensors/: Support Intel Node Manager sensors.

2010-12-08 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/: Add initial Intel Node Manager support.

2010-12-02 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/src/fru-parse/: Fix leap year calculation bug.

2010-12-01 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/src/interpret/: Support ability to configure
	interpretation of out of spec sensor events and sel events.

2010-11-18 Albert Chu <chu11@llnl.gov>

	* bmc-config/: Re-do lan/serial_user_session_limit workaround to
	work for multi-channel.

2010-11-18 Albert Chu <chu11@llnl.gov>

	* bmc-config/: Fix bug in HP DL145 RMCPplus workaround.

2010-11-17 Albert Chu <chu11@llnl.gov>

	* bmc-config/: Fix bug in HP DL145 RMCPplus privilege key.

2010-11-17 Albert Chu <chu11@llnl.gov>

	* Remove CONFIG_ERR_NON_FATAL_ERROR_REQUIRED_FIELD_NOT_FOUND error
	code, does not function is initially required.

	* bmc-config/: Output error message directly instead of using
	CONFIG_ERR_NON_FATAL_ERROR_REQUIRED_FIELD_NOT_FOUND.

2010-11-17 Albert Chu <chu11@llnl.gov>

	* common/src/configtool/: Support new
	CONFIG_ERR_NON_FATAL_ERROR_REQUIRED_FIELD_NOT_FOUND error code.

	* bmc-config/: Fix workaround for HP DL145 RMCPplus privilege
	key configuration when commiting privilege changes.

2010-11-17 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/include/freeipmi/spec/ipmi-privilege-level-spec.h:
	Define IPMI_PRIVILEGE_LEVEL_UNSPECIFIED.

2010-11-16 Albert Chu <chu11@llnl.gov>

	* bmc-config/: Cleanup cipher suite id loading and caching code.

	* bmc-config/: Support workaround of HP DL145 RMCPplus privilege
	key configuration.

2010-11-16 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/src/interpret/: Support ability to configure
	interpretation when no sensor event occurs, rather than assuming
	it is always Nominal.

2010-11-15 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/src/interpret/: Support OEM bitmask configuration of
	event bitmask 0 as a special case to cover case in which sensor
	event bitmask is 0.

	* libfreeipmi/src/interpret/: Have Dell Power Optimized sensor
	report Nominal if no event occurs.

2010-11-15 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/src/interpret/: Support different format for OEM
	configuration.  Support multiple manufacturer/product ids to be
	specified for an interpretation.

	* Support Supermicro X8DTU-6+ OEM sensor interpretations.

2010-11-11 Albert Chu <chu11@llnl.gov>

	* Create 'ipmi-detect' symlink and manpage to link to 'ipmidetect'.

	* freeipmi.spec.in: Update appropriately for updates/changes.

2010-11-11 Albert Chu <chu11@llnl.gov>

	Branch 'reorg'.

	* Re-org code base for consistency in code tree.

	* examples/: New directory.

	* ipmimonitoring/src/examples/: Remove directory, move files to
	examples/.

	* libipmimonitoring/: New directory.

	* ipmimonitoring/src/libipmimonitoring/: Remove directory, move to
	libipmimonitoring/.

	* libipmiconsole/: New directory.

	* ipmiconsole/src/libipmiconsole/: Remove directory, move to
	libipmiconsole/.

	* ipmiconsole/src/ipmiconsole/: Remove directory, move source to
	ipmiconsole/src/.

	* libipmidetect/: New directory.

	* ipmidetect/src/libipmidetect/: Remove directory, move source to
	libipmidetect/.

	* ipmidetectd/: New directory.

	* ipmidetect/src/ipmidetectd/: Remove directory, move source to
	ipmidetectd/.

	* ipmidetect/src/ipmidetect/: Remove directory, move source to
	ipmidetect/src/.

2010-11-11 Albert Chu <chu11@llnl.gov>

	* Create 'ipmi-power' symlink and manpage to link to 'ipmipower'.

	* Create 'ipmi-ping' symlink and manpage to link to 'ipmiping'.

	* Create 'rcmp-ping' symlink and manpage to link to 'rcmpping'.

	* Create 'ipmi-console' symlink and manpage to link to 'ipmiconsole'.

	* freeipmi.spec.in: Update appropriately for updates/changes.

2010-11-10 Albert Chu <chu11@llnl.gov>

	Branch serialnulping

	* ipmiconsole/src/libipmiconsole/: Support serial keepalive.

	* ipmiconsole/: Support --serial-keepalive option.

2010-11-05 Albert Chu <chu11@llnl.gov>

	* common/src/toolcommon/tool-cmdline-common.h,
	common/src/toolcommon/tool-cmdline-common.c
	(verify_common_cmd_args_inband, verify_common_cmd_args_outofband):
	New functions.

	* common/src/toolcommon/tool-cmdline-common.c
	(verify_common_cmd_args): Re-arch to use new functions.

	* ipmipower/src/ipmipower_argp.c (_ipmipower_args_validate,
	ipmipower_argp_parse): Re-arch to use new functions and reduce
	duplicate code.

	* Globally, support special case handling if user inputs a k_g key
	of 0.  Is possible with hex input (e.g. -k 0x00).

2010-11-05 Albert Chu <chu11@llnl.gov>

	* common/src/parsecommon/: New common code library.

	* ipmiconsole/: Support libipmiconsole.conf file.  Support default
	of 4 threads.  Increase k_g buffer size to max + 1.

2010-11-05  Albert Chu <chu11@llnl.gov>

	* Support Supermicro X8DTU-6+ OEM sensors.

2010-11-02  Albert Chu <chu11@llnl.gov>

	* ipmi-sel/: Fix output corner case for N/A outputs.

2010-10-22  Albert Chu <chu11@llnl.gov>

	* ipmi-sel/: Fix corner case with --output-oem-event-strings, did
	not work with OEM record types.

2010-10-21  Albert Chu <chu11@llnl.gov>

	* ipmi-sel/: Fix corner case, --output-oem-event-strings does not
	require --interpret-oem-data.

2010-10-21  Holger Liebig <holger.liebig@ts.fujitsu.com>

	* libfreeipmi/src/sel-parse/ipmi-sel-parse-string-fujitsu.c: Fix
	error message corner case.

2010-10-20  Albert Chu <chu11@llnl.gov>

	* Code cleanup for consistency to FreeIPMI code style.

	* Re-work OEM SEL interpretations to not call Fujitsu Get SEL
	Entry Long Text for every event.

	* ipmi-sel/: Support --output-oem-event-string.

2010-10-20  Holger Liebig <holger.liebig@ts.fujitsu.com>

	* Add initial Fujitsu OEM sensor and SEL support.

2010-10-19 Albert Chu <chu11@llnl.gov>

	* Rename IPMI_COMP_CODE_REQUEST_SENSOR_DATA_OR_RECORD_NOT_PRESENT
	to IPMI_COMP_CODE_REQUESTED_SENSOR_DATA_OR_RECORD_NOT_PRESENT
	globally.

	* libfreeipmi/src/sensor-read/: For
	IPMI_COMP_CODE_REQUESTED_SENSOR_DATA_OR_RECORD_NOT_PRESENT
	completion code, return sensor unavailable rather than sensor
	cannot be obtained.

2010-10-14 Albert Chu <chu11@llnl.gov>

	* man/: Update workaround flags options.

	* ipmiconsole/src/libipmiconsole/ipmiconsole.h: Fix comment typo.

2010-10-13 Albert Chu <chu11@llnl.gov>

	* bmc-config/: Have IPv4 parameters commented out by default.

2010-10-12 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/: Support RMCP port configuration.

	* bmc-config/: Support RMCP port configuration.

2010-10-11 Albert Chu <chu11@llnl.gov>

	* libfreeipmi/: Support LAN ipv4 header parameters configuration.

	* bmc-config/: Support LAN ipv4 header parameters configuration.

	* bmc-config/: Move vlan output to only under verbose mode.

2010-09-23  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/src/sdr-cache/ipmi-sdr-cache-create.c
	(_sdr_cache_get_record): Improve SDR caching speed.

2010-09-17  Albert Chu <chu11@llnl.gov>

	* Globally re-architect to split workaround flags into inband,
	outofband, and outofband 2.0 workaround flags.  Re-architect will
	save bits for future workarounds and possible future expansion
	(e.g. protocol 3.0, etc.).

2010-09-15  Albert Chu <chu11@llnl.gov>

	* Support 'assumeio' inband workaround.

2010-09-14  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/src/sel-parse/: Support Intel NM OEM sensor names.

	* Probe for Intel NM SDR entry as necessary.

2010-09-13  Albert Chu <chu11@llnl.gov>

	* ipmi-oem/: Move some OEM commands from Dell to Inventec.  What
	was thought to be Dell additions was in fact not.

2010-09-13  Albert Chu <chu11@llnl.gov>

	* Support Intel NM SEL events for all motherboards.

2010-09-13  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/src/api/ipmi-api.c (ipmi_ctx_open_inband): Fix
	fallthrough error corner case.

2010-09-08  Albert Chu <chu11@llnl.gov>

	Merge from intels5500wb branch.

	* Add Intel S5500WB OEM SEL support.

	* Re-arch some sel-parse code for performance.

	* libfreeipmi/src/sel-parse/ipmi-sel-parse.c: Fix event_data1
	parsing bug.

	* ipmi-oem/: Add Intel restore-configuration, get-smtp-config, and
	set-smtp-config support.

	* Various minor code fixes.

2010-09-07  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/include/freeipmi/spec/ipmi-comp-code-spec.h: Fix
	macro names for consistency to other parts of FreeIPMI.

	* Adjust remaining code throughout for consistency.

2010-09-01  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/include/freeipmi/spec/ipmi-cmd-oem-spec.h: Fix typo
	in macro.

2010-08-31  Albert Chu <chu11@llnl.gov>

	* ipmi-oem/: Support inventec restore-to-defaults.

	* Document more inventec oem additions.

2010-08-31  Albert Chu <chu11@llnl.gov>

	* ipmi-sensors/src/ipmi-sensors-detailed-output.c
	(_detailed_output_event_enable): Gracefully handle
	IPMI_COMP_CODE_COMMAND_RESPONSE_COULD_NOT_BE_PROVIDED error.

2010-08-25  Albert Chu <chu11@llnl.gov>

	* ipmi-oem/: Support Quanta get/set-nic-mode,
	get/set-bmc-services, get-account-status, get/set-dns-config,
	get/set-web-server-config, get/set-power-management-config,
	get/set-sol-idle-timeout, get/set-telnet-ssh-redirect-status,
	read/write-mac-address.

	* ipmi-oem/: Support get/set-telnet-ssh-redirect-status for
	inventec.

2010-08-24  Albert Chu <chu11@llnl.gov>

	* ipmi-oem/: Fix and support inventec get-account-status.

	* Fix typos: TS12 -> FS12 motherboard.

	* ipmi-oem/: Support Inventec get/set-sol-idle-timeout.  Implement
	get/set-telnet-ssh-redirect-status.

	* ipmi-oem/: Fix range checking on parameter inputs.

	* ipmi-oem/: Fix and support Inventec get/set-dns-config.

2010-08-23  Albert Chu <chu11@llnl.gov>

	* ipmi-oem/: Implement inventec get-account-status,
	get-dns-config, and set-dns-config.  Fix variable argument help
	output bug.

2010-08-23  Albert Chu <chu11@llnl.gov>

	* ipmi-dcmi/: Support --set-asset-tag,
	--get-management-controller-identifier-string, and
	--set-management-controller-identifier-string.

2010-08-23  Albert Chu <chu11@llnl.gov>

	* bmc-watchdog/, bmc-device/: Fix some documentation
	typos/inconsistencies.

2010-08-20  Albert Chu <chu11@llnl.gov>

	* Support DCMI 1.1 Specification.  Re-org various code for
	consistency to DCMI 1.1 specification organization.

2010-08-20  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/src/api/ipmi-lan-session-common.c
	(_ipmi_lan_2_0_cmd_wrapper_verify_packet): Fix error check corner
	case.

2010-08-18  Albert Chu <chu11@llnl.gov>

	* ipmi-oem/: Tweak Fujitsu get-sel-entry-long-text based on
	comments by Holger Liebig.  Other minor tweaks for code
	consistency.

2010-08-18  Dan Lukes <dan+freeipmi@obluda.cz>

	* ipmi-oem/: Fix for bugs in Fujitsu get-sel-entry-long-text OEM
	command.

2010-08-18  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/src/debug/,
	common/man/manpage-common-cipher-suite-id-details.man: Add SHA256
	support.

	* Variety of mods to remove compiler warnings.

2010-08-18  Holger Liebig <holger.liebig@ts.fujitsu.com>

	* Add SHA256 support globally.

2010-08-17  Albert Chu <chu11@llnl.gov>

	* ipmi-oem/: Re-format Fujitsu get-sel-entry-long-text for
	consistency to remaining ipmi-oem code.  Re-work to go through
	multiple iterations.

	* Add manpage entry for Fujitsu get-sel-entry-long-text OEM
	command.

2010-08-17  Dan Lukes <dan+freeipmi@obluda.cz>

	* ipmi-oem/: Support Fujitsu get-sel-entry-long-text OEM command.

2010-08-13  Albert Chu <chu11@llnl.gov>

	* ipmi-oem/: Various code consistency cleanup.

	* libfreeipmi/include/freeipmi/spec/: Various filename and macro
	name changes for consistency to IPMI spec.

	* Various code cleanup.

2010-08-12  Albert Chu <chu11@llnl.gov>

	* ipmimonitoring/: Update examples and library comments.

	* ipmidetect/ipmidetectd.init: Fix for /etc/freeipmi/

2010-08-11  Albert Chu <chu11@llnl.gov>

	* Move config files to /etc/freeipmi/.  Support legacy config
	files.

	* Fix distcheck bugs.

2010-08-11  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/: Support Chassis Boot Option Boot Initiator Info
	and Boot Initiator Mailbox.

	* libfreeipmi/: Re-work Chassis Boot Option configs to support
	valid/invalid parameter config on parameters.

	* ipmi-chassis-config/: Set don't clear valid bits after setting
	boot flags.

	* config/ac_ipmipower_config_file.m4: New file.

	* config/ac_ipmiconsole_config_file.m4: New file.

	* configure.ac: Calculate ipmipower.conf and ipmiconsole.conf
	legacy conf files via configure.

	* ipmipower/, ipmiconsole/: Use macros from autoconf instead of
	hard defined default conf locations.

	* ipmidetect/ipmidetect.conf: Add example file.

	* freeipmi.spec.in: Update appropriately for distribution changes.

	* Various code cleanup.

2010-08-09  Albert Chu <chu11@llnl.gov>

	* Convert Repo to Subversion.

2010-08-06  Albert Chu <chu11@llnl.gov>

	* ipmi-sel/ipmi-sel.8.pre.in, ipmi-fru/ipmi-fru.8.pre.in: Cleanup
	and re-format a bit.

2010-08-06  Albert Chu <chu11@llnl.gov>

	* Fix SOL_Retry_Count validation bug.

	* ipmipower/src/: Fix workaround flag config output corner case.

	* Support bmc-config 'solchannelassumelanchannel' workaround.

	* common/man/manpage-common-config-tool-options-sol-channel-number.man: Fix text.

2010-08-06  Albert Chu <chu11@llnl.gov>

	* freeipmi.spec.in: Update for payload dir.

	* Fix --enable-rawumps corner cases.

	* Fix SOL single-channel corner case.

2010-08-05  Albert Chu <chu11@llnl.gov>

	* Support --enable-rawdumps compile option.

2010-08-05  Albert Chu <chu11@llnl.gov>

	* common/src/configtool/: Support 'veryslowcommit' workaround in
	config tools for very slow BMCs.

	* bmc-config/: Fix multi-channel corner cases.

	* common/man/: Update very verbose description case in config tools.

2010-08-03  Albert Chu <chu11@llnl.gov>

	* ipmimonitoring/src/libipmimonitoring/, ipmi-sel/, bmc-device/:
	Fix corner case with time calculating and daylight savings.

2010-08-02  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/src/api/, ipmipower/,
	ipmiconsole/src/libipmiconsole/: Revert OPEN_SESSION_PRIVILEGE
	rework done on 2010-07-13.  Change is unnecessary.

2010-08-02  Albert Chu <chu11@llnl.gov>

	* tagged pre_multi_channel_config

 	* libfreeipmi/src/util/ipmi-channel-util.c
 	(ipmi_get_channel_numbers): New function.

 	* libfreeipmi/src/util/ipmi-channel-util.c: Re-arch/cleanup for
 	new functionality.

 	* common/man/manpage-common-config-tool-options-verbose.man,
 	common/man/manpage-common-config-tool-options-very-verbose.man:
 	New files.

 	* common/man/manpage-common-config-tool-options.man: Split out
 	verbose option appropriately.

 	* Adjust config tool manpages appropriately.

 	* common/src/configtool/config-tool-checkout.c: If user specifies
 	keypairs, don't output section comments.

 	* common/src/configtool/: Introduce CONFIG_DO_NOT_LIST flag.  Only
 	do not show sections with this flag when --list is done.

 	* common/src/configtool/, bmc-config/: Make verbose output only
 	for extra sections & fields.  Make very verbose output only for
 	info on why fields were/were not readable/writeable/etc.

 	* bmc-config/src/: Show all sections that can be checked out,
 	including verbose ones when -v isn't specified.

 	* bmc-config/src/: If CONFIG_DO_NOT_CHECKOUT is specified for an
 	entire section, do not force CONFIG_DO_NOT_CHECKOUT if user
 	specifies section on command line.  Do not force
 	CONFIG_DO_NOT_CHECKOUT if user specifies key-pair on the command
 	line.

 	* bmc-config/, ipmi-pef-config/: Support new configuration fields
 	and sections for multi-channel configuration support.

 	* Various code cleanup.

	* tagged post_multi_channel_config

2010-07-29  Albert Chu <chu11@llnl.gov>

	* Split off SOL payloads into new files and outside of
	SOL-Commands.

2010-07-28  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/: Support Chassis Boot Options, Lan Configuration
	Parameters, Serial/Modem Configuration, SOL Configuration
	Parameters, System Info Parameters, and PEF Configuration
	Parameters Set In Progress.

	* Fix some template bugs/typos.

2010-07-27  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/: Support Chassis Service Partition Selector and
	Chassis Service Partition Scan templates, functions, etc.

	* Various cleanup.

2010-07-23  Albert Chu <chu11@llnl.gov>

	* doc/freeipmi-faq.texi: Update with x86-64 build instructions and
	libgcrypt information.

2010-07-22  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/src/sel-parse/: Workaround compliance issue in
	Supermicro H8QME.

2010-07-22  Albert Chu <chu11@llnl.gov>

	* ipmimonitoring/src/libipmimonitoring/: Fix seg-fault corner case.

	* ipmimonitoring/src/libipmimonitoring/: Support ability to read
	SEL sensor numbers.  Fix sensor number reading corner case.

	* ipmimonitoring/src/examples/: Output sensor number in examples.

2010-07-21  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/src/sel-parse/: Fix corner case, do not error out if
	SEL is empty.

2010-07-13  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/src/api/, ipmipower/,
	ipmiconsole/src/libipmiconsole/: Re-work OPEN_SESSION_PRIVILEGE
	workaround to handle an additional OPEN_SESSION_PRIVILEGE corner
	case.

2010-07-13  Albert Chu <chu11@llnl.gov>

	* Various documentation updates.

2010-07-12  Albert Chu <chu11@llnl.gov>

	* ipmi-oem/: Support Supermicro get-bmc-services-status and
	set-bmc-services-status.

2010-07-12  Albert Chu <chu11@llnl.gov>

	* Various documentation updates.

2010-07-08  Albert Chu <chu11@llnl.gov>

	* ipmi-oem/: Uncomment Quanta reset-to-defaults commands, is now
	functional w/ proper documentation.

2010-07-08  Dick Detweiler <Dick.Detweiler@Emerson.com>

	* common/src/pingtool/ping-tool-common.c (_cmdline_parse): Fix
	casting bug.

2010-07-08  Albert Chu <chu11@llnl.gov>

	* bmc-config/bmc-config.8.pre.in: Add small OEM config note.

2010-07-07  Albert Chu <chu11@llnl.gov>

	* ipmiconsole/src/libipmiconsole/ipmiconsole_packet.c
	(ipmiconsole_packet_unassemble): On several errors, assume
	malformed packet, not internal error.

2010-07-07  Albert Chu <chu11@llnl.gov> & Anonymous Avocent Developer

	* ipmiconsole/src/libipmiconsole/ipmiconsole_processing.c
	(_sol_bmc_to_remote_console_packet,
	_process_protocol_state_sol_session_receive): If SOL is
	deactivating, don't bother sending Deactivate Payload command,
	simply close session.

2010-07-06  Albert Chu <chu11@llnl.gov>

	* configure.ac: Support --without-random-device.

2010-07-02  Albert Chu <chu11@llnl.gov>

	* Fix compile bug w/ macro renaming.

2010-07-01  Albert Chu <chu11@llnl.gov>

	* Prefix macros not intended to be used by users.

2010-06-30  Albert Chu <chu11@llnl.gov>

	* Support Supermicro X8DTU motherboard product id.

2010-06-30  Albert Chu <chu11@llnl.gov>

	* bmc-config/, ipmi-pef-config/, common/src/configtool/: Support
	--lan-channel-number, --serial-channel-number.

2010-06-30  Albert Chu <chu11@llnl.gov>

	* Fix manpage consistency throughout.

2010-06-30  Jan Safranek <jsafrane@redhat.com>

	* ipmidetect/src/ipmidetectd/ipmidetectd_config.c: Fix parsing of
	unknown arguments.
<
2010-06-28  Albert Chu <chu11@llnl.gov>

	* bmc-watchdog/: Fix "ignorestateflag" workaround for more corner
	cases.

2010-06-22  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/src/util/ipmi-channel-util.c: Fix legacy corner
	case.

2010-06-17  Albert Chu <chu11@llnl.gov>

	* bmc-watchdog/: Fix --version option.

2010-06-15  Albert Chu <chu11@llnl.gov>

	* bmc-watchdog/: Support 'ignorestateflag' workaround.

2010-06-14  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/include/freeipmi/templates/ipmi-messaging-support-cmds-templates.h,
	libfreeipmi/src/cmds/ipmi-messaging-support-cmds.c: Modify template to ensure some fields
	that are required are actually optional.

2010-06-14  Albert Chu <chu11@llnl.gov>

	* Add 'slowcommit' workaround to config tools, to workaround BMCs
	that cannot take large amounts of data.

2010-06-11  Albert Chu <chu11@llnl.gov>

	* ipmimonitoring/: Support '%' as sensor units.

2010-06-11  Albert Chu <chu11@llnl.gov>

	* ipmimonitoring/src/libipmimonitoring/: Fix units output corner
	case.

2010-06-11  Albert Chu <chu11@llnl.gov>

	* Return 'privilege level cannot be obtained' error code when
	rmcpplus status of 'invalid role' returned.

2010-06-11  Albert Chu <chu11@llnl.gov>

	* Document issues with Intel S5500WBV/Penguin Relion 700
	motherboard.

2010-06-10  Albert Chu <chu11@llnl.gov>

	* doc/freeipmi-faq.texi: Fix URL to Conman.

2010-06-10  Albert Chu <chu11@llnl.gov>

	* Rename 'supermicro20b' to 'integritycheckvalue' and rework
	specifically on one issue, rather than a set of issues.

2010-06-09  Albert Chu <chu11@llnl.gov>

	* Fix ipmi-sensors output corner case in which percent was output
	as "% unspecified" instead of "%".

2010-06-07  Albert Chu <chu11@llnl.gov>

	* Fix 'supermicro20b' workaround in ipmiconsole.

2010-06-04  Albert Chu <chu11@llnl.gov>

	* Support 'supermicro20b' workaround in ipmipower,
	libipmimonitoring, and libipmiconsole.

2010-06-04  Albert Chu <chu11@llnl.gov>

	* Remove RAKP4 auto accept for intel20 workaround, should not
	accept if two part authentication cannot be completed.

2010-06-03  Albert Chu <chu11@llnl.gov>

	* Support supermicro20b workaround.

	* Document support appropriately.

2010-06-02  Albert Chu <chu11@llnl.gov>

	* Various documentation and comment updates.

2010-05-27  Albert Chu <chu11@llnl.gov>

	* Document workarounds and issues with Supermicro X8DTG
	motherboard.

	* common/man/manpage-common-troubleshooting.man: Update w/ inband
	troubleshooting.

	* common/man/manpage-common-troubleshooting-lan-only.man: New
	file.

	* ipmipower/, ipmiconsole/: Update manpages w/ lan-only
	troubleshooting.

2010-05-26  Frank Steiner (http://www.bio.ifi.lmu.de/~steiner/)

	* bmc-watchdog/freeipmi-bmc-watchdog.init: exit status from rc_
	functions is not returned by init script.

2010-05-25  Albert Chu <chu11@llnl.gov>

	* Support Supermicro X8DTG motherboard.

2010-05-21  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/src/interpret/: Support different SEL event
	interpretation on assertion vs. deassertion.  Various code
	cleanup.

	* libfreeipmi/: Various code cleanup.

2010-05-17  Albert Chu <chu11@llnl.gov>

	* ipmi-dcmi/, libfreeipmi/: Fix copyright headers on all DCMI
	related files.

2010-05-14  Albert Chu <chu11@llnl.gov>

	* ipmi-sensors/src/ipmimonitoring: Remove.

	* ipmi-sensors/src/ipmimonitoring.in: New file.

	* configure.ac, ipmi-sensors/src/Makefile.am: Fix portability
	install bug.

2010-05-14  Albert Chu <chu11@llnl.gov>

	* ipmi-oem/src/ipmi-oem-quanta.c: Fix minor bugs.

	* libfreeipmi/src/interpret/: Fix bitmask corner case.

	* libfreeipmi/src/util/: Fix bitmask corner case.

	* ipmi-pef-config/: Code cleanup, use macro instead of magic number.

2010-05-13  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/src/interpret/ipmi-interpret.c: Fix threshold sensor
	state interpretation corner case.

2010-05-13  Albert Chu <chu11@llnl.gov>

	* ipmi-oem/src/: Fix bitmask bug.

	* ipmi-oem/src/ipmi-oem-quanta.c: Add macro and output for
	Westmere-EP processor.

	* libfreeipmi/src/sel-parse/ipmi-sel-parse-string-quanta.c: Make
	DIMM output more detailed.

2010-05-12  Albert Chu <chu11@llnl.gov>

	* ipmimonitoring/: Various comment/documentation updates.

2010-05-11  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/include/freeipmi/spec/: Support Quanta S99Q/Dell
	FS12-TY OEM commands.

	* ipmi-oem/: Support Quanta S99Q/Dell FS12-TY OEM commands.

	* libfreeipmi/src/sel-parse/: Support Quanta S99Q/Dell FS12-TY OEM
	SEL events.

	* libfreeipmi/, ipmi-oem/: Minor cleanup.

2010-05-07  Albert Chu <chu11@llnl.gov>

	* ipmi-oem/src/ipmi-oem-ibm.c: Fix potential corner case.

2010-05-07  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/include/freeipmi/spec/ipmi-cmd-oem-spec.h: Fix macro
	typo.

2010-05-06  Albert Chu <chu11@llnl.gov>

	*common/src/configtool/config-tool-section.h,
	common/src/configtool/config-tool-section.c
	(config_sections_validate_keyvalue_inputs): Do not take
	value_input_required parameter.

	* bmc-config/, ipmi-pef-config/, ipmi-sensors-config/,
	ipmi-chassis-config/: Re-work for change in
	config_sections_validate_keyvalue_inputs.  Do not check value
	inputs when --checkout is specified since it is not necessary.

2010-05-05  Dave Love <fx@gnu.org>>

	* bmc-watchdog/bmc-watchdog.8.pre.in: Fix formatting.

2010-05-04  Albert Chu <chu11@llnl.gov>

	* Fix make distcheck.

2010-05-03  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/src/driver/ipmi-sunbmc-driver.c,
	libfreeipmi/src/driver/ipmi-openipmi-driver.c: Fix string
	concatentation bugs in error strings.

2010-05-03  Albert Chu <chu11@llnl.gov>

	Build sunbmc driver w/o bmc_intf.h being found.

	* COPYING.sunbmc: New file.

	* README.sunbmc: Removed.

	* libfreeipmi/src/driver/freeipmi_bmc_intf.h: New file.

	* libfreeipmi/src/driver/ipmi-sunbmc-driver.c: Adjusted appropriately.

	* configure.ac, freeipmi.spec.in, Makefile.am,
	doc/freeipmi-faq.texi: Adjusted appropriately.

	* libfreeipmi/src/driver/ipmi-sunbmc-driver.c
	(ipmi_sunbmc_ctx_io_init): Fix initialization corner case is
	putmsg interface is used over ioctl interface.

	* libfreeipmi/src/driver/ipmi-sunbmc-driver.c
	(_set_sunbmc_ctx_errnum_by_errno): Assume EINVAL errno is a system
	error (b/c system does not support ioctl).

	* libfreeipmi/src/driver/ipmi-sunbmc-driver.c
	(ipmi_sunbmc_ctx_errmsg): Fix string concat bug.

2010-05-03  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/: If sunbmc driver is not supported, report "device
	not supported" instead of "internal error".

2010-04-30  Albert Chu <chu11@llnl.gov>

	* configure.ac: Update library versions appropriately.

2010-04-30  Dave Love <fx@gnu.org>

	* ipmi-pef-config/src/Makefile.am (install-exec-hook): Don't use
	`cp -d'.

2010-04-29  Albert Chu <chu11@llnl.gov>

	* doc/: Update for Quanta S99Q/Dell FS12-TY.

	* bmc-config/: Work around node busy issues with Quanta S99Q/Dell
	FS12-TY.

2010-04-28  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/src/cmds/ipmi-lan-cmds.c
	(fill_cmd_set_lan_configuration_parameters_bad_password_threshold):
	Fix error check.

2010-04-28  Albert Chu <chu11@llnl.gov>

	* Rename dimm macros specifically for motherboard they work on.

	* Support Inventec 5442/Dell Xanadu III error codes and Dimms.

2010-04-27  Albert Chu <chu11@llnl.gov>

	* Rename "Xanadu2" to "Xanadu II" globally in documents, comments,
	and codeto be consistent to Dell product name.

	* Document/support Inventec 5442/Dell Xanadu III.

2010-03-22  Albert Chu <chu11@llnl.gov>

	* Various code cleanup, organizational cleanup, fix rpm building, etc.

2010-03-19  Albert Chu <chu11@llnl.gov>

	* ipmimonitoring/src/libipmimonitoring/: Support SEL monitoring.

	* ipmimonitoring/src/libipmimonitoring/: Support event/reading
	type code in sensor iterator.

	* ipmimonitoring/src/examples/: Add SEL monitoring example.

	* Various code cleanup.

	* Minor bug fixes.

2010-03-10  Albert Chu <chu11@llnl.gov>

	Merge sel_interpret_branch.

	* Add interpret sel support in interpret library to libfreeipmi.

	* libfreeipmi/src/sel-parse/: Do not require valid ipmi_ctx.
	Functions performing ipmi communication will simply error.

	* ipmi-sel/: Support --output-event-state option.

	* Consistently name interpret 'sensors' to 'sensor'.

	* Minor cleanup and minor fixes.

2010-03-08  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/src/interpret/ipmi-interpret.c (_get_sensor_state):
	Return UNKNOWN state if invalid sensor bitmask returned.

2010-03-03  Albert Chu <chu11@llnl.gov>

	* ipmi-sel/: Fix possible HP workaround bug.

2010-03-02  Albert Chu <chu11@llnl.gov>

	* ipmi-oem/: Fix column output for IBM get-led.

2010-03-02  Albert Chu <chu11@llnl.gov>

	* Fix Posix time portability globally.

2010-03-02  Albert Chu <chu11@llnl.gov>

	* ipmi-sel/: Support --date-range and --exclude-date-range.

2010-03-02  Albert Chu <chu11@llnl.gov>

	* ipmi-oem/: Uncomment IBM Get LED, verified.  Sensor search bug
	fix.

2010-03-01  Albert Chu <chu11@llnl.gov>

	* ipmi-oem/: Fix IBM Get LED.

2010-02-27  Albert Chu <chu11@llnl.gov>

	* ipmi-oem/: Add Dell Get Active LOM Status support.

2010-02-25  Albert Chu <chu11@llnl.gov>

	* ipmi-oem/: Add IBM get-led base code.

2010-02-21  Albert Chu <chu11@llnl.gov>

	* ipmi-sel/, common/src/toolcommon/: Support
	--output-manufacturer-id.  Alter OEM record output to align with
	columns by outputting "N/A" in appropriate fields and putting
	manufacturer ID in event output.

2010-02-19  Albert Chu <chu11@llnl.gov>

	* ipmi-sensors/: Ensure multiple event output strings separated by
	space in simple output.

2010-02-18  Albert Chu <chu11@llnl.gov>

	* ipmi-sensors/: Code cleanup.

2010-02-17  Albert Chu <chu11@llnl.gov>

	* ipmi-sensors/, common/src/toolsensor/, man/: Support numeric
	input for --sensor-types and --exclude-sensor-types.

	* common/src/, ipmi-sel/: Support --sensor-types and
	--exclude-sensor-types options.

2010-02-16  Albert Chu <chu11@llnl.gov>

	From pre_ipmimonitoring_to_ipmi_sensors_branch

	* ipmi-sensors/ipmimonitoring.8: New file.

	* ipmi-sensors/src/ipmimonitoring: New file.

	* ipmimonitoring/ipmimonitoring.8.pre.in: Remove file.

	* ipmimonitoring/src/ipmimonitoring/: Remove ipmimonitoring.

	* ipmimonitoring/src/examples/: Add ipmimonitoring-sensors example.

	* common/src/toolcommon/: Make ipmimonitoring config file options
	backwards compatible to ipmi-sensors.

	* common/src/toolsensor/: Code cleanup given changes.

	* etc/, doc/, man/: Update appropriately for changes.

	* configure.ac: Update appropriately for changes.

2010-02-16  Albert Chu <chu11@llnl.gov>

	* ipmi-sensors/src/ipmi-sensors-simple-output.c
	(_simple_output_full_record): Fix comma separated output corner
	case.

2010-02-12  Albert Chu <chu11@llnl.gov>

	* ipmi-sensors-config/ipmi-sensors-config.8.pre.in,
	libfreeipmi/libfreeipmi.3.pre.in: Fix typos, pef-config to
	ipmi-pef-config.

	* doc/freeipmi-hostrange.txt: Add some option info.

2010-02-11  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/src/api/ipmi-lan-session-common.c
	(_ipmi_lan_2_0_cmd_wrapper_verify_packet): Fix session sequence
	number wrap around corner case.

2010-02-11  Albert Chu <chu11@llnl.gov>

	* ipmimonitoring/src/libipmimonitoring: Fix sensor naming.

	* ipmimonitoring/src/libipmimonitoring/ipmi_monitoring_bitmasks.h:
	New file.

	* freeipmi.spec.in: Update appropriately.

2010-02-10  Albert Chu <chu11@llnl.gov>

	* ipmimonitoring/libipmimonitoring.3.pre.in: Update for recent
	changes.

	* ipmimonitoring/src/libipmimonitoring/: Code cleanup.

2010-02-09  Albert Chu <chu11@llnl.gov>

	* common/src/toolsensor/, ipmi-sensors/, ipmimonitoring/,
	ipmi-sel/: Various code cleanup.

	* common/src/toolhostrange/pstdout.h,
	common/src/toolhostrange/pstdout.c: For wrapper pstdout's use
	normal printf/fprintf/perror if library not initialzed.

	* COPYING.ZRESEARCH: Update to GPLv3.

2010-02-09  Albert Chu <chu11@llnl.gov>

	* contrib/ganglia/: Update appropriately for changes.

	* contrib/ganglia/ganglia_ipmi_sensors.pl: Updated for new output
	format and options.  Support ability to monitor sensor state.
	Support -T and -t options to allow option to monitor only sensor
	state or sensor readings.

	* contrib/ganglia/ganglia_ipmimonitoring.pl: Remove file.
	Superseded by changes in ganglia_ipmi_sensors.pl.

	* contrib/nagios/nagios_ipmi_sensors.pl: New file.

	* contrib/nagios/nagios_ipmimonitoring.pl: Remove file.
	Superseded by nagios_ipmi_sensors.pl.

2010-02-08  Albert Chu <chu11@llnl.gov>

	Continue update to GPLv3 globally.

	* Replace LLNL tool COPYING files w/ GPLv3 COPYING file.

	* DISCLAIMER.rmcpping, DISCLAIMER.rmcpping.UC, COPYING.rmcpping:
	Remove files, "rmcpping" is a part of "ipmiping."

	* Update LLNL ipmi tool project headers.

	* Fix LLNL ipmi tool project head typos.

	* common/man/: Update manpages w/ GPLv3 info.

	* common/man/manpage-common-gpl-freeipmi-text.man: New file.

	* Fix other miscallaneous header files.

2010-02-08  Albert Chu <chu11@llnl.gov>

	* ipmi-locate/: Support --defaults option.

2010-02-08  Albert Chu <chu11@llnl.gov>

	* doc/: Fix Linux vs. GNU/Linux usage.

2010-02-05  Albert Chu <chu11@llnl.gov>

	Begin update to GPLv3 globally.

	* Replace COPYING w/ GPLv3 COPYING file.

	* Update all FreeIPMI core team code header files.

	* Fix up some header file inconsistencies.

2010-02-05  Albert Chu <chu11@llnl.gov>

	* ipmimonitoring/: Rename a number of functions to specify that
	they are sensor monitoring functions.  This is to prepare for
	future API additions for SEL monitoring.

2010-02-03  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/src/interpret/: Fix OEM parsing issue.

	* libfreeipmi/src/interpret/: Support Supermicro OEM by default.

	* ipmi-sensors/: Support OEM interpretations in ipmi-sensors.

	* libfreeipmi/src/interpret/: Add Dell OEM interpretations.

2010-02-02  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/src/interpret/,
	libfreeipmi/include/freeipmi/interpret/, ipmimonitoring/: Support
	OEM sensor interpretations.

	* common/src/miscutil/conffile.c, common/src/miscutil/conffile.h:
	Update to support infinite option arguments.

2010-02-01  Albert Chu <chu11@llnl.gov>

	* ipmiconsole/ipmiconsole.8.pre.in: Format change.

	* ipmimonitoring/src/ipmimonitoring/: Update for newer sensor types.

	* ipmimonitoring/src/ipmimonitoring/: Various cleanup.

	* ipmimonitoring/: Support OEM bitmask types.

2010-01-29  Albert Chu <chu11@llnl.gov>

	* ipmimonitoring/src/libipmimonitoring/
	(ipmi_monitoring_read_sensor_bitmask_strings): New function.

	* ipmimonitoring/src/libipmimonitoring/
	(ipmi_monitoring_sensor_bitmask_string): Removed function.

	* ipmimonitoring/src/ipmimonitoring/: Update appropriately for API
	change.

2010-01-29  Albert Chu <chu11@llnl.gov>

	* ipmi-sensors/src/ipmi-sensors-detailed-output.c
	(_detailed_output_event_enable): Fix mem-leak.

	* libfreeipmi/include/util/ipmi-sensor-util.h,
	libfreeipmi/src/util/ipmi-sensor-util.c, *
	libfreeipmi/include/util/ipmi-sensor-and-event-code-tables.h,
	libfreeipmi/src/util/ipmi-sensor-and-event-code-tables.c,
	(ipmi_get_sensor_event_messages, ipmi_get_event_messages): Rename
	ipmi_get_sensor_event_messages to ipmi_get_event_messages.  Add
	IPMI_GET_EVENT_MESSAGES_FLAGS_SENSOR_READING bitmask.

	* libfreeipmi/include/util/ipmi-sensor-and-event-code-tables.h,
	libfreeipmi/src/util/ipmi-sensor-and-event-code-tables.c
	(ipmi_get_oem_event_bitmask_message): Renamed from
	ipmi_get_oem_sensor_event_bitmask_message.

	* ipmi-sensors/: Update appropriately.

2010-01-29  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/include/util/ipmi-sensor-util.h,
	libfreeipmi/src/util/ipmi-sensor-util.c
	(ipmi_get_sensor_event_messages): New function.

	* ipmi-sensors/: Use ipmi_get_sensor_event_messages().

2010-01-27  Albert Chu <chu11@llnl.gov>

	* ipmi-sensors/: Support --output-sensor-state and
	--sensor-state-config-file.

	* man/freeipmi.conf.5.pre.in: Fix language consistency.

	* libfreeipmi/include/freeipmi/interpret/ipmi-interpret.h,
	libfreeipmi/src/interpret/ipmi-interpret-defs.h: Support
	IPMI_INTERPRET_FLAGS_INTERPRET_OEM_DATA flag.

2010-01-25  Albert Chu <chu11@llnl.gov>

	* doc/freeipmi-coding.txt: Fix typos.

2010-01-21  Albert Chu <chu11@llnl.gov>

	* README, man/freeipmi.7.pre.in: Additional general information added.

2010-01-21  Albert Chu <chu11@llnl.gov>

	* ipmi-pef-config/ipmi-pef-config.8.pre.in: Fix typo.

2010-01-20  Albert Chu <chu11@llnl.gov>

	* ipmi-sensors/: Support --output-event-bitmask option.

	* ipmi-sensors/: Re-org and cleanup code significantly.

2010-01-19  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/include/freeipmi/spec/: Update macros based on Dell docs.

	* ipmi-oem/: Update code appropriately.

	* ipmi-oem/: Change get-power-headroom-info to get-power-head-room
	for consistency to Dell docs.  Backwards compatability maintained.

2010-01-18  Andrew Wansink <ajwans@evostor.com> and Albert Chu <chu11@llnl.gov>

	* Fix portability issues to Solaris w/ MAXHOSTNAMELEN definition.

2010-01-15  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/src/sel-parse/ipmi-sel-parse-string-sun.h,
	libfreeipmi/src/sel-parse/ipmi-sel-parse-string-sun.c: New files.

	* libfreeipmi/src/sel-parse/ipmi-sel-parse-string.c: Support Sun
	interpretations.

	* ipmi-sel/ipmi-sel.8.pre.in: Update motherboard list.

	* doc/freeipmi-faq.texi: Update vendor list.

2010-01-14  Klaus Kaempf <kkaempf@suse.de>

	* libfreeipmi/src/cmds/ipmi-messaging-support-cmds.c
	(fill_cmd_set_system_info_parameters_primary_operating_system_name):
	Fix cut and paste typo.

2010-01-08  Albert Chu <chu11@llnl.gov>

	* ipmi-sensors/, ipmimonitoring/: Fix manpage examples.

2010-01-08  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/include/freeipmi/spec/ipmi-product-id-spec.h,
	libfreeipmi/include/freeipmi/spec/ipmi-iana-enterprise-numbers-spec.h:
	Add Sun manufacturer and product IDs.

2010-01-08  Albert Chu <chu11@llnl.gov>

	Merge lib_interpret_branch

	* ipmimonitoring/src/libipmimonitoring/: Support
	IPMI_MONITORING_ERR_SENSOR_CONFIG_FILE_DOES_NOT_EXIST error code.
	Remove unused IPMI_MONITORING_ERR_CONFIG_FILE_PARSE error code.

	* Add interpret sub library to libfreeipmi.

	* ipmimonitoring/src/libipmimonitoring/: Re-adjust library to use
	interpret sub-library instead of internal.  Maintain backwards
	compatability to original config file.

	* freeipmi.spec.in: Update appropriately for changes.

2010-01-07  Albert Chu <chu11@llnl.gov>

	* doc/freeipmi-coding.txt: Update text.

2009-12-28  Albert Chu <chu11@llnl.gov>

	* ipmimonitoring/src/libipmimonitoring/ipmi_monitoring.h: Fix
	tabbing.

	* doc/freeipmi-libraries.txt, libfreeipmi/libfreeipmi.3.pre.in:
	Remove dcmi sub-library, was removed.

2009-12-24  Albert Chu <chu11@llnl.gov>

	* doc/freeipmi-oem-documentation-requirements.txt: Update.

2009-12-23  Albert Chu <chu11@llnl.gov>

	* doc/freeipmi-oem-documentation-requirements.txt: Update.

2009-12-23  Albert Chu <chu11@llnl.gov>

	* Globally fix copyright years for 2010.

2009-12-23  Albert Chu <chu11@llnl.gov>

	* ipmi-oem/: Support dell get-chassis-identify-status.

	* ipmi-oem/: Support 'guid', 'chassis-service-tag',
	'chassis-related-service-tag', 'board-revision' for Dell
	get-system-info.

2009-12-23  Albert Chu <chu11@llnl.gov>

	* ipmi-oem/ipmi-oem.8.pre.in: Fix grammer typo.

2009-12-22  sandeep patra <kernel32.dll1981@gmail.com>

	* ipmi-pef-config/src/Makefile.am: Fix portability bug to cygwin.

2009-12-22  Albert Chu <chu11@llnl.gov>

	* doc/freeipmi-faq.texi: Add operating sytems section.

2009-12-21  Albert Chu <chu11@llnl.gov>

	* ipmi-sensors/: Output Entity String along with "Container Entity
	ID" or "FRU Entity ID".

2009-12-21  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/include/freeipmi/spec/ipmi-cmd-oem-spec.h: Update
	appropriately w/ Dell docs given.

	* libfreeipmi/include/freeipmi/spec/ipmi-system-info-parameter-oem-spec.h:
	Update appropriately w/ Dell docs given.

	* ipmi-oem/: Update commands, output, comments, etc. w/ Dell docs
	given.

2009-12-17  Holger Liebig <holger.liebig@ts.fujitsu.com>

	* ipmi-oem/src/ipmi-oem-fujitsu.c: Correct ambiguities from the
	official documentation.

2009-12-17  Albert Chu <chu11@llnl.gov>

	* ipmi-dcmi/src/ipmi-dcmi.c (_get_power_limit, set_power_limit):
	Implement workaround to deal w/ DCMI interpretation issue.

2009-12-17  Albert Chu <chu11@llnl.gov>

	* man/freeipmi.7.pre.in,
	common/man/manpage-common-workaround-heading-text.man, README: Add
	some workaround information.

	* doc/freeipmi-bugs-issues-and-workarounds.txt: Rework some text.

2009-12-16  Albert Chu <chu11@llnl.gov>

	* doc/freeipmi-bugs-issues-and-workarounds.txt: Document
	workaround/interpretation issue in DCMI.

	* ipmi-dcmi/src/ipmi-dcmi.c (_get_power_limit, get_power_limit,
	set_power_limit): Implement workaround to deal w/ DCMI
	interpretation issue.

	* ipmi-dcmi/: Support --interpret-oem-data option.

	* ipmi-dcmi/, common/src/toolcommon/tool-config-file-common.h,
	common/src/toolcommon/tool-config-file-common.c,
	man/freeipmi.conf.5.pre.in, etc/freeipmi.conf: Support
	--interpret-oem-data config file option.

	* libfreeipmi/include/freeipmi/cmds/ipmi-dcmi-oem-cmds.h: New
	file.

2009-12-16  Albert Chu <chu11@llnl.gov>

	* doc/freeipmi-bugs-and-workarounds.txt: Rename to
	freeipmi-bugs-issues-and-workarounds.txt.

	* doc/freeipmi-bugs-issues-and-workarounds.txt: Update w/
	"interpretation" issues.

	* ipmpower/, ipmiconsole/src/libipmiconsole/,
	libfreeipmi/src/api/: More accurately comment on IPMI compliance
	issue.

	* freeipmi.spec.in: Update appropriately for doc change.

2009-12-16  Albert Chu <chu11@llnl.gov>

	* common/src/miscutil/hostlist.c, common/src/miscutil/hostlist.h:
	Update newest lib versions.

2009-12-15  Albert Chu <chu11@llnl.gov>

	* doc/freeipmi-coding.txt: Add section on OEM extensions.

2009-12-15  Albert Chu <chu11@llnl.gov>

	* common/src/tooloem/: New convenience lib.

	* ipmi-fru/, ipmi-sensors/, ipmi-sel/: Use new convenience lib for
	common actions of --interpret-oem-data.

	* common/man/manpage-common-interpret-oem-data.man: Slightly
	modify statement.

	* ipmi-dcmi/ipmi-dcmi.8.pre.in: Fix text for exception actions.

	* ipmi-dcmi/src/ipmi-dcmi.c (_get_power_limit, set_power_limit):
	Output error messages for special completion codes.

2009-12-15  Holger Liebig <holger.liebig@ts.fujitsu.com>

	* libfreeipmi/src/cmds/ipmi-dcmi-cmds.c,
	libfreeipmi/include/freeipmi/templates/ipmi-dcmi-cmds-templates.h:
	Fix incorrect correction_time_limit field sizes.

	* libfreeipmi/include/freeipmi/spec/ipmi-netfn-spec.h
	(IPMI_NET_FN_GROUP_EXTENSION, IPMI_NET_FN_OEM_GROUP): Fix macro
	checks.

2009-12-14  Albert Chu <chu11@llnl.gov>

	* ipmi-raw/ipmi-raw.8.pre.in: Fix spelling typo.

	* man/freeipmi.7.pre.in: Fix punctuation typo.

	* common/man/manpage-common-hostranged-text-threads.man: New file.

	* common/man/manpage-common-hostranged-text-shell.man: Collapse
	text into manpage-common-hostranged-text-main.man.  Remove file.

	* Add new documentation to manpages as needed.

	* ipmipower/ipmipower.8.pre.in: Document how ipmipower is
	different than other tools in parallelism.

2009-12-14  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/include/freeipmi/cmds/ipmi-dcmi-cmds.h: Add macros
	for OEM min/max exception actions.

	* ipmi-dcmi/src/ipmi-dcmi-argp.c: Fix command line parsing of
	--activate-deactivate-power-limit.

2009-12-14  Holger Liebig <holger.liebig@ts.fujitsu.com>

	* libfreeipmi/src/cmds/ipmi-dcmi-cmds.c,
	libfreeipmi/include/freeipmi/templates/ipmi-dcmi-cmds-templates.h:
	Fix invalid
	tmpl_cmd_dcmi_get_dcmi_capability_info_enhanced_system_power_statistics_attributes_rs
	template.

	* ipmi-dcmi/src/ipmi-dcmi.c (get_asset_tag, _sensor_info_output,
	get_power_limit, _output_power_statistics): Fix output bugs and
	typos.

2009-12-14  Albert Chu <chu11@llnl.gov>

	* common/src/toolhostrange/tool-hostrange-common.c
	(eliminate_nodes, pstdout_setup): Fix corner case where eliminate
	option leads to 0 hosts.

	* Adjust all tools appropriately for change.

	* ipmidetect/src/ipmidetectd/ipmidetectd_loop.c (_fds_setup):
	Setup listening socket to be able to more quickly reuse local
	addresses.

	* ipmipower/, ipmiconsole/src/libipmiconsole/, ipmidetectd/:
	Adjust workaround to deal with OSes that will return ECONNRESET or
	ECONNREFUSED if the IPMI port cannot be reached.

	* ipmipower/, ipmiconsole/src/libipmiconsole/, ipmidetectd/:
	Adjust workaround to deal with OSes that will return ECONNRESET or
	ECONNREFUSED if the IPMI port cannot be reached to not use
	select().

2009-12-13  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/src/util/ipmi-sensor-units-util.c
	(ipmi_sensor_units_string): Fix output corner case.

2009-12-12  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/src/api/ipmi-lan-session-common.c: Header file
	cleanup.

	* common/src/toolsensor/, common/src/toolcommon/: Adjust macros
	for cygwin.

	* ipmipower/, ipmiconsole/src/libipmiconsole/, ipmidetectd/:
	Adjust workaround to deal with OSes that will return ECONNRESET or
	ECONNREFUSED if the IPMI port cannot be reached.

	* Fix compiler warnings.

2009-12-11  Holger Liebig <holger.liebig@ts.fujitsu.com> and Albert Chu <chu11@llnl.gov>

	* ipmipower/, common/src/pingtool/, ipmidetect/src/ipmidetectd/,
	ipmiconsole/src/libipmiconsole/, libfreeipmi/src/api/: Support
	workaround to deal with OSes that will return ECONNRESET or
	ECONNREFUSED if the IPMI port cannot be reached.

2009-12-11  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/src/api/ipmi-lan-session-common.c
	(_ipmi_lan_cmd_recv, _ipmi_lan_2_0_cmd_recv): Do not pass from
	parameter if not necessary.

2009-12-11  Albert Chu <chu11@llnl.gov>

	Fix up cygwin portability issues.

	* common/src/portability/freeipmi-portability.h: Do not define
	log2 if it's already defined.

	* libfreeipmi/src/driver/ipmi-openipmi-driver.c: Define
	__USE_LINUX_IOCTL_DEFS as needed.

2009-12-11  Holger Liebig <holger.liebig@ts.fujitsu.com>

	* libfreeipmi/src/locate/ipmi-locate-util.c
	(locate_set_locate_errnum_by_errno),
	libfreeipmi/src/sdr-cache/ipmi-sdr-cache-util.c
	(sdr_cache_set_sdr_cache_errnum_by_errno): Fix logic bugs.

2009-12-11  Albert Chu <chu11@llnl.gov>

	* doc/freeipmi-faq.texi: Update special section.

2009-12-10  Albert Chu <chu11@llnl.gov>

	Merge changes from ipmimonitoring_rearch_branch

	* ipmimonitoring/: Rearch to support more sensor types.

2009-12-10  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/include/freeipmi/record-format/ipmi-sdr-record-format.h:
	Cleanup linearization macros.

2009-12-10  Albert Chu <chu11@llnl.gov>

	* ipmipower/ipmipower.8.pre.in, ipmiconsole/ipmiconsole.8.pre.in:
	Remove legacy comments.

	* doc/freeipmi-faq.texi: Add "special" note.

	* bmc-info/bmc-info.8.pre.in: Fix formatting.

2009-12-10  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/include/freeipmi/cmds/ipmi-messaging-support-cmds.h:
	Fix typing inconsistency.

	* common/src/portability/freeipmi-portability.h: Fix whitespace
	formatting.

2009-12-09  Albert Chu <chu11@llnl.gov>

	* ipmi-sel/src/ipmi-sel.c (_normal_output_event): Remove legacy
	special/unique checks that are no longer needed.

	* ipmipower/src/ipmipower.c: Fix whitespace.

2009-12-09  Albert Chu <chu11@llnl.gov>

	* doc/freeipmi-bugs-and-workarounds.txt: Update w/ more stuff.

	* doc/freeipmi-oem-documentation-requirements.txt: Minor updates.

	* libfreeipmi/src/sel-parse/ipmi-sel-parse-string.c: Fix
	whitespace.

	* libfreeipmi/include/freeipmi/sel-parse/ipmi-sel-parse.h: Fix
	API documentation.

2009-12-08  Albert Chu <chu11@llnl.gov>

	* ipmiconsole/, ipmipower/, libfreeipmi/: Support ability to
	report incompatible crypt library.

2009-12-08  Albert Chu <chu11@llnl.gov>

	* ipmiconsole/src/libipmiconsole/ipmiconsole_engine.c
	(ipmiconsole_engine_setup): Fix error message.

	* doc/freeipmi-testing.txt: Update w/ nice to have sel test.

	* doc/freeipmi-coding.txt: Update w/ config tools info.

2009-12-07  Albert Chu <chu11@llnl.gov>

	* ipmi-sel/src/ipmi-sel.c (_display_sel_records): Tweak column
	size slightly for common scenario.

	* ipmi-sel/src/ipmi-sel.c (_display_sel_records): Fix output
	corner case when --ignore-sdr-cache is specified.

	* doc/freeipmi-testing.txt: Update w/ nice to have sel test.

	* doc/freeipmi-coding.txt: Update w/ workaround info.

2009-12-07  Albert Chu <chu11@llnl.gov>

	* ipmi-sensors/src/ipmi-sensors-detailed-output.c
	(_output_device_type_and_modifier): Fix output corner case.

2009-12-07  Albert Chu <chu11@llnl.gov>

	* Tagged Release-0_8_0_base.

	* Branched Release-0_8_0_branch.

2009-12-07  Albert Chu <chu11@llnl.gov>

	* common/src/: Fix various memleaks.

2009-12-05  Albert Chu <chu11@llnl.gov>

	* bmc-config/, ipmi-pef-config/, ipmi-chassis-config/,
	ipmi-sensors-config/: Minor re-arch/code cleanup.

2009-12-04  Albert Chu <chu11@llnl.gov>

	* doc/freeipmi-bugs-and-workings.txt: Add alert policy workaround
	for Fujitsu.

	* ipmi-pef-config/: Support workaround for Alert Policy Config on
	Fujitsu motherboards.

2009-12-04  Albert Chu <chu11@llnl.gov>

	* Update comp code macros to more closely match IPMI spec.

	* Various doc updates.

2009-12-02  Albert Chu <chu11@llnl.gov>

	* ipmi-oem/: Comment out inventec firmware update support until
	Dell can verify.

2009-12-02  Albert Chu <chu11@llnl.gov>

	* Tagged Release-0_8_0_beta7.

2009-12-02  Albert Chu <chu11@llnl.gov>

	* Fix comments.

	* ipmi-oem/: Re-architect for oem command specific completion codes.

2009-12-01  Albert Chu <chu11@llnl.gov>

	* ipmi-oem/: Support inventec firmware update.

2009-11-30  Albert Chu <chu11@llnl.gov>

	* ipmi-oem/: Complete Fujitsu OEM commands.

	* ipmi-oem/: Code cleanup.

	* ipmi-oem/: Rename "get/set-nic-status" to "get/set-nic-mode" for
	consistency to OEM doc.

2009-11-26  Albert Chu <chu11@llnl.gov>

	* ipmi-oem/: add flags for future use needs.

2009-11-26  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/: Fix templates given dcmi reorg.

2009-11-25  Cyril Brulebois <kibi@debian.org>

	* Fix portability issue for kfreebsd.

2009-11-25  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/: Re-org dcmi to be organized like oem extensions
	instead of in separate directory.

	* freeipmi.spec.in: Update for change.

2009-11-24  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/: Support reading raw readings from sensor-read
	library.

	* freeipmi.spec.in: Add missing docs.

	* libfreeipmi/: Increase KCS retry/timeout for ipmb messages.

	* libfreeipmi/: Fix error message output corner case.

2009-11-24  Albert Chu <chu11@llnl.gov>

	* ipmi-oem/: Fix Fujitsu OEM command.

2009-11-24  Albert Chu <chu11@llnl.gov>

	* Support debug dumping in openipmi driver for ipmb requests.

2009-11-23  Albert Chu <chu11@llnl.gov>

	* ipmi-oem/: Support additional Fujitsu OEM commands.

	* libfreeipmi/src/util/ipmi-sensor-units-util.c: Make interesting
	output combination cleaner.

2009-11-23  Albert Chu <chu11@llnl.gov>

	* Tagged Release-0_8_0_beta6.

2009-11-22  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/: Various code cleanup.  Support raw ipmb.

	* ipmi-raw/: Support bridging.

2009-11-19  Albert Chu <chu11@llnl.gov>

	* Continue code cleanup.

	* ipmi-sensors/: Fix output corner case.

2009-11-18  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/: Support sensor bridging across different channels.

	* libfreeipmi/src/debug/: Fix rmcpplus ipmb output corner case.

	* libfreeipmi/src/api/: Fix ipmi 2.0 ipmb bridging.

2009-11-17  Albert Chu <chu11@llnl.gov>

	* ipmi-sensors/: Fix debug output typos.

2009-11-16  Albert Chu <chu11@llnl.gov>

	* Tagged Release-0_8_0_beta5.

2009-11-14  Yaroslav Halchenko <debian@onerussian.com>

	* ipmi-sensors/: Fix output typo "Nominal reading" -> "Nominal
	Reading".

2009-11-13  Albert Chu <chu11@llnl.gov>

	* ipmi-oem/: Support Fujitsu OEM commands from online
	documentation.

2009-11-13  Albert Chu <chu11@llnl.gov>

	* Fix documentation typos.

2009-11-12  Yaroslav Halchenko <debian@onerussian.com>

	* Fix manpage comments.

2009-11-10  Albert Chu <chu11@llnl.gov>

	* common/src/toolhostrange/, contrib/: Update copyrights.

2009-11-06  Albert Chu <chu11@llnl.gov>

	* ipmiconsole/src/libipmiconsole/ipmiconsole_processing.c
	(_ipmi_retransmission_timeout): On excessive retransmissions,
	error with "connection timeout" if we are at the beginning of the
	protocol.

	* ipmiconsole/src/libipmiconsole/ipmiconsole_processing.c
	(_check_try_new_port): Add special case.  If reported console port
	is the wrong endian, flip it back to the right endian.

	* ipmiconsole/src/libipmiconsole/ipmiconsole_processing.c
	(_process_protocol_state_close_session_sent): Fix corner case
	dealing with console port change.

2009-11-06  Albert Chu <chu11@llnl.gov>

	* Document SOL bugs on Supermicro X8DTH-iF.

2009-11-06  Albert Chu <chu11@llnl.gov>

	* ipmi-pef-config/: Support hex codes for event filter sensor
	types.

2009-11-06  Albert Chu <chu11@llnl.gov>

	* ipmi-pef-config/ipmi-pef-config.8.pre.in: Fix typo.

2009-11-04  Albert Chu <chu11@llnl.gov>

	* Support "skip sol activation status" workaround for
	ipmiconsole/libipmiconsole.

2009-11-04  Albert Chu <chu11@llnl.gov>

	* Cleanup documents and code, i.e. != e.g.

	* Add more documentation.

2009-11-03  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/include/freeipmi/sdr-cache/,
	libfreeipmi/src/sdr-cache/: Remove ability to check for duplicate
	sensor numbers, is invalid b/c of different slave addresses.

2009-11-02  Albert Chu <chu11@llnl.gov>

	* Tagged Release-0_8_0_beta4.

2009-11-02  Albert Chu <chu11@llnl.gov>

	* doc/freeipmi-oem-documentation-requirements.txt: New doc.

2009-10-28  Albert Chu <chu11@llnl.gov>

	* Fix corner case.

2009-10-26  Albert Chu <chu11@llnl.gov>

	* Various code cleanup.

	* common/src/toolcommon/tool-cmdline-common.h,
	common/src/toolcommon/tool-cmdline-common.c: Return errors on bad
	workaround flags.  Split out tool specific workaround flags.

	* ipmi-fru/, ipmi-sel/: Make tool specific workaround flags.

2009-10-23  Albert Chu <chu11@llnl.gov>

	* ipmiconsole/src/ipmiconsole/: Output escape menu with
	appropriate escape char.

2009-10-23  Albert Chu <chu11@llnl.gov>

	* Tagged Release-0_8_0_beta3.

2009-10-22  Albert Chu <chu11@llnl.gov>

	* Fix Netbsd portability bugs discovered by John Heasley <heas at
	shrubbery dot net>.

	* ipmiconsole/src/libipmiconsole/ipmiconsole_engine.c
	(ipmiconsole_engine_thread_create): Fix pthread corner case found
        by John Heasley <heas at shrubbery dot net>.

2009-10-15  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/src/sel-parse/: Fix/enhance Dell SEL event interpretations.

2009-10-14  Albert Chu <chu11@llnl.gov>

	* ipmi-sensors/, ipmimonitoring/, common/src/toolcommon/, etc/:
	Fix config file parsing or documentation bugs.

2009-10-14  Albert Chu <chu11@llnl.gov>

	* common/src/toolhostrange/pstdout.c
	(_pstdout_output_consolidated_finish): Fix typo.

	* common/src/toolhostrange/pstdout.c: Up output buffer size.

2009-10-13  Albert Chu <chu11@llnl.gov>

	* ipmi-sel/, ipmi-fru/: Add motherboard documentation.

2009-10-13  Albert Chu <chu11@llnl.gov>

	* ipmi-sel/: Change verbosity defaults.

	* libfreeipmi/src/util/ipmi-sensor-and-event-code-tables-util.c
	(ipmi_event_message_separator): New function.

	* libfreeipmi/src/sel-parse/: Use ipmi_event_message_separator
	appropriately for event messages.

	* libfreeipmi/src/util/ipmi-sensor-and-event-code-tables-util.c:
	Tweak message outputs appropriately for consistency and
	correctness.

	* Tagged Release-0_8_0_beta2.

2009-10-12  Albert Chu <chu11@llnl.gov>

	* ipmi-sel/: Support --tail option.

2009-10-05  Albert Chu <chu11@llnl.gov>

	* Support shared sensors w/ event only sdr records.

	* doc/: Various tweaks.

2009-10-05  Albert Chu <chu11@llnl.gov>

	* Tagged Release-0_8_0_beta1.

2009-10-05  Albert Chu <chu11@llnl.gov>

	*
	libfreeipmi/include/freeipmi/cmds/ipmi-bmc-watchdog-timer-cmds.h:
	Fix macro calculation bug.

2009-10-02  Albert Chu <chu11@llnl.gov>

	* Change --show-sensor-type back to --no-sensor-type-output.
	Adjust for logical change in option.

	* ipmi-sel/, common/src/toolsensor/: Fix column alignmnent corner
	case.

	* ipmi-sel/: Collapse event and event detail into one column.

	* ipmi-sel/, libfreeipmi/src/sel-parse/: Fix record id column
	alignment.

2009-10-01  Jan Safranek <jsafrane@redhat.com>

	* Fix LSB compliance issues with bmc-watchdog and ipmidetectd init
	scripts, logrotate, and sysconfig file naming.

2009-10-01  Albert Chu <chu11@llnl.gov>

	* Change --no-sensor-type-output to --show-sensor-type.  Adjust
	for logical change in option.

	* Support --no-header-output option in ipmi-sel, ipmi-sensors, and
	ipmimonitoring.

	* ipmi-sel/, libfreeipmi/src/sel-parse/: Tweak output.

2009-09-30  Albert Chu <chu11@llnl.gov>

	* Change --no-sensor-type to --no-sensor-type-output.

	* common/man/: Various cleanup.

	* libfreeipmi/src/util/ipmi-sensor-and-event-code-tables-util.c:
	Make FRU state event data 2 output more detailed.

	* freeipmi.spec.in: Add ipmidetectd.conf.

2009-09-29  Albert Chu <chu11@llnl.gov>

	* Suppoert --no-sensor-type in ipmi-sel, ipmi-sensors, and
	ipmimonitoring.

	* libfreeipmi/src/fru-parse/: Handle no information corner case.

2009-09-28  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/src/sensor-read/ipmi-sensor-read.c: Fix error return
	code corner case.

2009-09-26  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/src/sel-parse/: Code cleanup, split out OEM
	interpretations into vendor specific files.

2009-09-24  Albert Chu <chu11@llnl.gov>

	* Fix make distcheck.

2009-09-24  Jan Safranek <jsafrane@redhat.com>

	* bmc-watchdog/freeipmi-bmc-watchdog.init,
	ipmidetectd/freeipmi-ipmidetectd.init: Various fixes to make init
	scripts LSB compliant.

	* ipmidetect/ipmidetectd.conf: New file.

2009-09-24  Albert Chu <chu11@llnl.gov>

	* ipmidetect/freeipmi-ipmidetectd.init,
	bmc-watchdog/freeipmi-bmc-watchdog.init: untabify, cleanup
	formatting.

2009-09-23  Albert Chu <chu11@llnl.gov>

	* ipmi-oem/: Support get/set power management on inventec.

	* ipmi-oem/: Support get/set leds on sun.

	* ipmi-oem/: Various cleanup.

	* ipmi-sensors/, libfreeipmi/: Make generic device locator and
	management controller sdr records have entity instance and type.
	Adjust code in sdr-parse appropriately, adjust ipmi-sensors
	appropriately.

	* ipmi-oem/, common/src/toolsensor/: Support Sun LED get/set.

2009-09-22  Albert Chu <chu11@llnl.gov>

	* ipmi-dcmi/: Fix output corner case.

	* libfreeipmi/src/dcmi/: Fix get sensor info corner case.

	* libfreeipmi/src/sel-parse/: Add inventec port80 code event
	interpretation.

	* ipmi-oem/: Add set-system-guid for inventec.  Add set-asset-tag
	for dell.

	* ipmi-oem/: Add set-fcb-version for dell.  Add get/set board id.

	* ipmi-oem/: Add get/set web-server-config for inventec.

	* ipmi-oem/: Add get/set authentication config for inventec.

2009-09-21  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/include/freeipmi/spec/ipmi-device-types-spec.h,
	libfreeipmi/include/freeipmi/spec/ipmi-device-types-oem-spec.h:
	New files.

	* libfreeipmi/src/spec/ipmi-sensor-and-event-code-tables-spec.c,
	libfreeipmi/src/spc/ipmi-sensor-and-event-code-tables-oem-spec.c:
	New files.

	* libfreeipmi/include/freeipmi/spec/ipmi-sensor-and-event-code-tables-spec.h,
	libfreeipmi/include/freeipmi/spec/ipmi-sensor-and-event-code-tables-oem-spec.h:
	Make string arrays of offsets public.

	* libfreeipmi/src/spec/ipmi-device-types-spec.c: New files.

	* libfreeipmi/include/freeipmi/util/ipmi-device-types-util.h,
	libfreeipmi/src/util/ipmi-device-types-util.c: New files

	* ipmi-sensors/src/: Support device type and device modifier
	string outputs.  Support oem outputs in generic device locators.

2009-09-18  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/src/utils/ipmi-sensor-and-event-code-tables-util.c:
        Fix corner case in system firmware progress error data2
        output.

	* libfreeipmi/include/freeipmi/spec/ipmi-sensor-and-event-code-tables-spec.h:
	Add event data2 and data3 macros.

	* libfreeipmi/src/sel-parse/: Fix Dell OEM interpretations.

	* Various code cleanup.

2009-09-17  Albert Chu <chu11@llnl.gov>

	* ipmi-oem/: Add inventec restore-to-defaults.

	* ipmi-oem/: Add inventec read/clear eeprom support.

2009-09-16  Albert Chu <chu11@llnl.gov>

	* common/man/manpage-common-legacy-output.man: Update text.

	* ipmi-sensors/, ipmimonitoring/: Support --shared-sensors option.

2009-09-16  Albert Chu <chu11@llnl.gov>

	* ipmi-sensors/, ipmimonitoring/, ipmi-sel/, libfreeipmi/: Rename
	sensor "group" to sensor "type" globally for consistency to IPMi
	spec.

2009-09-15  Albert Chu <chu11@llnl.gov>

	* bmc-device/: Add error check for generator id input.

2009-09-14  Albert Chu <chu11@llnl.gov>

	* bmc-device/: Support --platform-event option.

	* Manpage additions.

2009-09-11  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/src/sel-parse/ipmi-sel-parse-string.c: Fix and add
	new Dell interpretations based on Dell specs.

2009-09-10  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/include/freeipmi/spec/ipmi-cmd-oem-spec.h: New file.

	* libfreeipmi/include/freeipmi/spec/ipmi-chassis-boot-options-parameter-oem-spec.h: New file.

	* libfreeipmi/include/freeipmi/spec/ipmi-lan-parameter-oem-spec.h: New file.

	* libfreeipmi/include/freeipmi/spec/ipmi-pef-parameter-oem-spec.h: New file.

	* libfreeipmi/include/freeipmi/spec/ipmi-serial-modem-parameter-oem-spec.h: New file.

	* libfreeipmi/include/freeipmi/spec/ipmi-sol-parameter-oem-spec.h: New file.

	* libfreeipmi/include/freeipmi/spec/ipmi-system-info-parameter-oem-spec.h: New file.

	* libfreeipmi/include/freeipmi/spec/ipmi-netfn-oem-spec.h: New file.

	* libfreeipmi/include/freeipmi/spec/ipmi-comp-code-oem-spec.h: New file.

	* libfreeipmi/include/freeipmi/spec/ipmi-system-info-parameter-spec.h:
	Rename from ipmi-system-info-parameter-spec.h (plural parameters).

	* libfreeipmi/include/freeipmi/spec/ipmi-product-id-spec.h: New
	file, rename from ipmi-oem-spec.h.

	* Various code cleanup using new macros.

2009-09-09  Albert Chu <chu11@llnl.gov>

        * ipmidetectd/ipmidetectd.conf.5.pre.in: Fix typo.

	* libfreeipmi/include/freeipmi/spec/ipmi-slave-address-oem-spec.h:
	New file.

	* libfreeipmi/include/freeipmi/spec/ipmi-sensor-numbers-oem-spec.h:
	New file.

	* libfreeipmi/include/freeipmi/spec/ipmi-sensor-and-event-code-tables-spec.h:
	New file.

	* Various code cleanup using new macros.

	* ipmimonitoring/: Update for consistency.  Update w/ ipmi errata additions.

	* libfreeipmi/src/util/ipmi-sensor-and-event-code-tables-util.c:
	Update for errata changes.

	*
	libfreeipmi/include/freeipmi/spec/ipmi-sensor-and-event-code-tables-oem-spec.h:
	New file.

2009-09-08  Albert Chu <chu11@llnl.gov>

	* Rename ipmi-vendor-spec.h to ipmi-oem-spec.h.

	* libfreeipmi/include/freeipmi/spec/ipmi-sensor-types-oem-spec.h:
	New file.

	*
	libfreeipmi/include/freeipmi/spec/ipmi-event-reading-type-code-oem-spec.h:
	New file.

	* Various code cleanup using new macros.

2009-09-04  Albert Chu <chu11@llnl.gov>

	* Various code cleanup.

2009-09-03  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/include/freeipmi/util/ipmi-iana-enterprise-numbers-util.h,
	libfreeipmi/src/util/ipmi-iana-enterprise-numbers-util.c: New
	files.

	* libfreeipmi/, bmc-info/, ipmi-sensors/, ipmi-fru/: Use new
	utility function appropriately.

	* libfreeipmi/: Add supermicro iana support.

	* libfreeipmi/, ipmi-sensors/: Support Supermicro oem sensors.

2009-09-02  Albert Chu <chu11@llnl.gov>

	* Code cleanup, "macroize" a lot of code.

2009-09-01  Albert Chu <chu11@llnl.gov>

	* Update IANA enterprise numbers array.

	* libfreeipmi/include/freeipmi/spec/ipmi-vendor-spec.h: New file.

	* Update code to use macros from vendor spec.

	* Add and use macros for ipmi 1.5 and ipmi 2.0.

	* Macroize system event record code.

	* Macroize event type codes.

	* Adjust ipmimonitoring event type codes appropriately.

	* Macroize sensor types throughout.

2009-08-31  Albert Chu <chu11@llnl.gov>

	* Document workarounds necessary for newer Supermicro
	motherboards.  Various commenting cleanup.

2009-08-27  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/src/sel-parse/: Add additional Dell OEM
	interpretations.

2009-08-26  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/src/sel-parse/: Add additional Dell OEM
	interpretations.

	* ipmi-sel/, libfreeipmi/src/sel-parse/: Support ipmi version in
	OEM interpretations.

2009-08-25  Albert Chu <chu11@llnl.gov>

	* ipmi-oem/: Fix Dell power capacity output.

2009-08-25  Albert Chu <chu11@llnl.gov>

	* ipmi-sel/: Rename --delete-all to --clear for consistency to
	IPMI spec.

	* libfreeipmi/src/sel-parse/: Cleanup OEM code.

	* ipmi-sensors/: Cleanup OEM code.

2009-08-24  Albert Chu <chu11@llnl.gov>

	* ipmi-oem/: Fix Dell active directory output.  Support type
	configuration.

	* ipmi-oem/: Output potential key=value pair inputs when user does
	not specify any.

2009-08-24  Albert Chu <chu11@llnl.gov>

	* bmc-info/: Re-work format of interpret-oem-data output.

	* bmc-device/: Add --set-system-firmware-version,
	--set-system-name, --set-primary-operating-system-name, and
	--set-operating-system-name support.

2009-08-21  Albert Chu <chu11@llnl.gov>

	* ipmi-sel/: Support --assume-system-event-records.

	* bmc-config/, ipmi-pef-config/: Report some fatal errors under
	non-veborse mode.

2009-08-21  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/, ipmipower/, common/man/: Support 'authcap'
	workaround for motherboard that do not properly report
	authentication support.

2009-08-21  Albert Chu <chu11@llnl.gov>

	* ipmi-sel/, libfreeipmi/src/sel-parse/: Support Dell OEM sel
	event.

	* ipmi-raw/: Change default privilege from user to admin.

	* etc/freeipmi.conf: Document correct default privileges.

2009-08-20  Albert Chu <chu11@llnl.gov>

	* ipmi-oem/: Support supermicro get extra firmware info.

2009-08-19  Albert Chu <chu11@llnl.gov>

	* freeipmi.spec.in: Update URL to gnu.org.

	* ipmi-oem/: Complete get active directory config.

	* ipmi-oem/: Complete set active directory config.

2009-08-18  Albert Chu <chu11@llnl.gov>

	* ipmi-oem/: Redo Dell additions due to extra info given from
	Dell.

	* ipmi-oem/: Redo "api" to set various dell configurations.

	* ipmi-oem/: Begin active directory config support.

2009-08-17  Albert Chu <chu11@llnl.gov>

	* Collapse get authentication capabilities v1.5 and v2.0 into one
	template, function, packet, etc. throughout.

	* Collapse set user password v1.5 and v2.0 into one template,
	function, packet, etc. throughout.

	* Various minor code cleanup.

2009-08-13  Albert Chu <chu11@llnl.gov>

	* ipmi-oem/: Redo Dell additions due to extra info given from
	Dell.

2009-08-13  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/src/sdr-cache/ipmi-sdr-cache-create.c
	(ipmi_sdr_cache_create): Add workaround for Fujitsu RX 100.

2009-08-10  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/src/fru-parse/ipmi-fru-parse.c
	(ipmi_fru_parse_next): Fix parsing corner case.

2009-08-10  Albert Chu <chu11@llnl.gov>

	* common/src/toolsdr/tool-sdr-cache-common.c (sdr_cache_create):
	Fix output corner case.

2009-08-08  Albert Chu <chu11@llnl.gov>

	* ipmi-oem/: Code cleanup.

	* common/src/configtool/: Support invalid/unsupported data non-fatal error.

2009-08-07  Albert Chu <chu11@llnl.gov>

	* ipmi-oem/: Support verbose option.

	* ipmi-oem/: Suppor dell get/set services commands.

2009-08-06  Albert Chu <chu11@llnl.gov>

	* ipmi-oem/: Support Dell reset-to-defaults command.

	* common/src/debugutil/, libfreeipmi/: Properly handle group
	extensions in debug output.  Support better OEM debug output.

	* ipmi-oem/: Support special "list" OEM ID.

2009-08-06  Albert Chu <chu11@llnl.gov>

	* bmc-config/src/bmc-config-lan-conf-user-security.h,
	bmc-config/src/bmc-config-lan-conf-user-security.c: New files.

	* bmc-config/src/: Support Bad Password Threshold configuration.

	* libfreeipmi/: Support 'change bits' flag in set user access
	command.

	* common/src/configtool/: Allow empty strings as valid empty on
	command line.

2009-08-05  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/: Update Full Sensor Record for errata 372 changes.

	* libfreeipmi/: Support session handle in close session (errata
	387).

	* libfreeipmi/include/freeipmi/spec/ipmi-netfn-spec.h: Add Group
	Extension codes, OEM Group codes, Group Extension Identification,
	and extra macros.

	* libfreeipmi/src/dcmi/, common/src/debugutil/: Update to use new
	macros appropriately and output more correct output.

	* libfreeipmi/src/util/: Update sensor and event code tables for
	new errata.

	* ipmi-sel/, libfreeipmi/src/sel-parse/: Handle unique corner case
	output of new sensor type events from errata.

	* libfreeipmi/include/freeipmi/cmds/, libfreeipmi/src/cmds/,
	ipmi-chassis-config/: Support new boot flag options.

	* libfreeipmi/: Supporte HMAC-SHA256 macros.

	* libfreeipmi/include/freeipmi/spec/: Update entity ids from errata.

	* libfreeipmi/: Support LAN config bad password threshold.

2009-08-04  Albert Chu <chu11@llnl.gov>

	* bmc-config/: Fix bmc-config corner case, assume LAN channel is
	SOL Payload Channel cannot be read.

	* ipmi-oem/: Support Dell OEM for power capacity management.

2009-08-04  Albert Chu <chu11@llnl.gov>

	* ipmi-oem/: Support Dell OEM for avg and peak power history.

2009-08-03  Albert Chu <chu11@llnl.gov>

	* ipmi-oem/: Support Dell OEM to read NIC MAC addresses.

	* ipmi-oem/: Support Dell power supply info OEM command.

	* libfreeipmi/src/sel-parse/, ipmi-sel/: Add additional Inventec
	OEM interpretations.

	* ipmi-oem/: Support Dell instantaneous power and Dell headroom
	OEM commands.

2009-08-02  Albert Chu <chu11@llnl.gov>

	* ipmi-oem/: Support 'list' command to all OEM IDs.

2009-08-01  Albert Chu <chu11@llnl.gov>

	* common/src/configtool/config-tool-utils.h,
	common/src/configtool/config-tool-utils.c
	(config_is_non_fatal_error): New function.

	* bmc-config/, common/src/configtool/, ipmi-pef-config/,
	ipmi-chassis-config/: Use config_is_non_fatal_error appropriately.

2009-07-31  Albert Chu <chu11@llnl.gov>

	* ipmi-oem/: Support Dell get/set NIC selection.

2009-07-31  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/, ipmi-sensors/, ipmi-sel/, bmc-info/: Collapse API
	"BAD_COMPLETION_CODE" variants into single "BAD_COMPLETION_CODE"
	error code.

	* common/src/configtool/: Output "Not Supported" for fields that
	are not supported.

	* Various code cleanup.

2009-07-30  Albert Chu <chu11@llnl.gov>

	* bmc-config/: Configure "Password" before "Enable_User" for
	security.

	* bmc-config/: Workaround Dell Poweredge lan_conf_auth settings.

2009-07-30  Albert Chu <chu11@llnl.gov>

	* bmc-config/: Fix Lan Session Limit corner case.

	* bmc-config/: Workaround Dell Poweredge enable user bug.

2009-07-29  Albert Chu <chu11@llnl.gov>

	* bmc-info/: Support Dell Poweredge R610 Aux Info.

2009-07-25  Albert Chu <chu11@llnl.gov>

	* ipmi-oem/: Support Dell get/set sol inactivity timeout.

2009-07-25  Albert Chu <chu11@llnl.gov>

	* ipmi-oem/: Support get/set-bmc-services.

2009-07-24  Albert Chu <chu11@llnl.gov>

	* common/man/manpage-common-oem-interpretation.man: New file.

	* bmc-info/, ipmi-sel/: Begin documentation of motherboards
	supported through --interpret-oem-data.

	*
	libfreeipmi/include/freeipmi/util/ipmi-sensor-and-event-code-tables-util.h,
	libfreeipmi/src/util/ipmi-sensor-and-event-code-tables-util.c:
	Make parameter types consistent to rest of FreeIPMI.

	*
	libfreeipmi/include/freeipmi/util/ipmi-sensor-and-event-code-tables-util.h,
	libfreeipmi/src/util/ipmi-sensor-and-event-code-tables-util.c
	(ipmi_get_oem_generic_event_message,
	ipmi_get_oem_sensor_type_code_message): New functions.

	* ipmi-sensors/, ipmi-sel/: Support Dell Poweredge R610 sensors.

	* Add documentation throughout on what motherboards are OEM
	supported.

2009-07-16  Albert Chu <chu11@llnl.gov>

	* ipmi-oem/: Support Dell get-fcb-version command.

	* ipmi-oem/: Re-arch dell oem options.

2009-07-13  Albert Chu <chu11@llnl.gov>

	* ipmi-oem/: Support Dell get-product-name command.

2009-07-09  Fillod Stephane <stephane.fillod@grassvalley.com>, Albert Chu <chu11@llnl.gov>

	* configure.ac, libfreeipmi/: Support --without-encryption build
	option.

2009-07-09  Fillod Stephane <stephane.fillod@grassvalley.com>

	* configure.ac: Fix macro name typo.

	* configure.ac, common/src/portability/freeipmi-portability.h: Add
	portability for cbrt.

	* common/src/toolcommon/tool-cmdline-common.c
	(verify_common_cmd_args): Do not check for execute permissions on
	driver device.

2009-07-08  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/: Get Device ID response field
	"auxiliary_firmware_revision_information" is optional.

	* libfreeipmi/: Support IPMI_FLAGS_NO_VALID_CHECK flags. Support
	new functions ipmi_ctx_get_flags and ipmi_ctx_set_flags.

	* libfreeipmi/src/sensor-read/: Probably support workarounds w/
	IPMI_FLAGS_NO_VALID_CHECK.

2009-07-06  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/src/sel-parse/: Add Inventec 5441 Memory Error OEM
	interpretation.

	* ipmi-sel/src/: Alter event data output conditions.

	* libfreeipmi/src/sel-parse/: Do not output oem codes when they
	are unspecified (i.e. 0xFF).

2009-07-01  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/src/sensor-read/ipmi-sensor-read.c
	(_sensor_reading_corner_case_checks): Accept
	IPMI_COMP_CODE_REQUEST_PARAMETER_NOT_SUPPORTED as an ok error
	code.

	* libfreeipmi/src/api/ipmi-lan-session-common.c: Fix potential
	segfault corner cases.

	* libfreeipmi/src/sel-parse/: Alter date output format to be
	consistent to other tools.

2009-06-30  Albert Chu <chu11@llnl.gov>

	* ipmi-oem/: Support dell oem commands.

	* libfreeipmi/include/freeipmi/spec/ipmi-netfn-spec.h: Fix
	IPMI_NET_FN_RQ_VALID and IPMI_NET_FN_RS_VALID to allow OEM network
	functions.

	* libfreeipmi/src/api/: Support debug hex output for
	openipmi/sunbmc on raw commands.

	* tagged post_dell_oem

2009-06-29  Albert Chu <chu11@llnl.gov>

	* tagged pre_dell_oem

	* libfreeipmi/: Add generic get/set system_info,
	pef_configuration_parameters, lan_configuration_parameters,
	serial_configuration_parameters, and sol_configuration_parameters
	functions.  Allowing OEM parameter selectors for potential OEM
	configuration.

2009-06-26  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/: Add get/set bmc global enables support.

	* bmc-device/: Support --get-bmc-global-enables.

	* libfreeipmi/include/freeipmi/templates/: Add additional
	documentation.  Add forgotten templates.

2009-06-24  Albert Chu <chu11@llnl.gov>

	* tagged pre_ipmipower_err_handling

	* ipmipower/src/ipmipower_error.h,
	ipmipower/src/ipmipower_error.c: New files.

	* ipmipower/src/ierror.h, ipmipower/src/ierror.c: Remove files.

	* ipmipower/: Various re-arch to make tool more like other
	FreeIPMI tools.  Use new debug libs.

	* tagged post_ipmipower_err_handling

2009-06-24  Albert Chu <chu11@llnl.gov>

	* ipmipower/src/ipmipower.h: Fix assert bug.

2009-06-24  Albert Chu <chu11@llnl.gov>

	* common/src/toolsensor/, ipmimonitoring/, ipmi-sel/: Support of
	--entity-sensor-names option.

	* ipmi-sensors/: Clarify Entity-ID output.

	* common/man/manpage-common-entity-sensor-names.man: New file.

	* common/src/toolcommon/: Support entity-sensor-names in config
	file.

	* Various code cleanup.

2009-06-23  Albert Chu <chu11@llnl.gov>

	* doc/freeipmi-testing.txt: New file.

2009-06-23  Albert Chu <chu11@llnl.gov>

	* bmc-info/: Support --get-system-info option.  When options
	dictate it, output system info.

	* common/src/toolsensor/, ipmi-sensors/: Begin support of
	--entity-sensor-names option.

2009-06-23  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/include/freeipmi/util/ipmi-sensors-util.h,
	libfreeipmi/src/util/ipmi-sensors-util.c
	(ipmi_sensor_decode_tolerance, ipmi_sensor_decode_accuracy,
	ipmi_sensor_decode_resolution): New functions.

	* libfreeipmi/include/freeipmi/sdr-parse/ipmi-sdr-parse.h,
	libfreeipmi/src/sdr-parse/ipmi-sdr-parse.c
	(ipmi_sdr_parse_tolerance, ipmi_sdr_parse_accuracy): New
	functions.

	* ipmi-sensors/: Support accuracy, resolution, and tolerance output.

2009-06-22  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/src/sel-parse/: Use short messages not long ones.

	* ipmimonitoring/: Remove short option 'i' for
	--ignore-not-interpretable-sensors.

	* ipmi-sensors/, common/src/toolcommon/: Add
	--ignore-not-available-sensors option.

	* ipmimonitoring/ipmimonitoring.8.pre.in: Note different between
	--ignore-not-interpretable-sensors and --ignore-na-sensors in
	ipmi-sensors.

	* libfreeipmi/include/freeipmi/sdr-parse/,
	libfreeipmi/src/sdr-parse/
	(ipmi_sdr_parse_sensor_reading_ranges_specified): New function.

	* ipmi-sensors/: Do not output Nominal, Normal Min., Normal
	Max. reading unless SDR flags indicate unavailable.

	* libfreeipmi/include/freeipmi/sdr-parse/,
	libfreeipmi/src/sdr-parse/
	(ipmi_sdr_parse_sensor_direction): New function.

	* ipmi-sensors/: Output sensor direction under very verbose output.

2009-06-21  Albert Chu <chu11@llnl.gov>

	* ipmi-oem/src/: Add options output into --list output, remove
	description output.

	* libfreeipmi/: Make ipmi_entity_ids_pretty array.

2009-06-20  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/src/fru-parse/: Handle
	FRU parsing corner case.

	* libfreeipmi/: Add get system guid command.  Add system info commands.

	* libfreeipmi/: Make configuration parameter data fields optional.

	* bmc-config/, ipmi-pef-config/, common/src/configtool/: Code cleanup.

	* libfreeipmi/: Add master write read support.

	* Various code cleanup.

2009-06-19  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/src/fru-parse/: Handle FRU read corner case.

2009-06-19  Albert Chu <chu11@llnl.gov>

	* ipmi-sensors/src/ipmi-sensors.c: Software sensors output "N/A"
	instead of "Unknown" now.

	* libfreeipmi/include/freeipmi/spec/ipmi-comp-code-spec.h,
	libfreeipmi/src/util/ipmi-error-util.c: Add "Send Message"
	specific completion codes.

	* libfreeipmi/src/sensor-read/: Consider "message timeout" errors
	a "sensor reading unavailable" error so tools can continue on.

	* libfreeipmi/src/api/: Consider multiple additional error
	codes/completion codes for "message timeout" error code instead of
	"ipmi" error.

2009-06-18  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/include/freeipmi/api/ipmi-api.h,
	libfreeipmi/src/api/ipmi-api.c (ipmi_ctx_find_inband): New
	function.

	* common/src/toolcommon/tool-common.c,
	ipmimonitoring/src/libipmimonitoring/ipmi_monitoring_ipmi_communication.c:
	Use new ipmi_ctx_find_inband call.

	* Update some documentation.

2009-06-17  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/include/freeipmi/util/ipmi-outofband-util.h,
	libfreeipmi/src/util/ipmi-outofband-util.c: New files.

	* libfreeipmi/include/freeipmi/util/, libfreeipmi/src/util/,
	ipmipower/, ipmiconsole/, libfreeipmi/src/api/: Support common
	session sequence number checking functions, authentication
	capabilities checks, and open session response checks.

	* Various code cleanup.

2009-06-11  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/src/sel-parse/: Re-architect code to allow
	--display and --display-range command to work much more quickly.

	* ipmi-sel/src/: Update appropriately for API changes.

2009-06-11  Albert Chu <chu11@llnl.gov>

	* common/man/manpage-common-workaround-sol-only-text.man: Add new
	motherboard to solpayloadsize workaround.

2009-06-11  Albert Chu <chu11@llnl.gov>

	* Continue unassemble rework.

	* tagged pre_fiid_required_rearch

	* Support FIID_FIELD_MAKES_PACKET_VALID flag in fiid.  Add
	FIID_FIELD_MAKES_PACKET_VALID to all respective fields in reponse
	packets.

	* tagged post_fiid_required_rearch

	* Slighlty rework FIID_FIELD_MAKES_PACKET_VALID to mean
	"sufficient" if set, not "if only" set.

	* tagged pre_fiid_required_rearch2

	* Rework fiid to make FIID_FIELD_MAKES_PACKET_VALID to
	FIID_FIELD_MAKES_PACKET_SUFFICIENT. Add new API functions
	appropriately.

	* Adjust interfaces to check for packet sufficiency, not validity.

	* tagged post_fiid_required_rearch2

	* Add packet payload validity checks to ipmipower, ipmiconsole,
	libfreeipmi API.

	* ipmipower/src/ipmipower_powercmd.c (ipmipower_powercmd_queue):
	Fix Sun 2.0/Open Session Privilege workaround.

	* libfreeipmi/src/api/ipmi-api-util.c (api_ipmi_cmd_ipmb),
	ipmipower/, ipmiconsole/: Add packet validity checks.

	* Various code cleanup and minor bug fixes.

	* tagged post_unassemble_rearch

2009-06-10  Albert Chu <chu11@llnl.gov>

	* tagged pre_unassemble_rearch

	* Re-work all 'unassemble' code to return 1 if packet was fully
	parsed vs. not fully parsed.

	* libfreeipmi/src/debug/: Handle more corner cases.  Handle
	ability to dump data under more bad situations.  Consolidate and
	cleanup code.

2009-06-10  Albert Chu <chu11@llnl.gov>

	* common/man/manpage-common-workaround-text.man: Add additional
	motherboard details.

2009-06-10  Albert Chu <chu11@llnl.gov>

	* ipmiconsole/src/ipmiconsole/ipmiconsole.c: Consider
	IPMICONSOLE_ERR_BMC_IMPLEMENTATION as a non-fatal error too.

2009-06-09  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/src/sensor-read/ipmi-sensor-read.c
	(_sensor_reading_corner_case_checks): Ignore
	IPMI_COMP_CODE_COMMAND_CANNOT_RESPOND get sensor reading errors.

2009-06-09  Dave Love <d.love@liverpool.ac.uk>

	* common/man/manpage-common-workaround-sol-only-text.man,
	common/man/manpage-common-workaround-text.man: Add additional
	motherboard details.

2009-06-09  Albert Chu <chu11@llnl.gov>

	* Perform "open session privilege" workaround when specifying "Sun
	2.0" workaround.

2009-06-09  Albert Chu <chu11@llnl.gov>

	* common/src/toolcommon/tool-common.c (ipmi_open): Fix workaround
	flags setting.

2009-06-09  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/src/api/ipmi-api.c: Fix assert corner case.

2009-06-08  Albert Chu <chu11@llnl.gov>

	* ipmipower/src/ipmipower_wrappers.h,
	ipmipower/src/ipmipower_wrappers.c: Removed files.

	* ipmipower/src/: Cleanup, do not use wrappers.  Output errors
	correctly.

	* tagged post_wrapper_cleanup

2009-06-05  Albert Chu <chu11@llnl.gov>

	Variety of code cleanup.

	* libfreeipmi/src/api/ipmi-lan-session-common.c, ipmipower/src/:
	Re-architect code such that packets only check fields that are
	necessary.  Re-architect code to handle packet "processing"
	outside of "verification" functions.

	* Update comments with key-word "Compliance" when related to IPMI
	compliance issues.

	* libfreeipmi/src/api/: Re-architect to not retransmit close
	session commands when closing a session.

	* ipmiconsole/src/libipmiconsole/: Remove use of fiid wrappers.

	* ipmiconsole/src/libipmiconsole/ipmiconsole_fiid_wrappers.h,
	ipmiconsole/src/libipmiconsole/ipmiconsole_fiid_wrappers.c: Remove files.

	* tagged pre_wrapper_cleanup

	* ipmipower/src/wrappers.h, ipmipower/src/wrappers.c: Removed
	files.

	* ipmipower/src/ipmipower_util.h, ipmipower/src/ipmipower_util.c:
	New files.

	* ipmipower/src/: Cleanup, do not use wrappers.  Output error
	outputs consistently to other tools.

	* ipmipower/src/, libfreeipmi/src/api/,
	ipmiconsole/src/libipmiconsole/: Properly iterate over
	sendto/recvfrom when ok errors occur.

	* ipmiconsole/src/libipmiconsole/: Properly iterate over poll when
	ok errors occur.

2009-06-04  Albert Chu <chu11@llnl.gov>

	* freeipmi.spec.in: Add dcmi additions.

	* libfreeipmi/src/debug/ipmi-debug-kcs.c: Renamed to ipmi-debug-inband.c.

	* libfreeipmi/ (ipmi_debug_ssif_packet): New function.

	* libfreeipmi/: Support more detailed SSIF packet dumps.

2009-06-04  Albert Chu <chu11@llnl.gov>

        * Due to a CVS crash on Savannah on 2009-05-31, redo a number of
	changes from 2009-05-28. It is possible tags listed below on
	2009-05-28 are no longer valid.

2009-06-04  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/include/freeipmi/templates/ipmi-dcmi-templates.h:
	Add forgotten file.

2009-05-28  Albert Chu <chu11@llnl.gov>

	* ipmimonitoring/src/ipmimonitoring/ipmimonitoring.c
	(_convert_to_ipmimonitoring_options): Fix sunbmc corner case.

	* ipmimonitoring/src/libipmimonitoring/ipmi_monitoring_ipmi_communication.c
	(_inband_init): Check workaround flags appropriately.

	* common/src/toolcommon/tool-common.c (ipmi_open),
	ipmimonitoring/src/ipmimonitoring/: Fix in-band communication bug
	when workaround flags for non-inband are specified.

2009-05-28  Albert Chu <chu11@llnl.gov>

	* tagged finished_remove_legacy

	* Revert removal of options and legacy support.  Went too aggressive.

	* tagged unfinished_remove_legacy

	* common/src/toolcommon/tool-cmdline-common.h: Code cleanup,
	remove excess macros.

	* tagged redo_remove

	* "Re-claim" short options in ipmipower, ipmi-chassis, ipmi-raw,
	ipmi-sel, ipmiconsole.

	* tagged redo_remove_done

	* ipmiconsole/src/ipmiconsole/: Remove legacy 'c' short option.

	* ipmipower/ipmipower.8.pre.in.: Remove short options.

2009-05-27  Albert Chu <chu11@llnl.gov>

	* tagged pre_remove_many_short_options

	* "Re-claim" short options in ipmipower, ipmi-chassis, ipmi-raw,
	ipmi-sel, ipmiconsole.

	* tagged post_remove_many_short_options

	* tagged pre_remove_legacy_options

	* Remove general legacy options.

	* Remove some legacy options from ipmipower and ipmimonitoring.

	* tagged post_remove_legacy_options

	* ipmiconsole/src/ipmiconsole/ipmiconsole_.h: Fix comment.

	* tagged pre_remove_legacy_config

	* common/src/toolcommon/tool-config-file-common.c: Remove some
	legacy options.

	* tagged post_remove_legacy_config

	* ipmipower/src/ipmipower/ipmipower_prompt.c: Remove more
	backwards compatability interactive mode options.

	* bmc-watchdog/src/: Remove legacy short options.

2009-05-26  Albert Chu <chu11@llnl.gov>

        * libfreeipmi/include/freeipmi/dcmi/ipmi-dcmi.h,
        libfreeipmi/include/freeipmi/templates/ipmi-dcmi-templates.h,
        libfreeipmi/src/dcmi/ipmi-dcmi.c: New files.

        * libfreeipmi/include/freeipmi/freeipmi.h: Update appropriately
        for new support.

        * doc/freeipmi-libraries.txt, libfreeipmi/libfreeipmi.3.pre.in:
        Update with dcmi sub-lib info.

        * ipmi-dcmi/: New tool.

        * common/src/debugutil/: Support DCMI in debug output.

        * etc/, man/, common/src/toolcommon/: Support DCMI in config file.

        * COPYING.ipmi-dcmi, DISCLAIMER.ipmi-dcmi: New files.

2009-05-26  Albert Chu <chu11@llnl.gov>

	* ipmi-sensors/, ipmimonitoring/: Support "all" and "none" for
	command line record-ids and groups options.

	* ipmi-sel/: Support --exclude-display and --exclude-display-range.

2009-05-26  Albert Chu <chu11@llnl.gov>

	* ipmi-sensors/, ipmimonitoring/, common/: Give --record-ids
	"priority" over --groups.  Re-org code, cleanup code, redo
	documentation to indicate this fact.

	* common/src/toolsensor/tool-sensor-common.c
	(calculate_record_ids): Allow mix-and-matching, where
	--exclude-groups can work with --record-ids and
	--exclude-record-ids can work with --groups.

	* common/src/toolsensor/: Code cleanup.

2009-05-25  Albert Chu <chu11@llnl.gov>

	* ipmi-sensors/, ipmimonitoring/: Support short options for
	--exclude-groups and --exclude-record-ids.

	* common/man/: update manpages appropriately.

2009-05-22  Albert Chu <chu11@llnl.gov>

	* common/src/toolcommon/, ipmi-sensors/,
	ipmimonitoring/src/ipmimonitoring/: Support --exclude-groups and
	--exclude-record-ids.

	* common/src/toolsensor/, ipmi-sensors/,
	ipmimonitoring/src/ipmimonitoring/: Move common sensor code into
	common/src/toolsensor/.

	* Globally fix unsigned int/int macro issues.

2009-05-20  Albert Chu <chu11@llnl.gov>

	* bmc-info/, common/src/toolcommon/: Support --interpret-oem-data.

	* ipmi-fru/, common/src/toolcommon/,
	libfreeipmi/include/freeipmi/fru-parse/,
	libfreeipmi/src/fru-parse/: Support --interpret-oem-data.

2009-05-20  Albert Chu <chu11@llnl.gov>

	Code cleanup.

	* libfreeipmi/include/freeipmi/spec/ipmi-iana-enterprise-numbers-spec.h:
	Add macros.

	* ipmi-sel/, libfreeipmi/src/sel-parse/: bmc-watchdog/,
	libfreeipmi/src/util/: Use IANA macros.

	* libfreeipmi/include/freeipmi/cmds/,
	libfreeipmi/include/freeipmi/templates/, libfreeipmi/src/cmds/,
	bmc-info/: Remove OEM-isms out of library and into bmc-info.

2009-05-20  Albert Chu <chu11@llnl.gov>

	* ipmimonitoring/src/libipmimonitoring/: Support
	IPMI_MONITORING_SENSOR_READING_FLAGS_INTERPRET_OEM_SENSORS flag.

	* libfreeipmi/include/freeipmi/sel-parse/,
	libfreeipmi/src/sel-parse/:
	IPMI_SEL_PARSE_STRING_FLAGS_INTERPRET_OEM_DATA.

	* common/src/toolcommon, ipmi-sel/, ipmi-sensors/,
	ipmimonitoring/src/ipmimonitoring/: Support
	--interpret-oem-data option.

	* common/man/manpage-common-interpret-oem-data.man: new file.

	* ipmi-sel/src/, libfreeipmi/src/sel-parse/: Support Inventec 5441
	OEM Sel interpretations

2009-05-19  Albert Chu <chu11@llnl.gov>

	* common/src/toolcommon/tool-common.c: Attempt OpenIPMI and SunBMC
	drivers first, since they cannot be discovered via probing, and to
	avoid accidently using the KCS driver first.

2009-05-18  Albert Chu <chu11@llnl.gov>

	* bmc-config/src/bmc-config-channel-common.c (_get_key_info,
	_set_key_info): Fix set volatile vs. set non-volatile bug.

2009-05-18  Albert Chu <chu11@llnl.gov>

	* Fix API change resulting bugs.

2009-05-15  Albert Chu <chu11@llnl.gov>

	* Remove use of 'alloca', check return unlink, close, munmap as
	needed or leave comments as to why return code not checked.

2009-05-15  Albert Chu <chu11@llnl.gov>

	* Various signed/unsigned cleanup.  Ensure right signs used
	consistently.

	* libfreeipmi/src/libcommon/ipmi-crypt.c,
	libfreeipmi/src/driver/ipmi-kcs-driver.c,
	libfreeipmi/src/driver/ipmi-ssif-driver.c: Handle integer overflow
	conditions.

	* Various code cleanup.

	* tagged post_int_overflow

2009-05-14  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/src/fiid/: Use unsigned ints for indexing.

	* tagged pre_int_overflow

	* libfreeipmi/src/fiid/fiid.c: Handle int/unsigned int overflow
	conditions. Fix corner case, allow fields to be up to 256 chars,
	not up to 255 chars. Fix signed/unsigned bugs.

	* libfreeipmi/src/interface/ipmi-rmpplus-interface.c
	(assemble_ipmi_rmcpplus_pkt),
	libfreeipmi/src/interface/ipmi-kcs-interface.c
	(assemble_ipmi_kcs_pkt),
	libfreeipmi/src/interface/ipmi-lan-interface.c (ipmi_lan_sendto,
	assemble_ipmi_lan_pkt): Handle int/unsigned int overflow
	conditions.

	* Various code cleanup.

2009-05-12  Albert Chu <chu11@llnl.gov>

	* doc/: Update faq.

2009-05-11  Albert Chu <chu11@llnl.gov>

	* Code cleanup.

2009-05-08  Albert Chu <chu11@llnl.gov>

	* bmc-device/, bmc-info/: Continue to cleanup output format.

	* bmc-device/: Fix --get-mca-auxiliary-log-status bug.

	* ipmi-sensors/, ipmi-sel/, ipmi-pef-config/: Make
	--info/--sdr-info commands have consistent output format.

	* ipmi-sensors/, ipmi-sel/: Add allocation info output to
	--info/--sdr-info output.

	* bmc-info/: Don't output "GUID : " when specifying
	--get-device-guid.

2009-05-07  Albert Chu <chu11@llnl.gov>

	* ipmi-chassis/src/: Output text more consistently to IPMI spec.
	Output format more cleanly.  Output all frields from
	--get-chassis-status.

	* libfreeipmi/src/cmds/ipmi-device-global-cmds.c: Fix template
	field names "info" -> "information".

	* bmc-info/: Output text more consistently to IPMI spec.  Output
	all field information.  Output GUID by default.  Change --guid to
	--get-device-guid.  Support --get-device-id and
	--get-channel-info.  Add extra output info to channel output.

	* Additional code cleanup.

2009-05-06  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/include/freeipm/: Add various header comments.

	* libfreeipmi/src/util/ipmi-sensor-and-event-code-tables-util.c:
	Make functions return > 0 value instead of ENOSPC if buffer too
	small.

	* libfreeipmi/include/freeipmi/util/ipmi-channel-util.h,
	libfreeipmi/include/freeipmi/util/ipmi-channel-util.c: New files.

	* libfreeipmi/include/freeipmi/api/ipmi-messaging-support-cmds-api.h,
	libfreeipmi/src/api/ipmi-messaging-support-cmds-api.c
	(ipmi_get_channel_number): Moved into util.

2009-05-05  Albert Chu <chu11@llnl.gov>

	* bmc-device/bmc-device.8.pre.in: Add more examples and fix typos.

	* bmc-watchdog/, ipmi-chassis/,
	libfreeipmi/include/freeipmi/cmds/: Check interval ranges on
	inputs.

	* common/src/toolcommon/, ipmimonitoring/src/libipmimonitoring/:
	Check for valid record_id inputs.

	* ipmimonitoring/src/libipmimonitoring/: Check for valid sensor
	group inputs.

	* ipmi-fru/: Check for valid range of device id input.

	* bmc-device/, ipmi-chassis/: Verify sane inputs on 'set' options
	that have multiple configurable settings.

	* Various code cleanup.

2009-05-04  Albert Chu <chu11@llnl.gov>

	* ipmi-chassis/: Code cleanup for consistency to other tools.

	* ipmimonitoring/src/ipmimonitoring/: Fix --legacy-output.

2009-05-04  Albert Chu <chu11@llnl.gov>

	* Various code cleanup.

	* tagged post_void_lib_cleanup

2009-05-03  Albert Chu <chu11@llnl.gov>

	* Various code cleanup.

	* tagged pre_void_lib_cleanup

	* Cleanup libfreeipmi, use void * instead of uint8_t * or char *
	when appropriate.

	* Various code cleanup.

2009-05-03  Albert Chu <chu11@llnl.gov>

	* ipmi-raw/, ipmi-oem/: Fix glibc portability bugs.

	* ipmi-oem/: Fix debug output corner case.

2009-05-02  Albert Chu <chu11@llnl.gov>

	* Fix coverity discovered errors.

2009-05-01  Albert Chu <chu11@llnl.gov>

	* Continued lib cleanup.

	* ipmipower/src/ipmipower_util.h, ipmipower/src/ipmipower_util.c:
	Removed files.

	* ipmiconsole/src/, ipmipower/src/: Various cleanup.

	* common/src/configtool/, bmc-config/, ipmi-pef-config/: Rename
	config_section_update_keyvalue_output_int to
	config_section_update_keyvalue_output_unsigned_int.

	* tagged post_int_cleanup

2009-04-30  Albert Chu <chu11@llnl.gov>

	* Cleanup APIs.  Return 'int' instead of 'int32_t'.  Make
	"uint32_t" an "unsigned int" when buffers are passed to API
	functions.

	* libfreeipmi/: Rework ipmi_rmcpplus_calculate_payload_type() with
	in/out parameter.

	* ipmiconsole/src/libipmiconsole/: Update for API change.

	* bmc-config/, ipmi-pef-config/, ipmi-chassis-config/,
	common/src/configtool/config-tool-pef-conf-section.c: Fix read
	only/write only completion code check usage.

	* common/src/pingtool/, ipmiping/, rmcpping/: API cleanup.

	* Various other code cleanup.

2009-04-29  Albert Chu <chu11@llnl.gov>

	* Cleanup APIs.  Return 'int' instead of 'int8_t' when size of
	integer is clearly irrelevant.

	* Fix function name inconsistencies.

2009-04-28  Albert Chu <chu11@llnl.gov>

	* tagged pre_int_cleanup

	* Cleanup APIs.  Return 'int' instead of 'int8_t' when size of
	integer is clearly irrelevant.

2009-04-28  Albert Chu <chu11@llnl.gov>

	* libfreeipmi/: ipmi_get_channel_number now takes a parameter for
	the returned channel number.

	* ipmi-oem/, bmc-device/, bmc-config/, pef-config/: Adjust for API
	changes.

	* Various code cleanup.

2009-04-27  Albert Chu <chu11@llnl.gov>

